package devmgr.api.melutil;

/**
 * This is an accessor class for the properties files.
 * <P>
 * 
 * NOTES/ASSUMPTIONS: <BR>
 * Changes made to Resource may also need to be made to SharedResource.<br>
 * <br>
 * DO NOT CHANGE THE FOLLOWING LINE! The token "" and super class name is used by the
 * ant script in build.xml.
 */
final class Resource extends BaseResource 
{
   private static final String BUNDLE_NAME = "devmgr/api/symbol/EventStrings";

   
   /**
    * Do not instantiate this class.
    * <P>
    * NOTES/ASSUMPTIONS: <BR>
    * None.
    */
   private Resource()
   {
      //Intentionally left blank, because this class should not be instantiated.
   }

   /**
    * Get a string from the resource bundle based on the key. <BR>
    * <P>
    * NOTES/ASSUMPTIONS: <BR>
    * Always returns a string. Never returns a null. If the key is not found in the list, an empty
    * string is returned.
    * <p>
    * 
    * @param key The text identifier to the message in the resource bundle
    * @return String that matches the key or an empty string.
    */
   public static String getString(String key)
   {
      return getString(key, BUNDLE_NAME);
   }
   
 
}
