package devmgr.api.model;

import devmgr.api.symbol.AccessVolume;
import devmgr.api.symbol.LUNMapping;

import javax.xml.bind.annotation.XmlRootElement;
import java.util.ArrayList;
import java.util.List;

/**
 * Created by masonb on 1/21/14.
 */
@XmlRootElement
public class AccessVolumeEx extends AccessVolume implements MappableObject {
    private List<LUNMapping> mappings=new ArrayList<>();

    public AccessVolumeEx() {
    }

    /**
     * The underlying volume type of the MappableObject
     *
     * @return
     */
    @Override
    public ObjectType getObjectType() {
        return ObjectType.accessVolume;
    }

    @Override
    public String getId() {
        return this.getAccessVolumeRef();
    }

    @Override
    public String getWwn() {
        return "";
    }

    @Override
    public String getName() {
        return "Access";
    }

    @Override
    public Long getTotalSizeInBytes() {
        return 0L;
    }

    @Override
    public List<LUNMapping> getListOfMappings() {
        return mappings;
    }

    @Override
    public void setMappings(List<LUNMapping> mappings) {
        this.mappings=mappings;
    }

    @Override
    public boolean isMapped() {
        return !mappings.isEmpty();
    }

    @Override
    public String getCurrentControllerId() {
        return "";
    }

    @Override
    public String getPreferredControllerId() {
        return "";
    }
}
