package devmgr.api.model;

import devmgr.api.symbol.Battery;
import devmgr.api.symbol.SmartBatteryData;

import javax.xml.bind.annotation.XmlRootElement;

/**
 * A battery
 */
@XmlRootElement
public class BatteryEx extends Battery implements Identifiable {
    public String getId(){
        return getBatteryRef();
    }

    @Override
    public boolean equals(Object o) {
        String id = getId();
        if (this == o) return true;
        if (!(o instanceof BatteryEx)) return false;

        BatteryEx batteryEx = (BatteryEx) o;

        if (id != null ? !id.equals(batteryEx.getId()) : batteryEx.getId() != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        String id = getId();
        return id != null ? id.hashCode() : 0;
    }

    /**
     * Value of the Battery Security lock key identifier
     */
    private SmartBatteryData smartBatteryData;

    public SmartBatteryData getSmartBatteryData()
    {
        return smartBatteryData;
    }

    public void setSmartBatteryData(SmartBatteryData value)
    {
        this.smartBatteryData = value;
    }
}

