package devmgr.api.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.xml.bind.annotation.XmlRootElement;

/**
 * Created with IntelliJ IDEA.
 * User: masonb
 * Date: 12/5/13
 * Time: 3:06 PM
 * To change this template use File | Settings | File Templates.
 */
@XmlRootElement
@ApiModel
public enum StorageSystemStatus {
    @ApiModelProperty("The array has never been contacted")
    neverContacted(false),
    offline(false),
    optimal(true),
    needsAttn(true),
    /** 
     * Indicates that the storage system has been removed from the inventory.  
     * It will be seen in a final goodbye events indicating the removal.
     */
    removed(false),
    // Published one time when the device is added.
    newDevice(true),
    // Report device lockDown from SAData. NOTE: Only lockDowns reported by SYMBOL are exposed.
    lockDown(true);

    StorageSystemStatus(boolean objectGraphCurrent) {
        this.objectGraphCurrent = objectGraphCurrent;
    }

    private boolean objectGraphCurrent;

    public boolean isObjectGraphCurrent() {
        return objectGraphCurrent;
    }
}
