/*
 * Copyright (c) $today.year.Netapp.  All rights reserved
 */

package devmgr.api.model;

import io.swagger.annotations.ApiModelProperty;

import javax.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;

/**
 * Created by masonb on 6/18/15.
 */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel(description = "Key/Value pair for volume meta data")
public class VolumeMetadataItem implements Serializable {
    @ApiModelProperty(value = "They key for the property.  Some keys are reserved include:workload")
    public String key;

    @ApiModelProperty(value = "The value associated with the key")
    public String value;

    public VolumeMetadataItem() {
    }

    public VolumeMetadataItem(String key, String value) {
        this.key = key;
        this.value = value;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (!(o instanceof VolumeMetadataItem)) return false;

        VolumeMetadataItem that = (VolumeMetadataItem) o;

        if (key != null ? !key.equals(that.key) : that.key != null) return false;
        return !(value != null ? !value.equals(that.value) : that.value != null);

    }

    @Override
    public int hashCode() {
        int result = key != null ? key.hashCode() : 0;
        result = 31 * result + (value != null ? value.hashCode() : 0);
        return result;
    }
}
