package devmgr.api.runtime;

import devmgr.api.symbolutils.ByteUtils;

/**
 * This class contains a collection of utilities for use by the
 * code that implements the API support library.
 */
public class ApiUtil
{
    public static final String BOGUS_ENUM_NAME = "__UNDEFINED";    //keep in syn with source Analyser
    public static final int BOGUS_ENUM_VALUE = 0x1BADDAB1; //key in sync with source analuser

    /**
     * Convert a string containing 2x hexadecimal characters to the
     * corresponding opaque byte array.
     * @param s String of even number of hex characters.
     * @return Byte array with corresponding values, or null if bad.
     * @deprecated use {@link ByteUtils#hexStringToByteArray(String)} instead
     */
    @Deprecated
    public static byte[] stringToOpaque(String s) { return ByteUtils.hexStringToByteArray(s); }

    /**
     * This method returns the hex character representation
     * of the specified opaque byte array.
     * @param data Opaque byte array.
     * @return String representation (hex characters).
     * @deprecated use {@link ByteUtils#getHexString(byte[])} instead
     */
    @Deprecated
    public static String  opaqueToString(byte[] data) { return ByteUtils.getHexString(data); }
}