package devmgr.api.runtime;

import java.util.HashMap;

public class EnumSpec
extends TypeSpec
{
    public EnumValue[] values;
    public HashMap<Integer, String> valueToNameMap; 
    public HashMap<String, Integer> nameToValueMap;
    public Class<?> cls;
    
    public
    EnumSpec(EnumValue[] vals, Class<?> objClass)
    {
        super(TypeSpec.TypeCode.ENUM);
        
        this.values = vals;
        this.cls = objClass;
        
        // Build the map that ties values to associated value/name pair.
        valueToNameMap = new HashMap<Integer, String>(values.length);
        for (int i = 0; i < values.length; i++)
            valueToNameMap.put(values[i].value, values[i].name);

        // Build the map that ties names to associated value/name pair.
        nameToValueMap = new HashMap<String, Integer>(values.length);
        for (int i = 0; i < values.length; i++)
            nameToValueMap.put(values[i].name, values[i].value);
    }
}