package devmgr.api.runtime;

/**
 * This is the base class for all type specifications.
 */
public class TypeSpec
{
    /**
     * This enumeration tracks the specific flavor of type specification
     * we're dealing with.
     */
    public static enum TypeCode
    {
        BYTE,
        CHAR,
        SHORT,
        INT,
        LONG,
        BOOLEAN,
        STRING,
        FLOAT,
        DOUBLE,
        OPAQUE,
        ENUM,
        ENUMSET,
        SUBCLASS,
        TYPEDEF,
        POINTER,
        STRUCT,
        UNION,
        ARRAY
    }
    
    public TypeCode typeCode;
 
    /**
     * Constructor
     * @param code
     */
    public TypeSpec(TypeCode code)
    {
        typeCode = code;
    }
}