package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to convey information about clearing a"sticky" needs attention condition on an Asynchronous Mirror Group (AMG). */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(759)
public class AsyncMirrorGroupFaultIndicationClearDescriptor implements Serializable {
	public AsyncMirrorGroupFaultIndicationClearDescriptor() {
	}

	/** The AMG with condition to be cleared / acknowledged. */
	@io.swagger.annotations.ApiModelProperty(value ="The AMG with condition to be cleared / acknowledged." , required = true)
	@XmlElement(required = true)
	private String mirrorGroup;

	/** @return The AMG with condition to be cleared / acknowledged. */
	public String getMirrorGroup() {
		return this.mirrorGroup;
	}
	/** @param x The AMG with condition to be cleared / acknowledged. */
	public void setMirrorGroup(String x) {
		this.mirrorGroup = x;
	}

	/** The type of indication to clear. */
	@io.swagger.annotations.ApiModelProperty(value ="The type of indication to clear." , required = true)
	@XmlElement(required = true)
	private RecoveryFailureType indication = RecoveryFailureType.__UNDEFINED;

	/** @return The type of indication to clear. */
	public RecoveryFailureType getIndication() {
		return this.indication;
	}
	/** @param x The type of indication to clear. */
	public void setIndication(RecoveryFailureType x) {
		this.indication = x;
	}
}
