package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains test results from an Async Mirror Group link latency test. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(345)
public class AsyncMirrorGroupLinkLatencyTestResults implements Serializable {
	public AsyncMirrorGroupLinkLatencyTestResults() {
	}

	/** The minimum latency measured in microseconds. */
	@io.swagger.annotations.ApiModelProperty(value ="The minimum latency measured in microseconds." , required = true)
	@XmlElement(required = true)
	private int minLatencyInMicroseconds;

	/** @return The minimum latency measured in microseconds. */
	public int getMinLatencyInMicroseconds() {
		return this.minLatencyInMicroseconds;
	}
	/** @param x The minimum latency measured in microseconds. */
	public void setMinLatencyInMicroseconds(int x) {
		this.minLatencyInMicroseconds = x;
	}

	/** The maximum latency measured in microseconds. */
	@io.swagger.annotations.ApiModelProperty(value ="The maximum latency measured in microseconds." , required = true)
	@XmlElement(required = true)
	private int maxLatencyInMicroseconds;

	/** @return The maximum latency measured in microseconds. */
	public int getMaxLatencyInMicroseconds() {
		return this.maxLatencyInMicroseconds;
	}
	/** @param x The maximum latency measured in microseconds. */
	public void setMaxLatencyInMicroseconds(int x) {
		this.maxLatencyInMicroseconds = x;
	}

	/** The average latency measured in microseconds. */
	@io.swagger.annotations.ApiModelProperty(value ="The average latency measured in microseconds." , required = true)
	@XmlElement(required = true)
	private int avgLatencyInMicroseconds;

	/** @return The average latency measured in microseconds. */
	public int getAvgLatencyInMicroseconds() {
		return this.avgLatencyInMicroseconds;
	}
	/** @param x The average latency measured in microseconds. */
	public void setAvgLatencyInMicroseconds(int x) {
		this.avgLatencyInMicroseconds = x;
	}
}
