package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration is used to indicate the state of an Async Mirror Group member. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(255)
public enum AsyncMirrorGroupMemberState implements Serializable {
		/** Invalid/unknown state. This should never happen. */
		unknown(0),
		/** Initial synchronization in progress. */
		initialSync(1),
		/** Optimal state. */
		optimal(2),
		/** Failed member state. This may indicate problems on either the primary or secondary. */
		failed(3),
		/** Incomplete Setup. Step 1 of the add member process has completed on the primary array but step 2 on the secondary is yet to be completed. */
		incomplete(4),
		/** Mirror member is an orphan (defined as part of the AMG locally but not on the remote). */
		orphan(5),
		/** Mirror member synchronization has been stopped due to potentially recoverable error condition. */
		stopped(6),
		__UNDEFINED(464378545);

		public final int value;

		private AsyncMirrorGroupMemberState(int v) {
			this.value = v;
		}
}
