package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to update various Async Mirror Group parameters. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(848)
public class AsyncMirrorGroupParamsUpdateDescriptor implements Serializable {
	public AsyncMirrorGroupParamsUpdateDescriptor() {
	}

	/** The user defined label for the mirror group. */
	@io.swagger.annotations.ApiModelProperty(value ="The user defined label for the mirror group." , required = true)
	@XmlElement(required = true)
	private String groupLabel;

	/** @return The user defined label for the mirror group. */
	public String getGroupLabel() {
		return this.groupLabel;
	}
	/** @param x The user defined label for the mirror group. */
	public void setGroupLabel(String x) {
		this.groupLabel = x;
	}

	/** The synchronization interval (in minutes). */
	@io.swagger.annotations.ApiModelProperty(value ="The synchronization interval (in minutes)." , required = true)
	@XmlElement(required = true)
	private int syncIntervalMinutes;

	/** @return The synchronization interval (in minutes). */
	public int getSyncIntervalMinutes() {
		return this.syncIntervalMinutes;
	}
	/** @param x The synchronization interval (in minutes). */
	public void setSyncIntervalMinutes(int x) {
		this.syncIntervalMinutes = x;
	}

	/** The threshold (in minutes) for notifying the user that periodic synchronization has taken too long to complete. */
	@io.swagger.annotations.ApiModelProperty(value ="The threshold (in minutes) for notifying the user that periodic synchronization has taken too long to complete." , required = true)
	@XmlElement(required = true)
	private int syncCompletionTimeAlertThresholdMinutes;

	/** @return The threshold (in minutes) for notifying the user that periodic synchronization has taken too long to complete. */
	public int getSyncCompletionTimeAlertThresholdMinutes() {
		return this.syncCompletionTimeAlertThresholdMinutes;
	}
	/** @param x The threshold (in minutes) for notifying the user that periodic synchronization has taken too long to complete. */
	public void setSyncCompletionTimeAlertThresholdMinutes(int x) {
		this.syncCompletionTimeAlertThresholdMinutes = x;
	}

	/** The recovery point age objective (in minutes). The user is notified via needs-attention when age of last good recovery point exceeds this value. */
	@io.swagger.annotations.ApiModelProperty(value ="The recovery point age objective (in minutes). The user is notified via needs-attention when age of last good recovery point exceeds this value." , required = true)
	@XmlElement(required = true)
	private int recoveryPointAgeAlertThresholdMinutes;

	/** @return The recovery point age objective (in minutes). The user is notified via needs-attention when age of last good recovery point exceeds this value. */
	public int getRecoveryPointAgeAlertThresholdMinutes() {
		return this.recoveryPointAgeAlertThresholdMinutes;
	}
	/** @param x The recovery point age objective (in minutes). The user is notified via needs-attention when age of last good recovery point exceeds this value. */
	public void setRecoveryPointAgeAlertThresholdMinutes(int x) {
		this.recoveryPointAgeAlertThresholdMinutes = x;
	}

	/** The repository utilization warning threshold (0-100 percent). A needs attention condition will be generated if percent of repository capacity currently utilized exceeds this threshold. */
	@io.swagger.annotations.ApiModelProperty(value ="The repository utilization warning threshold (0-100 percent). A needs attention condition will be generated if percent of repository capacity currently utilized exceeds this threshold." , required = true)
	@XmlElement(required = true)
	private int repositoryUtilizationWarnThreshold;

	/** @return The repository utilization warning threshold (0-100 percent). A needs attention condition will be generated if percent of repository capacity currently utilized exceeds this threshold. */
	public int getRepositoryUtilizationWarnThreshold() {
		return this.repositoryUtilizationWarnThreshold;
	}
	/** @param x The repository utilization warning threshold (0-100 percent). A needs attention condition will be generated if percent of repository capacity currently utilized exceeds this threshold. */
	public void setRepositoryUtilizationWarnThreshold(int x) {
		this.repositoryUtilizationWarnThreshold = x;
	}

	/** A reference to the Async Mirror Group whose parameters are being updated. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the Async Mirror Group whose parameters are being updated." , required = true)
	@XmlElement(required = true)
	private String groupRef;

	/** @return A reference to the Async Mirror Group whose parameters are being updated. */
	public String getGroupRef() {
		return this.groupRef;
	}
	/** @param x A reference to the Async Mirror Group whose parameters are being updated. */
	public void setGroupRef(String x) {
		this.groupRef = x;
	}
}
