package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union contains information about an async mirror repository utilization. It is returned by the getAsyncMirrorRepositoryUtilization procedure. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1148)
public class AsyncMirrorRepositoryUtilizationListReturned implements Serializable {
	public AsyncMirrorRepositoryUtilizationListReturned() {
	}

	/** An enumeration used to determine the return status of a SYMbol function call. */
	@io.swagger.annotations.ApiModelProperty(value ="An enumeration used to determine the return status of a SYMbol function call." , required = true)
	@XmlElement(required = true)
	private ReturnCode returnCode = ReturnCode.__UNDEFINED;

	/** @return An enumeration used to determine the return status of a SYMbol function call. */
	public ReturnCode getReturnCode() {
		return this.returnCode;
	}
	/** @param x An enumeration used to determine the return status of a SYMbol function call. */
	public void setReturnCode(ReturnCode x) {
		this.returnCode = x;
	}

	/** This field is present only if the value of returnCode is equal to RETCODE_OK. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the value of returnCode is equal to RETCODE_OK." , required = false)
	@XmlElement(required = false)
	private AsyncMirrorRepositoryUtilizationList utilization;

	/** @return This field is present only if the value of returnCode is equal to RETCODE_OK. */
	public AsyncMirrorRepositoryUtilizationList getUtilization() {
		return this.utilization;
	}
	/** @param x This field is present only if the value of returnCode is equal to RETCODE_OK. */
	public void setUtilization(AsyncMirrorRepositoryUtilizationList x) {
		this.utilization = x;
	}
}
