package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union is used to describe the completion of an Async Mirror synchronization. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(518)
public class AsyncMirrorSyncCompletionDetail implements Serializable {
	public AsyncMirrorSyncCompletionDetail() {
	}

	/** This enumeration is used to describe whether synchronization completed or failed during a specific synchronization sample period. */
	@io.swagger.annotations.ApiModelProperty(value ="This enumeration is used to describe whether synchronization completed or failed during a specific synchronization sample period." , required = true)
	@XmlElement(required = true)
	private AsyncMirrorSyncCompletionType completionType = AsyncMirrorSyncCompletionType.__UNDEFINED;

	/** @return This enumeration is used to describe whether synchronization completed or failed during a specific synchronization sample period. */
	public AsyncMirrorSyncCompletionType getCompletionType() {
		return this.completionType;
	}
	/** @param x This enumeration is used to describe whether synchronization completed or failed during a specific synchronization sample period. */
	public void setCompletionType(AsyncMirrorSyncCompletionType x) {
		this.completionType = x;
	}

	/** This field is returned if the value of completionType is equal to ASYNC_MIRROR_SYNC_COMPLETION_TERMINATED. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is returned if the value of completionType is equal to ASYNC_MIRROR_SYNC_COMPLETION_TERMINATED." , required = false)
	@XmlElement(required = false)
	private AsyncMirrorSyncTerminationReason terminationReason = AsyncMirrorSyncTerminationReason.__UNDEFINED;

	/** @return This field is returned if the value of completionType is equal to ASYNC_MIRROR_SYNC_COMPLETION_TERMINATED. */
	public AsyncMirrorSyncTerminationReason getTerminationReason() {
		return this.terminationReason;
	}
	/** @param x This field is returned if the value of completionType is equal to ASYNC_MIRROR_SYNC_COMPLETION_TERMINATED. */
	public void setTerminationReason(AsyncMirrorSyncTerminationReason x) {
		this.terminationReason = x;
	}
}
