package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration identifies the reasons for halt/suspension of an asynchronous mirror group member synchronization. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(71)
public enum AsyncMirrorSyncTerminationReason implements Serializable {
		/** The reason is unknown. */
		reasonUnknown(0),
		/** Synchronization terminated/suspended due to primary mirror repository utilization reaching 100%. */
		primaryRepositoryFull(1),
		/** Synchronization terminated/suspended due to secondary mirror repository utilization reaching 100%. */
		secondaryRepositoryFull(2),
		/** Synchronization terminated/suspended due to an error on the primary array. */
		primaryError(3),
		/** Synchronization terminated/suspended due to an error on the secondary array. */
		secondaryError(4),
		/** Synchronization interruption due to an immediate role change or manual sync. */
		interruption(5),
		/** Synchronization terminated/suspended due to a configuration error (error writing configuration database, etc.). */
		configError(6),
		/** Synchronization terminated/suspended due to a user request to suspend. */
		userSuspend(7),
		__UNDEFINED(464378545);

		public final int value;

		private AsyncMirrorSyncTerminationReason(int v) {
			this.value = v;
		}
}
