package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union data type is used to convey additional information about the iSCSI authentication method. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(698)
public class AuthMethodTypeData implements Serializable {
	public AuthMethodTypeData() {
	}

	/** This enumeration type identifies the available iSCSIauthentication methods. The supportedAuthMethods array in the FeatureParams structure will contain values from this enumeration identifying which iSCSI authentication methods are supported on the storage array. */
	@io.swagger.annotations.ApiModelProperty(value ="This enumeration type identifies the available iSCSIauthentication methods. The supportedAuthMethods array in the FeatureParams structure will contain values from this enumeration identifying which iSCSI authentication methods are supported on the storage array." , required = true)
	@XmlElement(required = true)
	private AuthenticationMethod authMethod = AuthenticationMethod.__UNDEFINED;

	/** @return This enumeration type identifies the available iSCSIauthentication methods. The supportedAuthMethods array in the FeatureParams structure will contain values from this enumeration identifying which iSCSI authentication methods are supported on the storage array. */
	public AuthenticationMethod getAuthMethod() {
		return this.authMethod;
	}
	/** @param x This enumeration type identifies the available iSCSIauthentication methods. The supportedAuthMethods array in the FeatureParams structure will contain values from this enumeration identifying which iSCSI authentication methods are supported on the storage array. */
	public void setAuthMethod(AuthenticationMethod x) {
		this.authMethod = x;
	}

	/** This field is present only if the authentication method is AUTH_METHOD_CHAP. If the field length indicator is zero, there is no associated secret; otherwise there is a secret and it may or may not be specified, depending on the usage context for this data type. If the client is using this structure to set a secret, the length indicator should be one and the secret should be filled in; if the client is using this structure to set an authentication method with no secret, the length indicator should be zero. If the array is reporting this data, it sets the length indicator according to whether or not there is a secret. (The actual secret is never reported by the array; instead it uses the ENCRYPT_UNSPECIFIED case of EncryptedPassword.) Finally, because CHAP secrets are, by definition, limited to the ASCII character set, the clear text submitted for encryption must be ASCII, not Unicode. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the authentication method is AUTH_METHOD_CHAP. If the field length indicator is zero, there is no associated secret; otherwise there is a secret and it may or may not be specified, depending on the usage context for this data type. If the client is using this structure to set a secret, the length indicator should be one and the secret should be filled in; if the client is using this structure to set an authentication method with no secret, the length indicator should be zero. If the array is reporting this data, it sets the length indicator according to whether or not there is a secret. (The actual secret is never reported by the array; instead it uses the ENCRYPT_UNSPECIFIED case of EncryptedPassword.) Finally, because CHAP secrets are, by definition, limited to the ASCII character set, the clear text submitted for encryption must be ASCII, not Unicode." , required = false)
	@XmlElement(required = false)
	private EncryptedPassword[] chapSecret;

	/** @return This field is present only if the authentication method is AUTH_METHOD_CHAP. If the field length indicator is zero, there is no associated secret; otherwise there is a secret and it may or may not be specified, depending on the usage context for this data type. If the client is using this structure to set a secret, the length indicator should be one and the secret should be filled in; if the client is using this structure to set an authentication method with no secret, the length indicator should be zero. If the array is reporting this data, it sets the length indicator according to whether or not there is a secret. (The actual secret is never reported by the array; instead it uses the ENCRYPT_UNSPECIFIED case of EncryptedPassword.) Finally, because CHAP secrets are, by definition, limited to the ASCII character set, the clear text submitted for encryption must be ASCII, not Unicode. */
	public EncryptedPassword[] getChapSecret() {
		return this.chapSecret;
	}
	/** @param x This field is present only if the authentication method is AUTH_METHOD_CHAP. If the field length indicator is zero, there is no associated secret; otherwise there is a secret and it may or may not be specified, depending on the usage context for this data type. If the client is using this structure to set a secret, the length indicator should be one and the secret should be filled in; if the client is using this structure to set an authentication method with no secret, the length indicator should be zero. If the array is reporting this data, it sets the length indicator according to whether or not there is a secret. (The actual secret is never reported by the array; instead it uses the ENCRYPT_UNSPECIFIED case of EncryptedPassword.) Finally, because CHAP secrets are, by definition, limited to the ASCII character set, the clear text submitted for encryption must be ASCII, not Unicode. */
	public void setChapSecret(EncryptedPassword[] x) {
		this.chapSecret = x;
	}
}
