package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** Structure used to return Auto Load Balance statistics log data. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(348)
public class AutoLoadBalanceStatsLogRetrieveChunkDetails implements Serializable {
	public AutoLoadBalanceStatsLogRetrieveChunkDetails() {
	}

	/** Start time of the log statistics being returned in seconds since midnight 1/1/1970. */
	@io.swagger.annotations.ApiModelProperty(value ="Start time of the log statistics being returned in seconds since midnight 1/1/1970." , required = true)
	@XmlElement(required = true)
	private long dataStartTime;

	/** @return Start time of the log statistics being returned in seconds since midnight 1/1/1970. */
	public long getDataStartTime() {
		return this.dataStartTime;
	}
	/** @param x Start time of the log statistics being returned in seconds since midnight 1/1/1970. */
	public void setDataStartTime(long x) {
		this.dataStartTime = x;
	}

	/** Statistics log raw data to be returned. */
	@io.swagger.annotations.ApiModelProperty(value ="Statistics log raw data to be returned." , required = true)
	@XmlElement(required = true)
	private String autoLoadBalanceStatsLogData;

	/** @return Statistics log raw data to be returned. */
	public String getAutoLoadBalanceStatsLogData() {
		return this.autoLoadBalanceStatsLogData;
	}
	/** @param x Statistics log raw data to be returned. */
	public void setAutoLoadBalanceStatsLogData(String x) {
		this.autoLoadBalanceStatsLogData = x;
	}
}
