package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure conveys the details of a request to retrieve the Auto Load Balance statistics log. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(321)
public class AutoLoadBalanceStatsLogRetrieveStartDetails implements Serializable {
	public AutoLoadBalanceStatsLogRetrieveStartDetails() {
	}

	/** Type of Auto Load Balance stats log data to retrieve. */
	@io.swagger.annotations.ApiModelProperty(value ="Type of Auto Load Balance stats log data to retrieve." , required = true)
	@XmlElement(required = true)
	private AutoLoadBalanceStatsLogDataType dataType = AutoLoadBalanceStatsLogDataType.__UNDEFINED;

	/** @return Type of Auto Load Balance stats log data to retrieve. */
	public AutoLoadBalanceStatsLogDataType getDataType() {
		return this.dataType;
	}
	/** @param x Type of Auto Load Balance stats log data to retrieve. */
	public void setDataType(AutoLoadBalanceStatsLogDataType x) {
		this.dataType = x;
	}

	/** Earliest time (in seconds since midnight 1/1/1970) for which data is to be retrieved. */
	@io.swagger.annotations.ApiModelProperty(value ="Earliest time (in seconds since midnight 1/1/1970) for which data is to be retrieved." , required = true)
	@XmlElement(required = true)
	private long logStartTime;

	/** @return Earliest time (in seconds since midnight 1/1/1970) for which data is to be retrieved. */
	public long getLogStartTime() {
		return this.logStartTime;
	}
	/** @param x Earliest time (in seconds since midnight 1/1/1970) for which data is to be retrieved. */
	public void setLogStartTime(long x) {
		this.logStartTime = x;
	}
}
