package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to update the various battery parameters. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(799)
public class BatteryParamsUpdateDescriptor implements Serializable {
	public BatteryParamsUpdateDescriptor() {
	}

	/** Resets the age of the specified cache battery */
	@io.swagger.annotations.ApiModelProperty(value ="Resets the age of the specified cache battery" , required = true)
	@XmlElement(required = true)
	private boolean resetBatteryAge;

	/** @return Resets the age of the specified cache battery */
	public boolean isResetBatteryAge() {
		return this.resetBatteryAge;
	}
	/** @param x Resets the age of the specified cache battery */
	public void setResetBatteryAge(boolean x) {
		this.resetBatteryAge = x;
	}

	/** Identifies the appropriate battery. */
	@io.swagger.annotations.ApiModelProperty(value ="Identifies the appropriate battery." , required = true)
	@XmlElement(required = true)
	private String component;

	/** @return Identifies the appropriate battery. */
	public String getComponent() {
		return this.component;
	}
	/** @param x Identifies the appropriate battery. */
	public void setComponent(String x) {
		this.component = x;
	}

	/** The new value to apply for the nextLearnCycleTime property in the BatteryParamsUpdateDescriptor structure. This value is expressed as seconds since midnight GMT, January 1, 1970. This field is only applicable if the smartBatteryTechnology Boolean in FeatureParams is set to true. The array will return an error if an attempt is made to set this time more than seven days later than the current scheduled time. */
	@io.swagger.annotations.ApiModelProperty(value ="The new value to apply for the nextLearnCycleTime property in the BatteryParamsUpdateDescriptor structure. This value is expressed as seconds since midnight GMT, January 1, 1970. This field is only applicable if the smartBatteryTechnology Boolean in FeatureParams is set to true. The array will return an error if an attempt is made to set this time more than seven days later than the current scheduled time." , required = true)
	@XmlElement(required = true)
	private long[] nextLearnCycleTime;

	/** @return The new value to apply for the nextLearnCycleTime property in the BatteryParamsUpdateDescriptor structure. This value is expressed as seconds since midnight GMT, January 1, 1970. This field is only applicable if the smartBatteryTechnology Boolean in FeatureParams is set to true. The array will return an error if an attempt is made to set this time more than seven days later than the current scheduled time. */
	public long[] getNextLearnCycleTime() {
		return this.nextLearnCycleTime;
	}
	/** @param x The new value to apply for the nextLearnCycleTime property in the BatteryParamsUpdateDescriptor structure. This value is expressed as seconds since midnight GMT, January 1, 1970. This field is only applicable if the smartBatteryTechnology Boolean in FeatureParams is set to true. The array will return an error if an attempt is made to set this time more than seven days later than the current scheduled time. */
	public void setNextLearnCycleTime(long[] x) {
		this.nextLearnCycleTime = x;
	}
}
