package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union type is used by the getChannelDagnosticsResults procedure to return test results to the caller. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1174)
public class ChannelDiagResults implements Serializable {
	public ChannelDiagResults() {
	}

	/** This enumeration identifies the different types of drive channel fault isolation diagnostic tests. */
	@io.swagger.annotations.ApiModelProperty(value ="This enumeration identifies the different types of drive channel fault isolation diagnostic tests." , required = true)
	@XmlElement(required = true)
	private ChannelDiagType type = ChannelDiagType.__UNDEFINED;

	/** @return This enumeration identifies the different types of drive channel fault isolation diagnostic tests. */
	public ChannelDiagType getType() {
		return this.type;
	}
	/** @param x This enumeration identifies the different types of drive channel fault isolation diagnostic tests. */
	public void setType(ChannelDiagType x) {
		this.type = x;
	}

	/** The result data for the Write-Read-Verify channel diagnostic test as a variable-length array, one element per selected device. This field is only valid if type is equal to CHANNEL_DIAG_WRITE_READ_VERIFY. */
	@io.swagger.annotations.ApiModelProperty(value ="The result data for the Write-Read-Verify channel diagnostic test as a variable-length array, one element per selected device. This field is only valid if type is equal to CHANNEL_DIAG_WRITE_READ_VERIFY." , required = false)
	@XmlElement(required = false)
	private ChannelDiagWrRdVfyResults[] writeReadVerifyData;

	/** @return The result data for the Write-Read-Verify channel diagnostic test as a variable-length array, one element per selected device. This field is only valid if type is equal to CHANNEL_DIAG_WRITE_READ_VERIFY. */
	public ChannelDiagWrRdVfyResults[] getWriteReadVerifyData() {
		return this.writeReadVerifyData;
	}
	/** @param x The result data for the Write-Read-Verify channel diagnostic test as a variable-length array, one element per selected device. This field is only valid if type is equal to CHANNEL_DIAG_WRITE_READ_VERIFY. */
	public void setWriteReadVerifyData(ChannelDiagWrRdVfyResults[] x) {
		this.writeReadVerifyData = x;
	}
}
