package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains the parameters for the Write-Read-Verify drive channel fault isolation diagnostic test. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(541)
public class ChannelDiagWrRdVfyParams implements Serializable {
	public ChannelDiagWrRdVfyParams() {
	}

	/** The number of test iterations to perform on a selected device. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of test iterations to perform on a selected device." , required = true)
	@XmlElement(required = true)
	private int iterationsPerDevice;

	/** @return The number of test iterations to perform on a selected device. */
	public int getIterationsPerDevice() {
		return this.iterationsPerDevice;
	}
	/** @param x The number of test iterations to perform on a selected device. */
	public void setIterationsPerDevice(int x) {
		this.iterationsPerDevice = x;
	}

	/** The maximum number of errors that can be tolerated before canceling the test and proceeding on to the next selected device. */
	@io.swagger.annotations.ApiModelProperty(value ="The maximum number of errors that can be tolerated before canceling the test and proceeding on to the next selected device." , required = true)
	@XmlElement(required = true)
	private int maximumErrorsAllowed;

	/** @return The maximum number of errors that can be tolerated before canceling the test and proceeding on to the next selected device. */
	public int getMaximumErrorsAllowed() {
		return this.maximumErrorsAllowed;
	}
	/** @param x The maximum number of errors that can be tolerated before canceling the test and proceeding on to the next selected device. */
	public void setMaximumErrorsAllowed(int x) {
		this.maximumErrorsAllowed = x;
	}

	/** The selected data pattern option. */
	@io.swagger.annotations.ApiModelProperty(value ="The selected data pattern option." , required = true)
	@XmlElement(required = true)
	private ChannelDiagDataPatternTypeData dataPatternOption;

	/** @return The selected data pattern option. */
	public ChannelDiagDataPatternTypeData getDataPatternOption() {
		return this.dataPatternOption;
	}
	/** @param x The selected data pattern option. */
	public void setDataPatternOption(ChannelDiagDataPatternTypeData x) {
		this.dataPatternOption = x;
	}
}
