package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration is used to specify the clock reference when describing the time of the day at which daylight saving time starts or ends. The time of day is specified in seconds since midnight. For example, if daylight saving time ends at 2:00 am in wall clock time, it can be specified by 7200 seconds in the CLOCK_MODE_WALL_CLOCK_TIME mode. In this case, the wall clock time for an end-rule means the same thing as the daylight time. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(119)
public enum ClockMode implements Serializable {
		/** This should never happen. */
		unknown(0),
		/** The local wall clock time. */
		wallClockTime(1),
		/** Local standard time. */
		standardTime(2),
		/** Universal Coordinated Time. */
		utcTime(3),
		__UNDEFINED(464378545);

		public final int value;

		private ClockMode(int v) {
			this.value = v;
		}
}
