package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used as input to the command that sets the performance limitations on a particular cluster. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(798)
public class ClusterPerformanceLimitationValuesDescriptor implements Serializable {
	public ClusterPerformanceLimitationValuesDescriptor() {
	}

	/** This is the reference to the cluster for which the performance parameters apply. */
	@io.swagger.annotations.ApiModelProperty(value ="This is the reference to the cluster for which the performance parameters apply." , required = true)
	@XmlElement(required = true)
	private String clusterRef;

	/** @return This is the reference to the cluster for which the performance parameters apply. */
	public String getClusterRef() {
		return this.clusterRef;
	}
	/** @param x This is the reference to the cluster for which the performance parameters apply. */
	public void setClusterRef(String x) {
		this.clusterRef = x;
	}

	/** This is the maximum number of IOPs allowed for the cluster. The controller firmware will limit the number of IOPs for a cluster to this value. A value of CLUSTER_PERFORMANCE_LIMIT_DEFAULT_VALUE (0) means that no performance limitations have been placed on the cluster. */
	@io.swagger.annotations.ApiModelProperty(value ="This is the maximum number of IOPs allowed for the cluster. The controller firmware will limit the number of IOPs for a cluster to this value. A value of CLUSTER_PERFORMANCE_LIMIT_DEFAULT_VALUE (0) means that no performance limitations have been placed on the cluster." , required = true)
	@XmlElement(required = true)
	private long maxIopsOnCluster;

	/** @return This is the maximum number of IOPs allowed for the cluster. The controller firmware will limit the number of IOPs for a cluster to this value. A value of CLUSTER_PERFORMANCE_LIMIT_DEFAULT_VALUE (0) means that no performance limitations have been placed on the cluster. */
	public long getMaxIopsOnCluster() {
		return this.maxIopsOnCluster;
	}
	/** @param x This is the maximum number of IOPs allowed for the cluster. The controller firmware will limit the number of IOPs for a cluster to this value. A value of CLUSTER_PERFORMANCE_LIMIT_DEFAULT_VALUE (0) means that no performance limitations have been placed on the cluster. */
	public void setMaxIopsOnCluster(long x) {
		this.maxIopsOnCluster = x;
	}

	/** This is the maximum number of MB per second that will be supported on the cluster. The controller firmware will limit the throughput for the cluster to this value. A value of CLUSTER_PERFORMANCE_LIMIT_DEFAULT_VALUE (0) means that no throughput limitations exist on the cluster. */
	@io.swagger.annotations.ApiModelProperty(value ="This is the maximum number of MB per second that will be supported on the cluster. The controller firmware will limit the throughput for the cluster to this value. A value of CLUSTER_PERFORMANCE_LIMIT_DEFAULT_VALUE (0) means that no throughput limitations exist on the cluster." , required = true)
	@XmlElement(required = true)
	private long maxMBsOnCluster;

	/** @return This is the maximum number of MB per second that will be supported on the cluster. The controller firmware will limit the throughput for the cluster to this value. A value of CLUSTER_PERFORMANCE_LIMIT_DEFAULT_VALUE (0) means that no throughput limitations exist on the cluster. */
	public long getMaxMBsOnCluster() {
		return this.maxMBsOnCluster;
	}
	/** @param x This is the maximum number of MB per second that will be supported on the cluster. The controller firmware will limit the throughput for the cluster to this value. A value of CLUSTER_PERFORMANCE_LIMIT_DEFAULT_VALUE (0) means that no throughput limitations exist on the cluster. */
	public void setMaxMBsOnCluster(long x) {
		this.maxMBsOnCluster = x;
	}
}
