package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** Replacement methods that apply to any component. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(35)
public enum ComponentReplacementMethod implements Serializable {
		/** This replacement method indicates that the component is housed in a parent container, and cannot be removed from the parent for replacement. In order to repair the component, the entire parent container must be replaced. */
		parent(1),
		/** This replacement method indicates that the component is an independently replaceable item, regardless of whether or not it is housed in a parent container. */
		self(2),
		__UNDEFINED(464378545);

		public final int value;

		private ComponentReplacementMethod(int v) {
			this.value = v;
		}
}
