package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains both channel ports involved in a controller miswire. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(789)
public class ControllerMiswireError implements Serializable {
	public ControllerMiswireError() {
	}

	/** A reference to one of the drive channel ports involved in a controller miswire. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to one of the drive channel ports involved in a controller miswire." , required = true)
	@XmlElement(required = true)
	private String portRefA;

	/** @return A reference to one of the drive channel ports involved in a controller miswire. */
	public String getPortRefA() {
		return this.portRefA;
	}
	/** @param x A reference to one of the drive channel ports involved in a controller miswire. */
	public void setPortRefA(String x) {
		this.portRefA = x;
	}

	/** A reference to one of the drive channel ports involved in a controller miswire. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to one of the drive channel ports involved in a controller miswire." , required = true)
	@XmlElement(required = true)
	private String portRefB;

	/** @return A reference to one of the drive channel ports involved in a controller miswire. */
	public String getPortRefB() {
		return this.portRefB;
	}
	/** @param x A reference to one of the drive channel ports involved in a controller miswire. */
	public void setPortRefB(String x) {
		this.portRefB = x;
	}

	/** The two drive channel ports on one controller that are participating in the miswire condition. */
	@io.swagger.annotations.ApiModelProperty(value ="The two drive channel ports on one controller that are participating in the miswire condition." , required = true)
	@XmlElement(required = true)
	private String[] portRefs;

	/** @return The two drive channel ports on one controller that are participating in the miswire condition. */
	public String[] getPortRefs() {
		return this.portRefs;
	}
	/** @param x The two drive channel ports on one controller that are participating in the miswire condition. */
	public void setPortRefs(String[] x) {
		this.portRefs = x;
	}
}
