package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure specifies the detailed content of raw data returned by the controller in response to DBM Block retrieval requests. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(409)
public class DbmBlkRetrieveChunkDetails implements Serializable {
	public DbmBlkRetrieveChunkDetails() {
	}

	/** CRC data. */
	@io.swagger.annotations.ApiModelProperty(value ="CRC data." , required = true)
	@XmlElement(required = true)
	private int chunkCRC;

	/** @return CRC data. */
	public int getChunkCRC() {
		return this.chunkCRC;
	}
	/** @param x CRC data. */
	public void setChunkCRC(int x) {
		this.chunkCRC = x;
	}

	/** The size of each DBM block (sector). */
	@io.swagger.annotations.ApiModelProperty(value ="The size of each DBM block (sector)." , required = true)
	@XmlElement(required = true)
	private int blockSize;

	/** @return The size of each DBM block (sector). */
	public int getBlockSize() {
		return this.blockSize;
	}
	/** @param x The size of each DBM block (sector). */
	public void setBlockSize(int x) {
		this.blockSize = x;
	}

	/** indicates whether the overall retrieval process is based on a DBM image containing one or more mirror consistency mismatches. */
	@io.swagger.annotations.ApiModelProperty(value ="indicates whether the overall retrieval process is based on a DBM image containing one or more mirror consistency mismatches." , required = true)
	@XmlElement(required = true)
	private DataCheck blockConsistencyCheck = DataCheck.__UNDEFINED;

	/** @return indicates whether the overall retrieval process is based on a DBM image containing one or more mirror consistency mismatches. */
	public DataCheck getBlockConsistencyCheck() {
		return this.blockConsistencyCheck;
	}
	/** @param x indicates whether the overall retrieval process is based on a DBM image containing one or more mirror consistency mismatches. */
	public void setBlockConsistencyCheck(DataCheck x) {
		this.blockConsistencyCheck = x;
	}

	/** Indicates whether the overall image has a structural fault or if the integrity wasn't checked prior to retrieval. */
	@io.swagger.annotations.ApiModelProperty(value ="Indicates whether the overall image has a structural fault or if the integrity wasn't checked prior to retrieval." , required = true)
	@XmlElement(required = true)
	private DataCheck structureIntegrityCheck = DataCheck.__UNDEFINED;

	/** @return Indicates whether the overall image has a structural fault or if the integrity wasn't checked prior to retrieval. */
	public DataCheck getStructureIntegrityCheck() {
		return this.structureIntegrityCheck;
	}
	/** @param x Indicates whether the overall image has a structural fault or if the integrity wasn't checked prior to retrieval. */
	public void setStructureIntegrityCheck(DataCheck x) {
		this.structureIntegrityCheck = x;
	}

	/** An array identifying the block addresses of the blocks whose data resides in the blockData array */
	@io.swagger.annotations.ApiModelProperty(value ="An array identifying the block addresses of the blocks whose data resides in the blockData array" , required = true)
	@XmlElement(required = true)
	private int[] sstorLBA;

	/** @return An array identifying the block addresses of the blocks whose data resides in the blockData array */
	public int[] getSstorLBA() {
		return this.sstorLBA;
	}
	/** @param x An array identifying the block addresses of the blocks whose data resides in the blockData array */
	public void setSstorLBA(int[] x) {
		this.sstorLBA = x;
	}

	/** An array of block data. */
	@io.swagger.annotations.ApiModelProperty(value ="An array of block data." , required = true)
	@XmlElement(required = true)
	private String blockData;

	/** @return An array of block data. */
	public String getBlockData() {
		return this.blockData;
	}
	/** @param x An array of block data. */
	public void setBlockData(String x) {
		this.blockData = x;
	}

	/** Defines which storage device to read the image from. Repeated here to ensure all chunks were read from the same place. */
	@io.swagger.annotations.ApiModelProperty(value ="Defines which storage device to read the image from. Repeated here to ensure all chunks were read from the same place." , required = true)
	@XmlElement(required = true)
	private DbmDatabaseLocation sourceLocation = DbmDatabaseLocation.__UNDEFINED;

	/** @return Defines which storage device to read the image from. Repeated here to ensure all chunks were read from the same place. */
	public DbmDatabaseLocation getSourceLocation() {
		return this.sourceLocation;
	}
	/** @param x Defines which storage device to read the image from. Repeated here to ensure all chunks were read from the same place. */
	public void setSourceLocation(DbmDatabaseLocation x) {
		this.sourceLocation = x;
	}
}
