package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure type contains the data returned by the getControllerDebugInformation procedure. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(489)
public class DebugInfo implements Serializable {
	public DebugInfo() {
	}

	/** The handle representing the collection of debug information extents for a particular controller. */
	@io.swagger.annotations.ApiModelProperty(value ="The handle representing the collection of debug information extents for a particular controller." , required = true)
	@XmlElement(required = true)
	private String handle;

	/** @return The handle representing the collection of debug information extents for a particular controller. */
	public String getHandle() {
		return this.handle;
	}
	/** @param x The handle representing the collection of debug information extents for a particular controller. */
	public void setHandle(String x) {
		this.handle = x;
	}

	/** Number of extents in the collection. */
	@io.swagger.annotations.ApiModelProperty(value ="Number of extents in the collection." , required = true)
	@XmlElement(required = true)
	private int numberOfChunks;

	/** @return Number of extents in the collection. */
	public int getNumberOfChunks() {
		return this.numberOfChunks;
	}
	/** @param x Number of extents in the collection. */
	public void setNumberOfChunks(int x) {
		this.numberOfChunks = x;
	}

	/** An actual chunk of debug data. */
	@io.swagger.annotations.ApiModelProperty(value ="An actual chunk of debug data." , required = true)
	@XmlElement(required = true)
	private String debugChunkData;

	/** @return An actual chunk of debug data. */
	public String getDebugChunkData() {
		return this.debugChunkData;
	}
	/** @param x An actual chunk of debug data. */
	public void setDebugChunkData(String x) {
		this.debugChunkData = x;
	}

	/** The extent (chunk) to start with on next request. */
	@io.swagger.annotations.ApiModelProperty(value ="The extent (chunk) to start with on next request." , required = true)
	@XmlElement(required = true)
	private int nextChunkToRetrieve;

	/** @return The extent (chunk) to start with on next request. */
	public int getNextChunkToRetrieve() {
		return this.nextChunkToRetrieve;
	}
	/** @param x The extent (chunk) to start with on next request. */
	public void setNextChunkToRetrieve(int x) {
		this.nextChunkToRetrieve = x;
	}
}
