package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union type contains the information returned by the getCotnrollerDebugInformation procedure. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(670)
public class DebugInfoReturned implements Serializable {
	public DebugInfoReturned() {
	}

	/** An enumeration used to determine the return status of a SYMbol function call. */
	@io.swagger.annotations.ApiModelProperty(value ="An enumeration used to determine the return status of a SYMbol function call." , required = true)
	@XmlElement(required = true)
	private ReturnCode returnCode = ReturnCode.__UNDEFINED;

	/** @return An enumeration used to determine the return status of a SYMbol function call. */
	public ReturnCode getReturnCode() {
		return this.returnCode;
	}
	/** @param x An enumeration used to determine the return status of a SYMbol function call. */
	public void setReturnCode(ReturnCode x) {
		this.returnCode = x;
	}

	/** The returned debug information. This field is only valid when returnCode is equal to RETCODE_OK. */
	@io.swagger.annotations.ApiModelProperty(value ="The returned debug information. This field is only valid when returnCode is equal to RETCODE_OK." , required = false)
	@XmlElement(required = false)
	private DebugInfo debugInfo;

	/** @return The returned debug information. This field is only valid when returnCode is equal to RETCODE_OK. */
	public DebugInfo getDebugInfo() {
		return this.debugInfo;
	}
	/** @param x The returned debug information. This field is only valid when returnCode is equal to RETCODE_OK. */
	public void setDebugInfo(DebugInfo x) {
		this.debugInfo = x;
	}
}
