package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains static default values for Disk Pools. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(373)
public class DiskPoolDefaultAttributes implements Serializable {
	public DiskPoolDefaultAttributes() {
	}

	/** The pool utilization warning threshold as a percentage of the total user configurable capacity. A MEL event is generated when the configured capacity exceeds the specified level of the configurable capacity. */
	@io.swagger.annotations.ApiModelProperty(value ="The pool utilization warning threshold as a percentage of the total user configurable capacity. A MEL event is generated when the configured capacity exceeds the specified level of the configurable capacity." , required = true)
	@XmlElement(required = true)
	private int poolUtilizationWarningThreshold;

	/** @return The pool utilization warning threshold as a percentage of the total user configurable capacity. A MEL event is generated when the configured capacity exceeds the specified level of the configurable capacity. */
	public int getPoolUtilizationWarningThreshold() {
		return this.poolUtilizationWarningThreshold;
	}
	/** @param x The pool utilization warning threshold as a percentage of the total user configurable capacity. A MEL event is generated when the configured capacity exceeds the specified level of the configurable capacity. */
	public void setPoolUtilizationWarningThreshold(int x) {
		this.poolUtilizationWarningThreshold = x;
	}

	/** The pool utilization critical threshold as a percentage of the total user configurable capacity. A MEL event is generated when the configured capacity exceeds the specified level of the configurable capacity. */
	@io.swagger.annotations.ApiModelProperty(value ="The pool utilization critical threshold as a percentage of the total user configurable capacity. A MEL event is generated when the configured capacity exceeds the specified level of the configurable capacity." , required = true)
	@XmlElement(required = true)
	private int poolUtilizationCriticalThreshold;

	/** @return The pool utilization critical threshold as a percentage of the total user configurable capacity. A MEL event is generated when the configured capacity exceeds the specified level of the configurable capacity. */
	public int getPoolUtilizationCriticalThreshold() {
		return this.poolUtilizationCriticalThreshold;
	}
	/** @param x The pool utilization critical threshold as a percentage of the total user configurable capacity. A MEL event is generated when the configured capacity exceeds the specified level of the configurable capacity. */
	public void setPoolUtilizationCriticalThreshold(int x) {
		this.poolUtilizationCriticalThreshold = x;
	}

	/** One failed drive degraded reconstruction priority. */
	@io.swagger.annotations.ApiModelProperty(value ="One failed drive degraded reconstruction priority." , required = true)
	@XmlElement(required = true)
	private DiskPoolOperationPriority degradedReconstructPriority = DiskPoolOperationPriority.__UNDEFINED;

	/** @return One failed drive degraded reconstruction priority. */
	public DiskPoolOperationPriority getDegradedReconstructPriority() {
		return this.degradedReconstructPriority;
	}
	/** @param x One failed drive degraded reconstruction priority. */
	public void setDegradedReconstructPriority(DiskPoolOperationPriority x) {
		this.degradedReconstructPriority = x;
	}

	/** Two failed drive reconstruction critical priority. */
	@io.swagger.annotations.ApiModelProperty(value ="Two failed drive reconstruction critical priority." , required = true)
	@XmlElement(required = true)
	private DiskPoolOperationPriority criticalReconstructPriority = DiskPoolOperationPriority.__UNDEFINED;

	/** @return Two failed drive reconstruction critical priority. */
	public DiskPoolOperationPriority getCriticalReconstructPriority() {
		return this.criticalReconstructPriority;
	}
	/** @param x Two failed drive reconstruction critical priority. */
	public void setCriticalReconstructPriority(DiskPoolOperationPriority x) {
		this.criticalReconstructPriority = x;
	}

	/** Priority of other background operations (DVE,DCE,DCR, and IAF). */
	@io.swagger.annotations.ApiModelProperty(value ="Priority of other background operations (DVE,DCE,DCR, and IAF)." , required = true)
	@XmlElement(required = true)
	private DiskPoolOperationPriority backgroundOperationPriority = DiskPoolOperationPriority.__UNDEFINED;

	/** @return Priority of other background operations (DVE,DCE,DCR, and IAF). */
	public DiskPoolOperationPriority getBackgroundOperationPriority() {
		return this.backgroundOperationPriority;
	}
	/** @param x Priority of other background operations (DVE,DCE,DCR, and IAF). */
	public void setBackgroundOperationPriority(DiskPoolOperationPriority x) {
		this.backgroundOperationPriority = x;
	}

	/** The maximum volume size (in megabytes) for disk pools. */
	@io.swagger.annotations.ApiModelProperty(value ="The maximum volume size (in megabytes) for disk pools." , required = true)
	@XmlElement(required = true)
	private long maxVolumeSizeInMegabytes;

	/** @return The maximum volume size (in megabytes) for disk pools. */
	public long getMaxVolumeSizeInMegabytes() {
		return this.maxVolumeSizeInMegabytes;
	}
	/** @param x The maximum volume size (in megabytes) for disk pools. */
	public void setMaxVolumeSizeInMegabytes(long x) {
		this.maxVolumeSizeInMegabytes = x;
	}

	/** The maximum number of drives that can be used for Dynamic Capacity Expansion (DCE). */
	@io.swagger.annotations.ApiModelProperty(value ="The maximum number of drives that can be used for Dynamic Capacity Expansion (DCE)." , required = true)
	@XmlElement(required = true)
	private int maxDCEDriveCount;

	/** @return The maximum number of drives that can be used for Dynamic Capacity Expansion (DCE). */
	public int getMaxDCEDriveCount() {
		return this.maxDCEDriveCount;
	}
	/** @param x The maximum number of drives that can be used for Dynamic Capacity Expansion (DCE). */
	public void setMaxDCEDriveCount(int x) {
		this.maxDCEDriveCount = x;
	}

	/** The granularity (in bytes) of the volume capacity values that are allowed for any repository member volume allocated from disk pools. */
	@io.swagger.annotations.ApiModelProperty(value ="The granularity (in bytes) of the volume capacity values that are allowed for any repository member volume allocated from disk pools." , required = true)
	@XmlElement(required = true)
	private long reposGranularity;

	/** @return The granularity (in bytes) of the volume capacity values that are allowed for any repository member volume allocated from disk pools. */
	public long getReposGranularity() {
		return this.reposGranularity;
	}
	/** @param x The granularity (in bytes) of the volume capacity values that are allowed for any repository member volume allocated from disk pools. */
	public void setReposGranularity(long x) {
		this.reposGranularity = x;
	}

	/** The maximum total size for all disk pools. */
	@io.swagger.annotations.ApiModelProperty(value ="The maximum total size for all disk pools." , required = true)
	@XmlElement(required = true)
	private long maxTotalDiskPoolSupportInMegabytes;

	/** @return The maximum total size for all disk pools. */
	public long getMaxTotalDiskPoolSupportInMegabytes() {
		return this.maxTotalDiskPoolSupportInMegabytes;
	}
	/** @param x The maximum total size for all disk pools. */
	public void setMaxTotalDiskPoolSupportInMegabytes(long x) {
		this.maxTotalDiskPoolSupportInMegabytes = x;
	}

	/** Volumes with a capacity this size or smaller are created synchronously (i.e. the volume definition is complete when the SYMbol command completes). Larger volumes are completed as a background operation. The state of the volume after the SYMbol command completes is "creating" until the background operation completes. */
	@io.swagger.annotations.ApiModelProperty(value ="Volumes with a capacity this size or smaller are created synchronously (i.e. the volume definition is complete when the SYMbol command completes). Larger volumes are completed as a background operation. The state of the volume after the SYMbol command completes is \"creating\" until the background operation completes." , required = true)
	@XmlElement(required = true)
	private long maxVolumeSynchronousCreationInMegabytes;

	/** @return Volumes with a capacity this size or smaller are created synchronously (i.e. the volume definition is complete when the SYMbol command completes). Larger volumes are completed as a background operation. The state of the volume after the SYMbol command completes is "creating" until the background operation completes. */
	public long getMaxVolumeSynchronousCreationInMegabytes() {
		return this.maxVolumeSynchronousCreationInMegabytes;
	}
	/** @param x Volumes with a capacity this size or smaller are created synchronously (i.e. the volume definition is complete when the SYMbol command completes). Larger volumes are completed as a background operation. The state of the volume after the SYMbol command completes is "creating" until the background operation completes. */
	public void setMaxVolumeSynchronousCreationInMegabytes(long x) {
		this.maxVolumeSynchronousCreationInMegabytes = x;
	}
}
