package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains information about a Disk Pool volume candidate. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(484)
public class DiskPoolVolumeCandidateData implements Serializable {
	public DiskPoolVolumeCandidateData() {
	}

	/** The number of drives reserved for reconstruction of failed drives. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of drives reserved for reconstruction of failed drives." , required = true)
	@XmlElement(required = true)
	private int reconstructionReservedDriveCount;

	/** @return The number of drives reserved for reconstruction of failed drives. */
	public int getReconstructionReservedDriveCount() {
		return this.reconstructionReservedDriveCount;
	}
	/** @param x The number of drives reserved for reconstruction of failed drives. */
	public void setReconstructionReservedDriveCount(int x) {
		this.reconstructionReservedDriveCount = x;
	}

	/** The pool capacity reserved to hold rebuild data (in bytes). This value is calculated from the reconstructionReservedDriveCount. */
	@io.swagger.annotations.ApiModelProperty(value ="The pool capacity reserved to hold rebuild data (in bytes). This value is calculated from the reconstructionReservedDriveCount." , required = true)
	@XmlElement(required = true)
	private long reconstructionReservedAmt;

	/** @return The pool capacity reserved to hold rebuild data (in bytes). This value is calculated from the reconstructionReservedDriveCount. */
	public long getReconstructionReservedAmt() {
		return this.reconstructionReservedAmt;
	}
	/** @param x The pool capacity reserved to hold rebuild data (in bytes). This value is calculated from the reconstructionReservedDriveCount. */
	public void setReconstructionReservedAmt(long x) {
		this.reconstructionReservedAmt = x;
	}

	/** This value identifies how much capacity (in bytes) is being wasted due to a mix of drive sizes. This value will be zero as long as the pool consists of like drive sizes. */
	@io.swagger.annotations.ApiModelProperty(value ="This value identifies how much capacity (in bytes) is being wasted due to a mix of drive sizes. This value will be zero as long as the pool consists of like drive sizes." , required = true)
	@XmlElement(required = true)
	private long unusableCapacity;

	/** @return This value identifies how much capacity (in bytes) is being wasted due to a mix of drive sizes. This value will be zero as long as the pool consists of like drive sizes. */
	public long getUnusableCapacity() {
		return this.unusableCapacity;
	}
	/** @param x This value identifies how much capacity (in bytes) is being wasted due to a mix of drive sizes. This value will be zero as long as the pool consists of like drive sizes. */
	public void setUnusableCapacity(long x) {
		this.unusableCapacity = x;
	}
}
