package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains information about the critical aspects of a drive channel component. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(643)
public class DriveChannel implements Serializable {
	public DriveChannel() {
	}

	/** The channel number. */
	@io.swagger.annotations.ApiModelProperty(value ="The channel number." , required = true)
	@XmlElement(required = true)
	private int channel;

	/** @return The channel number. */
	public int getChannel() {
		return this.channel;
	}
	/** @param x The channel number. */
	public void setChannel(int x) {
		this.channel = x;
	}

	/** The operational state of the channel. */
	@io.swagger.annotations.ApiModelProperty(value ="The operational state of the channel." , required = true)
	@XmlElement(required = true)
	private DriveChannelState state = DriveChannelState.__UNDEFINED;

	/** @return The operational state of the channel. */
	public DriveChannelState getState() {
		return this.state;
	}
	/** @param x The operational state of the channel. */
	public void setState(DriveChannelState x) {
		this.state = x;
	}

	/** The reason the channel was degraded. */
	@io.swagger.annotations.ApiModelProperty(value ="The reason the channel was degraded." , required = true)
	@XmlElement(required = true)
	private DriveChannelDegradeReason reason = DriveChannelDegradeReason.__UNDEFINED;

	/** @return The reason the channel was degraded. */
	public DriveChannelDegradeReason getReason() {
		return this.reason;
	}
	/** @param x The reason the channel was degraded. */
	public void setReason(DriveChannelDegradeReason x) {
		this.reason = x;
	}

	/** If auto degraded, the degraded controller. */
	@io.swagger.annotations.ApiModelProperty(value ="If auto degraded, the degraded controller." , required = true)
	@XmlElement(required = true)
	private String degradingController;

	/** @return If auto degraded, the degraded controller. */
	public String getDegradingController() {
		return this.degradingController;
	}
	/** @param x If auto degraded, the degraded controller. */
	public void setDegradingController(String x) {
		this.degradingController = x;
	}

	/** The statistics for Controller A. */
	@io.swagger.annotations.ApiModelProperty(value ="The statistics for Controller A." , required = true)
	@XmlElement(required = true)
	private DriveChannelStatistics statsControllerA;

	/** @return The statistics for Controller A. */
	public DriveChannelStatistics getStatsControllerA() {
		return this.statsControllerA;
	}
	/** @param x The statistics for Controller A. */
	public void setStatsControllerA(DriveChannelStatistics x) {
		this.statsControllerA = x;
	}

	/** The statistics for Controller B. */
	@io.swagger.annotations.ApiModelProperty(value ="The statistics for Controller B." , required = true)
	@XmlElement(required = true)
	private DriveChannelStatistics statsControllerB;

	/** @return The statistics for Controller B. */
	public DriveChannelStatistics getStatsControllerB() {
		return this.statsControllerB;
	}
	/** @param x The statistics for Controller B. */
	public void setStatsControllerB(DriveChannelStatistics x) {
		this.statsControllerB = x;
	}
}
