package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration object is used to specify the reason the drive channel was degraded. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(248)
public enum DriveChannelDegradeReason implements Serializable {
		/** No degrade reason is given. */
		none(0),
		/** The threshold was exceeded. */
		thresholdExceeded(1),
		/** The admin requested to degrade the channel. */
		adminRequest(2),
		/** Hardware failure. */
		socNotOperational(3),
		/** Hardware failure. */
		socEepromFailure(4),
		/** Clear hardware failure. */
		clearHwFailure(5),
		/** The drive channel was degraded due to an internal controller firmware decision. */
		controllerAction(6),
		__UNDEFINED(464378545);

		public final int value;

		private DriveChannelDegradeReason(int v) {
			this.value = v;
		}
}
