package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains the drive download data list. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(842)
public class DriveFirmwareDownload implements Serializable {
	public DriveFirmwareDownload() {
	}

	/** The drive download data list. */
	@io.swagger.annotations.ApiModelProperty(value ="The drive download data list." , required = true)
	@XmlElement(required = true)
	private DriveDownloadSet[] downloadSet;

	/** @return The drive download data list. */
	public DriveDownloadSet[] getDownloadSet() {
		return this.downloadSet;
	}
	/** @param x The drive download data list. */
	public void setDownloadSet(DriveDownloadSet[] x) {
		this.downloadSet = x;
	}

	/** Set to true by the caller of startDriveFirmwareDownload if the download is to be performed online. */
	@io.swagger.annotations.ApiModelProperty(value ="Set to true by the caller of startDriveFirmwareDownload if the download is to be performed online." , required = true)
	@XmlElement(required = true)
	private boolean online;

	/** @return Set to true by the caller of startDriveFirmwareDownload if the download is to be performed online. */
	public boolean isOnline() {
		return this.online;
	}
	/** @param x Set to true by the caller of startDriveFirmwareDownload if the download is to be performed online. */
	public void setOnline(boolean x) {
		this.online = x;
	}
}
