package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is the argument structure for the replaceDrive procedure call. It is used to indicate the drive to be replaced and the replacement drive. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(834)
public class DriveReplacementDescriptor implements Serializable {
	public DriveReplacementDescriptor() {
	}

	/** A reference to the drive to be replaced. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the drive to be replaced." , required = true)
	@XmlElement(required = true)
	private String driveToReplace;

	/** @return A reference to the drive to be replaced. */
	public String getDriveToReplace() {
		return this.driveToReplace;
	}
	/** @param x A reference to the drive to be replaced. */
	public void setDriveToReplace(String x) {
		this.driveToReplace = x;
	}

	/** A reference to the replacement drive. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the replacement drive." , required = true)
	@XmlElement(required = true)
	private String replacementDrive;

	/** @return A reference to the replacement drive. */
	public String getReplacementDrive() {
		return this.replacementDrive;
	}
	/** @param x A reference to the replacement drive. */
	public void setReplacementDrive(String x) {
		this.replacementDrive = x;
	}
}
