package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration type is used to distinguish between the different I/O protocols used by the controller to communicate with drives. This is not necessarily the same as the physical drive interface type (PhysicalDriveType). */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(16)
public enum DriveType implements Serializable {
		/** The drive uses a SCSI I/O interface. */
		scsi(1),
		/** The drive uses a Fibre Channel I/O interface. */
		fibre(2),
		/** The drive interface is unknown or unavailable. */
		unknown(3),
		/** The drive uses a serial-attached SCSI I/O interface. */
		sas(4),
		/** The drive uses a SATA I/O interface. */
		sata(5),
		__UNDEFINED(464378545);

		public final int value;

		private DriveType(int v) {
			this.value = v;
		}
}
