package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration object is used to identify the type of encryption used for a particular operation or object. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(244)
public enum EncryptionType implements Serializable {
		/** Indicates that the encryption conforms to the PKCS #5 standard defined by RSA Laboratories for passphrase-based encryption. The SHA-1 message digest algorithm is used to generate the encryption key and initialization vector. The encryption algorithm is DES with 56-bit keys and Cipher Block Chaining (CBC). */
		pkcs5Sha1Des(1),
		/** Indicates, in certain contexts, that the encryption type is not specified. */
		unspecified(2),
		/** Use AES encryption. */
		pkcs5Sha2Aes(4),
		__UNDEFINED(464378545);

		public final int value;

		private EncryptionType(int v) {
			this.value = v;
		}
}
