package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** An enumeration that includes the known Ethernet Flow control states for a given iSCSI Port. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(69)
public enum EnhEthFlowControlStatus implements Serializable {
		/** The port's flow control is in an indeterminate state. */
		unk(0),
		/** The the port's Ethernet link is down (disconnected ethernet cable) . */
		disabled(1),
		/** The flow control status is standard for the Enhanced Ethernet. */
		standard(2),
		/** The DCBX exchange error indicates the Ethernet switch connected to the given port is not configured correctly for priority-based Flow Control. */
		perPriority(3),
		__UNDEFINED(464378545);

		public final int value;

		private EnhEthFlowControlStatus(int v) {
			this.value = v;
		}
}
