package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** An enumeration that includes the known Ethernet Protocol types currently negotiated via DCBX. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(234)
public enum EnhEthProtocolType implements Serializable {
		/** The Ethernet Protocol type is unknown. */
		unk(0),
		/** The Ethernet Protocol type is the Fibre Channel Over Ethernet. */
		fcoe(1),
		/** The Ethernet Protocol type is the Fibre Channel Over Ethernet Initiation Protocol. */
		fip(2),
		/** The Ethernet Protocol type is the ISCSI. */
		iscsi(3),
		__UNDEFINED(464378545);

		public final int value;

		private EnhEthProtocolType(int v) {
			this.value = v;
		}
}
