package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration is used to specify whether default actions will be taken for events or whether the defaults will be overridden. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(148)
public enum EventControlOverride implements Serializable {
		/** The default action for the event will be used. */
		unknown(0),
		/** The default action for the event will be used. */
		acceptDefault(1),
		/** The default action for the event will be overridden with a value of True. */
		overrideToTrue(2),
		/** The default action for the event will be overridden with a value of False. */
		overrideToFalse(3),
		__UNDEFINED(464378545);

		public final int value;

		private EventControlOverride(int v) {
			this.value = v;
		}
}
