package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration object contains a list of all possible extended component location types that can be returned in a MEL entry. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(98)
public enum ExtendedComponentLocationType implements Serializable {
		/** The extended component location type is unknown. */
		unknown(0),
		/** The extended component location type is a tray. */
		tray(1),
		/** The extended component location type is a tray slot. */
		trayslot(2),
		/** The extended component location type is a minihub. This value is deprecated. */
		minihub(3),
		/** The extended component location type is a channel. This value is deprecated. */
		channel(4),
		/** The extended component location type is a volume. This value is deprecated. */
		volume(5),
		/** The extended component location type is a PiT. */
		pit(6),
		/** Controller Reference */
		controller(7),
		/** SYMbolRef */
		ref(8),
		/** Label associated with the physical location of the component or port. */
		label(9),
		__UNDEFINED(464378545);

		public final int value;

		private ExtendedComponentLocationType(int v) {
			this.value = v;
		}
}
