package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used as an argument when downloading factory default information to a controller or expansion enclosure. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(593)
public class FactoryDefaultsDescriptor implements Serializable {
	public FactoryDefaultsDescriptor() {
	}

	/** This object uniquely identifies the particular tray within the storage array that will receive the factory default information. */
	@io.swagger.annotations.ApiModelProperty(value ="This object uniquely identifies the particular tray within the storage array that will receive the factory default information." , required = true)
	@XmlElement(required = true)
	private String tray;

	/** @return This object uniquely identifies the particular tray within the storage array that will receive the factory default information. */
	public String getTray() {
		return this.tray;
	}
	/** @param x This object uniquely identifies the particular tray within the storage array that will receive the factory default information. */
	public void setTray(String x) {
		this.tray = x;
	}

	/** The factory default information for the indicated tray. */
	@io.swagger.annotations.ApiModelProperty(value ="The factory default information for the indicated tray." , required = true)
	@XmlElement(required = true)
	private FirmwareUpdateDescriptor factoryDefaultsData;

	/** @return The factory default information for the indicated tray. */
	public FirmwareUpdateDescriptor getFactoryDefaultsData() {
		return this.factoryDefaultsData;
	}
	/** @param x The factory default information for the indicated tray. */
	public void setFactoryDefaultsData(FirmwareUpdateDescriptor x) {
		this.factoryDefaultsData = x;
	}
}
