package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union is a vunion structure that describes a particular feature attribute for features that make up a feature bundle. The limit information described in the FeatureAttribute structure is not intended to replace the information in the FeatureParams structure. The FeatureParams structure describes current enabled limits, whereas the the FeatureAttributes associated with features in a bundle describe current or potential upper bounds. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(570)
public class FeatureAttribute implements Serializable {
	public FeatureAttribute() {
	}

	/** This enumeration identifies the defined feature attributes. */
	@io.swagger.annotations.ApiModelProperty(value ="This enumeration identifies the defined feature attributes." , required = true)
	@XmlElement(required = true)
	private FeatureAttrId featureAttrId = FeatureAttrId.__UNDEFINED;

	/** @return This enumeration identifies the defined feature attributes. */
	public FeatureAttrId getFeatureAttrId() {
		return this.featureAttrId;
	}
	/** @param x This enumeration identifies the defined feature attributes. */
	public void setFeatureAttrId(FeatureAttrId x) {
		this.featureAttrId = x;
	}

	/** The boolean value for a "KEY ENABLED" attribute. This field is only present if featureAttrId is equal to FEATURE_ATTR_KEY_ENABLED. */
	@io.swagger.annotations.ApiModelProperty(value ="The boolean value for a \"KEY ENABLED\" attribute. This field is only present if featureAttrId is equal to FEATURE_ATTR_KEY_ENABLED." , required = false)
	@XmlElement(required = false)
	private boolean keyEnabled;

	/** @return The boolean value for a "KEY ENABLED" attribute. This field is only present if featureAttrId is equal to FEATURE_ATTR_KEY_ENABLED. */
	public boolean isKeyEnabled() {
		return this.keyEnabled;
	}
	/** @param x The boolean value for a "KEY ENABLED" attribute. This field is only present if featureAttrId is equal to FEATURE_ATTR_KEY_ENABLED. */
	public void setKeyEnabled(boolean x) {
		this.keyEnabled = x;
	}

	/** The integer value for a "KEY LIMIT" attribute. This field is only present if featureAttrId is equal to FEAUTRE_ATTR_KEY_LIMIT. */
	@io.swagger.annotations.ApiModelProperty(value ="The integer value for a \"KEY LIMIT\" attribute. This field is only present if featureAttrId is equal to FEAUTRE_ATTR_KEY_LIMIT." , required = false)
	@XmlElement(required = false)
	private int keyLimit;

	/** @return The integer value for a "KEY LIMIT" attribute. This field is only present if featureAttrId is equal to FEAUTRE_ATTR_KEY_LIMIT. */
	public int getKeyLimit() {
		return this.keyLimit;
	}
	/** @param x The integer value for a "KEY LIMIT" attribute. This field is only present if featureAttrId is equal to FEAUTRE_ATTR_KEY_LIMIT. */
	public void setKeyLimit(int x) {
		this.keyLimit = x;
	}

	/** The boolean value for a "SHIPPED ENABLED" attribute. This field is only present if featureAttrId is equal to FEATURE_ATTR_SHIPPED_ENABLED. */
	@io.swagger.annotations.ApiModelProperty(value ="The boolean value for a \"SHIPPED ENABLED\" attribute. This field is only present if featureAttrId is equal to FEATURE_ATTR_SHIPPED_ENABLED." , required = false)
	@XmlElement(required = false)
	private boolean shippedEnabled;

	/** @return The boolean value for a "SHIPPED ENABLED" attribute. This field is only present if featureAttrId is equal to FEATURE_ATTR_SHIPPED_ENABLED. */
	public boolean isShippedEnabled() {
		return this.shippedEnabled;
	}
	/** @param x The boolean value for a "SHIPPED ENABLED" attribute. This field is only present if featureAttrId is equal to FEATURE_ATTR_SHIPPED_ENABLED. */
	public void setShippedEnabled(boolean x) {
		this.shippedEnabled = x;
	}

	/** The integer value for a "SHIPPED LIMIT" attribute. This field is only present if featurAttrId is equal to FEATURE_ATTR_SHIPPED_LIMIT. */
	@io.swagger.annotations.ApiModelProperty(value ="The integer value for a \"SHIPPED LIMIT\" attribute. This field is only present if featurAttrId is equal to FEATURE_ATTR_SHIPPED_LIMIT." , required = false)
	@XmlElement(required = false)
	private int shippedLimit;

	/** @return The integer value for a "SHIPPED LIMIT" attribute. This field is only present if featurAttrId is equal to FEATURE_ATTR_SHIPPED_LIMIT. */
	public int getShippedLimit() {
		return this.shippedLimit;
	}
	/** @param x The integer value for a "SHIPPED LIMIT" attribute. This field is only present if featurAttrId is equal to FEATURE_ATTR_SHIPPED_LIMIT. */
	public void setShippedLimit(int x) {
		this.shippedLimit = x;
	}

	/** The boolean value for a "SUBJECT_TO_GOLD_KEY" attribute. This field is only present if featureAttrId is equal to FEATURE_ATTR_SUBJECT_TO_GOLD_KEY. */
	@io.swagger.annotations.ApiModelProperty(value ="The boolean value for a \"SUBJECT_TO_GOLD_KEY\" attribute. This field is only present if featureAttrId is equal to FEATURE_ATTR_SUBJECT_TO_GOLD_KEY." , required = false)
	@XmlElement(required = false)
	private boolean subjectToGoldKey;

	/** @return The boolean value for a "SUBJECT_TO_GOLD_KEY" attribute. This field is only present if featureAttrId is equal to FEATURE_ATTR_SUBJECT_TO_GOLD_KEY. */
	public boolean isSubjectToGoldKey() {
		return this.subjectToGoldKey;
	}
	/** @param x The boolean value for a "SUBJECT_TO_GOLD_KEY" attribute. This field is only present if featureAttrId is equal to FEATURE_ATTR_SUBJECT_TO_GOLD_KEY. */
	public void setSubjectToGoldKey(boolean x) {
		this.subjectToGoldKey = x;
	}

	/** The set of string values for a "SUPPORTED VALUES" attribute. This field is only present if featureAttrId is equal to FEATURE_ATTR_SUPPORTED_VALUES. */
	@io.swagger.annotations.ApiModelProperty(value ="The set of string values for a \"SUPPORTED VALUES\" attribute. This field is only present if featureAttrId is equal to FEATURE_ATTR_SUPPORTED_VALUES." , required = false)
	@XmlElement(required = false)
	private String[] supportedValues;

	/** @return The set of string values for a "SUPPORTED VALUES" attribute. This field is only present if featureAttrId is equal to FEATURE_ATTR_SUPPORTED_VALUES. */
	public String[] getSupportedValues() {
		return this.supportedValues;
	}
	/** @param x The set of string values for a "SUPPORTED VALUES" attribute. This field is only present if featureAttrId is equal to FEATURE_ATTR_SUPPORTED_VALUES. */
	public void setSupportedValues(String[] x) {
		this.supportedValues = x;
	}

	/** An unsigned integer representing the number of days for the "EVALUATION DURATION" attribute. This field is only present if featureAttrId is equal to FEATURE_ATTR_EVAL_DURATION. */
	@io.swagger.annotations.ApiModelProperty(value ="An unsigned integer representing the number of days for the \"EVALUATION DURATION\" attribute. This field is only present if featureAttrId is equal to FEATURE_ATTR_EVAL_DURATION." , required = false)
	@XmlElement(required = false)
	private int evaluationDuration;

	/** @return An unsigned integer representing the number of days for the "EVALUATION DURATION" attribute. This field is only present if featureAttrId is equal to FEATURE_ATTR_EVAL_DURATION. */
	public int getEvaluationDuration() {
		return this.evaluationDuration;
	}
	/** @param x An unsigned integer representing the number of days for the "EVALUATION DURATION" attribute. This field is only present if featureAttrId is equal to FEATURE_ATTR_EVAL_DURATION. */
	public void setEvaluationDuration(int x) {
		this.evaluationDuration = x;
	}
}
