package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains data collected for flash cache analytics. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(369)
public class FlashCacheAnalyticsData implements Serializable {
	public FlashCacheAnalyticsData() {
	}

	/** The time analytics started being collected in seconds since January 1, 1970. */
	@io.swagger.annotations.ApiModelProperty(value ="The time analytics started being collected in seconds since January 1, 1970." , required = true)
	@XmlElement(required = true)
	private long startTime;

	/** @return The time analytics started being collected in seconds since January 1, 1970. */
	public long getStartTime() {
		return this.startTime;
	}
	/** @param x The time analytics started being collected in seconds since January 1, 1970. */
	public void setStartTime(long x) {
		this.startTime = x;
	}

	/** The time analytics stopped being collected in seconds since January 1, 1970. */
	@io.swagger.annotations.ApiModelProperty(value ="The time analytics stopped being collected in seconds since January 1, 1970." , required = true)
	@XmlElement(required = true)
	private long stopTime;

	/** @return The time analytics stopped being collected in seconds since January 1, 1970. */
	public long getStopTime() {
		return this.stopTime;
	}
	/** @param x The time analytics stopped being collected in seconds since January 1, 1970. */
	public void setStopTime(long x) {
		this.stopTime = x;
	}

	/** A list of analytics items containing data for various sizes of flash cache. */
	@io.swagger.annotations.ApiModelProperty(value ="A list of analytics items containing data for various sizes of flash cache." , required = true)
	@XmlElement(required = true)
	private FlashCacheAnalyticsItem[] analytics;

	/** @return A list of analytics items containing data for various sizes of flash cache. */
	public FlashCacheAnalyticsItem[] getAnalytics() {
		return this.analytics;
	}
	/** @param x A list of analytics items containing data for various sizes of flash cache. */
	public void setAnalytics(FlashCacheAnalyticsItem[] x) {
		this.analytics = x;
	}

	/** Real statistics for the current cache size. */
	@io.swagger.annotations.ApiModelProperty(value ="Real statistics for the current cache size." , required = true)
	@XmlElement(required = true)
	private FlashCacheAnalyticsItem realCacheAnalytics;

	/** @return Real statistics for the current cache size. */
	public FlashCacheAnalyticsItem getRealCacheAnalytics() {
		return this.realCacheAnalytics;
	}
	/** @param x Real statistics for the current cache size. */
	public void setRealCacheAnalytics(FlashCacheAnalyticsItem x) {
		this.realCacheAnalytics = x;
	}
}
