package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to report flash cache statistics. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(331)
public class FlashCacheStatistics implements Serializable {
	public FlashCacheStatistics() {
	}

	/** The time these statistics were recorded measured in seconds since midnight January 1, 1970. */
	@io.swagger.annotations.ApiModelProperty(value ="The time these statistics were recorded measured in seconds since midnight January 1, 1970." , required = true)
	@XmlElement(required = true)
	private long timestamp;

	/** @return The time these statistics were recorded measured in seconds since midnight January 1, 1970. */
	public long getTimestamp() {
		return this.timestamp;
	}
	/** @param x The time these statistics were recorded measured in seconds since midnight January 1, 1970. */
	public void setTimestamp(long x) {
		this.timestamp = x;
	}

	/** The number of read operations. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of read operations." , required = true)
	@XmlElement(required = true)
	private long reads;

	/** @return The number of read operations. */
	public long getReads() {
		return this.reads;
	}
	/** @param x The number of read operations. */
	public void setReads(long x) {
		this.reads = x;
	}

	/** The number of block read operations. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of block read operations." , required = true)
	@XmlElement(required = true)
	private long readBlocks;

	/** @return The number of block read operations. */
	public long getReadBlocks() {
		return this.readBlocks;
	}
	/** @param x The number of block read operations. */
	public void setReadBlocks(long x) {
		this.readBlocks = x;
	}

	/** The number of write operations. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of write operations." , required = true)
	@XmlElement(required = true)
	private long writes;

	/** @return The number of write operations. */
	public long getWrites() {
		return this.writes;
	}
	/** @param x The number of write operations. */
	public void setWrites(long x) {
		this.writes = x;
	}

	/** The number of block write operations. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of block write operations." , required = true)
	@XmlElement(required = true)
	private long writeBlocks;

	/** @return The number of block write operations. */
	public long getWriteBlocks() {
		return this.writeBlocks;
	}
	/** @param x The number of block write operations. */
	public void setWriteBlocks(long x) {
		this.writeBlocks = x;
	}

	/** The number of full cache hits. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of full cache hits." , required = true)
	@XmlElement(required = true)
	private long fullCacheHits;

	/** @return The number of full cache hits. */
	public long getFullCacheHits() {
		return this.fullCacheHits;
	}
	/** @param x The number of full cache hits. */
	public void setFullCacheHits(long x) {
		this.fullCacheHits = x;
	}

	/** The number of full cache hit blocks. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of full cache hit blocks." , required = true)
	@XmlElement(required = true)
	private long fullCacheHitBlocks;

	/** @return The number of full cache hit blocks. */
	public long getFullCacheHitBlocks() {
		return this.fullCacheHitBlocks;
	}
	/** @param x The number of full cache hit blocks. */
	public void setFullCacheHitBlocks(long x) {
		this.fullCacheHitBlocks = x;
	}

	/** The number of partial cache hits. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of partial cache hits." , required = true)
	@XmlElement(required = true)
	private long partialCacheHits;

	/** @return The number of partial cache hits. */
	public long getPartialCacheHits() {
		return this.partialCacheHits;
	}
	/** @param x The number of partial cache hits. */
	public void setPartialCacheHits(long x) {
		this.partialCacheHits = x;
	}

	/** The number of partial cache hit blocks. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of partial cache hit blocks." , required = true)
	@XmlElement(required = true)
	private long partialCacheHitBlocks;

	/** @return The number of partial cache hit blocks. */
	public long getPartialCacheHitBlocks() {
		return this.partialCacheHitBlocks;
	}
	/** @param x The number of partial cache hit blocks. */
	public void setPartialCacheHitBlocks(long x) {
		this.partialCacheHitBlocks = x;
	}

	/** The number of complete cache misses. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of complete cache misses." , required = true)
	@XmlElement(required = true)
	private long completeCacheMiss;

	/** @return The number of complete cache misses. */
	public long getCompleteCacheMiss() {
		return this.completeCacheMiss;
	}
	/** @param x The number of complete cache misses. */
	public void setCompleteCacheMiss(long x) {
		this.completeCacheMiss = x;
	}

	/** The number of complete cache miss blocks. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of complete cache miss blocks." , required = true)
	@XmlElement(required = true)
	private long completeCacheMissBlocks;

	/** @return The number of complete cache miss blocks. */
	public long getCompleteCacheMissBlocks() {
		return this.completeCacheMissBlocks;
	}
	/** @param x The number of complete cache miss blocks. */
	public void setCompleteCacheMissBlocks(long x) {
		this.completeCacheMissBlocks = x;
	}

	/** The number of populate on reads. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of populate on reads." , required = true)
	@XmlElement(required = true)
	private long populateOnReads;

	/** @return The number of populate on reads. */
	public long getPopulateOnReads() {
		return this.populateOnReads;
	}
	/** @param x The number of populate on reads. */
	public void setPopulateOnReads(long x) {
		this.populateOnReads = x;
	}

	/** The number of populate on read blocks. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of populate on read blocks." , required = true)
	@XmlElement(required = true)
	private long populateOnReadBlocks;

	/** @return The number of populate on read blocks. */
	public long getPopulateOnReadBlocks() {
		return this.populateOnReadBlocks;
	}
	/** @param x The number of populate on read blocks. */
	public void setPopulateOnReadBlocks(long x) {
		this.populateOnReadBlocks = x;
	}

	/** The number of populate on writes. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of populate on writes." , required = true)
	@XmlElement(required = true)
	private long populateOnWrites;

	/** @return The number of populate on writes. */
	public long getPopulateOnWrites() {
		return this.populateOnWrites;
	}
	/** @param x The number of populate on writes. */
	public void setPopulateOnWrites(long x) {
		this.populateOnWrites = x;
	}

	/** The number of populate on write blocks. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of populate on write blocks." , required = true)
	@XmlElement(required = true)
	private long populateOnWriteBlocks;

	/** @return The number of populate on write blocks. */
	public long getPopulateOnWriteBlocks() {
		return this.populateOnWriteBlocks;
	}
	/** @param x The number of populate on write blocks. */
	public void setPopulateOnWriteBlocks(long x) {
		this.populateOnWriteBlocks = x;
	}

	/** The number of invalidates on host writes. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of invalidates on host writes." , required = true)
	@XmlElement(required = true)
	private long invalidates;

	/** @return The number of invalidates on host writes. */
	public long getInvalidates() {
		return this.invalidates;
	}
	/** @param x The number of invalidates on host writes. */
	public void setInvalidates(long x) {
		this.invalidates = x;
	}

	/** The number of times data is removed from the LRU. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of times data is removed from the LRU." , required = true)
	@XmlElement(required = true)
	private long recycles;

	/** @return The number of times data is removed from the LRU. */
	public long getRecycles() {
		return this.recycles;
	}
	/** @param x The number of times data is removed from the LRU. */
	public void setRecycles(long x) {
		this.recycles = x;
	}

	/** The number of available bytes. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of available bytes." , required = true)
	@XmlElement(required = true)
	private long availableBytes;

	/** @return The number of available bytes. */
	public long getAvailableBytes() {
		return this.availableBytes;
	}
	/** @param x The number of available bytes. */
	public void setAvailableBytes(long x) {
		this.availableBytes = x;
	}

	/** The number of allocated bytes. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of allocated bytes." , required = true)
	@XmlElement(required = true)
	private long allocatedBytes;

	/** @return The number of allocated bytes. */
	public long getAllocatedBytes() {
		return this.allocatedBytes;
	}
	/** @param x The number of allocated bytes. */
	public void setAllocatedBytes(long x) {
		this.allocatedBytes = x;
	}

	/** The number of populated clean bytes. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of populated clean bytes." , required = true)
	@XmlElement(required = true)
	private long populatedCleanBytes;

	/** @return The number of populated clean bytes. */
	public long getPopulatedCleanBytes() {
		return this.populatedCleanBytes;
	}
	/** @param x The number of populated clean bytes. */
	public void setPopulatedCleanBytes(long x) {
		this.populatedCleanBytes = x;
	}

	/** The number of populated dirty bytes. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of populated dirty bytes." , required = true)
	@XmlElement(required = true)
	private long populatedDirtyBytes;

	/** @return The number of populated dirty bytes. */
	public long getPopulatedDirtyBytes() {
		return this.populatedDirtyBytes;
	}
	/** @param x The number of populated dirty bytes. */
	public void setPopulatedDirtyBytes(long x) {
		this.populatedDirtyBytes = x;
	}
}
