package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to describe a full repository. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(773)
public class FullRepository implements Serializable {
	public FullRepository() {
	}

	/** The repository volume that is full. */
	@io.swagger.annotations.ApiModelProperty(value ="The repository volume that is full." , required = true)
	@XmlElement(required = true)
	private String repositoryVolume;

	/** @return The repository volume that is full. */
	public String getRepositoryVolume() {
		return this.repositoryVolume;
	}
	/** @param x The repository volume that is full. */
	public void setRepositoryVolume(String x) {
		this.repositoryVolume = x;
	}

	/** The policy concerning the behavior when a repository is full. */
	@io.swagger.annotations.ApiModelProperty(value ="The policy concerning the behavior when a repository is full." , required = true)
	@XmlElement(required = true)
	private RepositoryFullPolicy fullPolicy = RepositoryFullPolicy.__UNDEFINED;

	/** @return The policy concerning the behavior when a repository is full. */
	public RepositoryFullPolicy getFullPolicy() {
		return this.fullPolicy;
	}
	/** @param x The policy concerning the behavior when a repository is full. */
	public void setFullPolicy(RepositoryFullPolicy x) {
		this.fullPolicy = x;
	}
}
