package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to specify the function to modify and the action to take on that function. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(497)
public class FunctionStateDescriptor implements Serializable {
	public FunctionStateDescriptor() {
	}

	/** The action that should be taken on the specified function. */
	@io.swagger.annotations.ApiModelProperty(value ="The action that should be taken on the specified function." , required = true)
	@XmlElement(required = true)
	private FunctionAction functionAction = FunctionAction.__UNDEFINED;

	/** @return The action that should be taken on the specified function. */
	public FunctionAction getFunctionAction() {
		return this.functionAction;
	}
	/** @param x The action that should be taken on the specified function. */
	public void setFunctionAction(FunctionAction x) {
		this.functionAction = x;
	}

	/** The function that should be acted upon. */
	@io.swagger.annotations.ApiModelProperty(value ="The function that should be acted upon." , required = true)
	@XmlElement(required = true)
	private FunctionID functionID = FunctionID.__UNDEFINED;

	/** @return The function that should be acted upon. */
	public FunctionID getFunctionID() {
		return this.functionID;
	}
	/** @param x The function that should be acted upon. */
	public void setFunctionID(FunctionID x) {
		this.functionID = x;
	}
}
