package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration is used to identify the type of a GBIC. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(125)
public enum GBICType implements Serializable {
		/** GBIC is not present. */
		notPresent(0),
		/** Copper Style 1 or Style 2 connector, 1.0625 Gbd, 100-TW-EL-S or 100-TP-EL-S, active intercabinet connection. */
		cs12Active(1),
		/** Copper Style 1 or Style 2 connector, 1.0625 Gbd, 100-TW-EL-S or 100-TP-EL-S, active or passive intercabinet connection. */
		cs12Passive(2),
		/** Optical Longwave, 1.0625 Gbd 100-SM-LL-X. */
		opticalLw(3),
		/** Serial module definition protocol. */
		serialModule(4),
		/** Optical Shortwave, 1.0625 Gbd 100-M5-SN-I or 100-M6-SN-I. */
		opticalSw(5),
		/** Optical Longwave, 1.0625 Gbd 100-SM-LL-X and similar to 1.25 Gbd IEEE 802.3z 1000BASE-LX, single mode. */
		opticalLwLxSingleMode(6),
		/** Optical Shortwave, 1.0625 Gbd 100-M5-SN-I or 100-M6-SN-I and 1.25 Gbd, IEEE 803.3z, 1000BASE-SX. */
		opticalSwSx(7),
		__UNDEFINED(464378545);

		public final int value;

		private GBICType(int v) {
			this.value = v;
		}
}
