package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to convey information about the critical aspects of a GBIC. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(921)
public class Gbic implements Serializable {
	public Gbic() {
	}

	/** The reference for this physical GBIC. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference for this physical GBIC." , required = true)
	@XmlElement(required = true)
	private String gbicRef;

	/** @return The reference for this physical GBIC. */
	public String getGbicRef() {
		return this.gbicRef;
	}
	/** @param x The reference for this physical GBIC. */
	public void setGbicRef(String x) {
		this.gbicRef = x;
	}

	/** The operational status of the GBIC. */
	@io.swagger.annotations.ApiModelProperty(value ="The operational status of the GBIC." , required = true)
	@XmlElement(required = true)
	private GBICStatus status = GBICStatus.__UNDEFINED;

	/** @return The operational status of the GBIC. */
	public GBICStatus getStatus() {
		return this.status;
	}
	/** @param x The operational status of the GBIC. */
	public void setStatus(GBICStatus x) {
		this.status = x;
	}

	/** The physical location of the GBIC. Note that the tray reference identifies the enclosure containing the GBIC, but the slot information does not apply to this component. */
	@io.swagger.annotations.ApiModelProperty(value ="The physical location of the GBIC. Note that the tray reference identifies the enclosure containing the GBIC, but the slot information does not apply to this component." , required = true)
	@XmlElement(required = true)
	private Location physicalLocation;

	/** @return The physical location of the GBIC. Note that the tray reference identifies the enclosure containing the GBIC, but the slot information does not apply to this component. */
	public Location getPhysicalLocation() {
		return this.physicalLocation;
	}
	/** @param x The physical location of the GBIC. Note that the tray reference identifies the enclosure containing the GBIC, but the slot information does not apply to this component. */
	public void setPhysicalLocation(Location x) {
		this.physicalLocation = x;
	}

	/** This field is the discriminator value, which identifies the type of GBIC. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is the discriminator value, which identifies the type of GBIC." , required = true)
	@XmlElement(required = true)
	private GBICType gbicType = GBICType.__UNDEFINED;

	/** @return This field is the discriminator value, which identifies the type of GBIC. */
	public GBICType getGbicType() {
		return this.gbicType;
	}
	/** @param x This field is the discriminator value, which identifies the type of GBIC. */
	public void setGbicType(GBICType x) {
		this.gbicType = x;
	}

	/** This field provides information about the port that the GBIC is associated with. */
	@io.swagger.annotations.ApiModelProperty(value ="This field provides information about the port that the GBIC is associated with." , required = true)
	@XmlElement(required = true)
	private GBICPort gbicPort = GBICPort.__UNDEFINED;

	/** @return This field provides information about the port that the GBIC is associated with. */
	public GBICPort getGbicPort() {
		return this.gbicPort;
	}
	/** @param x This field provides information about the port that the GBIC is associated with. */
	public void setGbicPort(GBICPort x) {
		this.gbicPort = x;
	}

	/** Information returned is based on the type of the GBIC parent. The data returned describes the component or controller that is associated with the GBIC. */
	@io.swagger.annotations.ApiModelProperty(value ="Information returned is based on the type of the GBIC parent. The data returned describes the component or controller that is associated with the GBIC." , required = true)
	@XmlElement(required = true)
	private GBICParentTypeData parentData;

	/** @return Information returned is based on the type of the GBIC parent. The data returned describes the component or controller that is associated with the GBIC. */
	public GBICParentTypeData getParentData() {
		return this.parentData;
	}
	/** @param x Information returned is based on the type of the GBIC parent. The data returned describes the component or controller that is associated with the GBIC. */
	public void setParentData(GBICParentTypeData x) {
		this.parentData = x;
	}

	/** Reserved for future use. */
	@XmlTransient
	private String reserved1;

	/** @return Reserved for future use. */
	public String getReserved1() {
		return this.reserved1;
	}
	/** @param x Reserved for future use. */
	public void setReserved1(String x) {
		this.reserved1 = x;
	}

	/** Reserved for future use. */
	@XmlTransient
	private String reserved2;

	/** @return Reserved for future use. */
	public String getReserved2() {
		return this.reserved2;
	}
	/** @param x Reserved for future use. */
	public void setReserved2(String x) {
		this.reserved2 = x;
	}
}
