package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains data that is specific to dual-port InfiniBand host board. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(582)
public class HostBoard2PortIbTypeData implements Serializable {
	public HostBoard2PortIbTypeData() {
	}

	/** The globally unique identifier (GUID) assigned to the host board. */
	@io.swagger.annotations.ApiModelProperty(value ="The globally unique identifier (GUID) assigned to the host board." , required = true)
	@XmlElement(required = true)
	private String tcaGuid;

	/** @return The globally unique identifier (GUID) assigned to the host board. */
	public String getTcaGuid() {
		return this.tcaGuid;
	}
	/** @param x The globally unique identifier (GUID) assigned to the host board. */
	public void setTcaGuid(String x) {
		this.tcaGuid = x;
	}

	/** The number of queue pairs supported by the host board. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of queue pairs supported by the host board." , required = true)
	@XmlElement(required = true)
	private int queuePairsSupported;

	/** @return The number of queue pairs supported by the host board. */
	public int getQueuePairsSupported() {
		return this.queuePairsSupported;
	}
	/** @param x The number of queue pairs supported by the host board. */
	public void setQueuePairsSupported(int x) {
		this.queuePairsSupported = x;
	}

	/** The number of completion queues supported by the host board. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of completion queues supported by the host board." , required = true)
	@XmlElement(required = true)
	private int completionQueuesSupported;

	/** @return The number of completion queues supported by the host board. */
	public int getCompletionQueuesSupported() {
		return this.completionQueuesSupported;
	}
	/** @param x The number of completion queues supported by the host board. */
	public void setCompletionQueuesSupported(int x) {
		this.completionQueuesSupported = x;
	}

	/** The number of shared receive queues supported by the host board. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of shared receive queues supported by the host board." , required = true)
	@XmlElement(required = true)
	private int sharedReceiveQueuesSupported;

	/** @return The number of shared receive queues supported by the host board. */
	public int getSharedReceiveQueuesSupported() {
		return this.sharedReceiveQueuesSupported;
	}
	/** @param x The number of shared receive queues supported by the host board. */
	public void setSharedReceiveQueuesSupported(int x) {
		this.sharedReceiveQueuesSupported = x;
	}
}
