package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used as the argument when invoking the createHostPort procedure. It provides all of the user-specified information necessary to create a new HostPort object. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(828)
public class HostPortCreationDescriptor implements Serializable {
	public HostPortCreationDescriptor() {
	}

	/** The unique, externally-defined identifier for this object. For example, for a Fibre Channel host port, this field contains the value of the Fibre Channel world-wide name for the port. */
	@io.swagger.annotations.ApiModelProperty(value ="The unique, externally-defined identifier for this object. For example, for a Fibre Channel host port, this field contains the value of the Fibre Channel world-wide name for the port." , required = true)
	@XmlElement(required = true)
	private String hostPortName;

	/** @return The unique, externally-defined identifier for this object. For example, for a Fibre Channel host port, this field contains the value of the Fibre Channel world-wide name for the port. */
	public String getHostPortName() {
		return this.hostPortName;
	}
	/** @param x The unique, externally-defined identifier for this object. For example, for a Fibre Channel host port, this field contains the value of the Fibre Channel world-wide name for the port. */
	public void setHostPortName(String x) {
		this.hostPortName = x;
	}

	/** The user-assigned, descriptive label string for the host port. */
	@io.swagger.annotations.ApiModelProperty(value ="The user-assigned, descriptive label string for the host port." , required = true)
	@XmlElement(required = true)
	private String label;

	/** @return The user-assigned, descriptive label string for the host port. */
	public String getLabel() {
		return this.label;
	}
	/** @param x The user-assigned, descriptive label string for the host port. */
	public void setLabel(String x) {
		this.label = x;
	}

	/** An index value that indicates the type of host port. This value is used to reference the appropriate entry in the hostPortType field of the associated StorageArray object. */
	@io.swagger.annotations.ApiModelProperty(value ="An index value that indicates the type of host port. This value is used to reference the appropriate entry in the hostPortType field of the associated StorageArray object." , required = true)
	@XmlElement(required = true)
	private int hostPortTypeIndex;

	/** @return An index value that indicates the type of host port. This value is used to reference the appropriate entry in the hostPortType field of the associated StorageArray object. */
	public int getHostPortTypeIndex() {
		return this.hostPortTypeIndex;
	}
	/** @param x An index value that indicates the type of host port. This value is used to reference the appropriate entry in the hostPortType field of the associated StorageArray object. */
	public void setHostPortTypeIndex(int x) {
		this.hostPortTypeIndex = x;
	}

	/** The host reference value of the host in which this port resides. */
	@io.swagger.annotations.ApiModelProperty(value ="The host reference value of the host in which this port resides." , required = true)
	@XmlElement(required = true)
	private String hostRef;

	/** @return The host reference value of the host in which this port resides. */
	public String getHostRef() {
		return this.hostRef;
	}
	/** @param x The host reference value of the host in which this port resides. */
	public void setHostRef(String x) {
		this.hostRef = x;
	}

	/** The settings to apply to the new host port. This field is in place of the above deprecated fields. */
	@io.swagger.annotations.ApiModelProperty(value ="The settings to apply to the new host port. This field is in place of the above deprecated fields." , required = true)
	@XmlElement(required = true)
	private HostPortChangeableProperties settings;

	/** @return The settings to apply to the new host port. This field is in place of the above deprecated fields. */
	public HostPortChangeableProperties getSettings() {
		return this.settings;
	}
	/** @param x The settings to apply to the new host port. This field is in place of the above deprecated fields. */
	public void setSettings(HostPortChangeableProperties x) {
		this.settings = x;
	}
}
