package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure specifies a hot spare candidate (unassigned drive) and the volume groups it would cover if assigned as a hot spare. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1013)
public class HotSpareCandidate implements Serializable {
	public HotSpareCandidate() {
	}

	/** The hot spare candidate (unassigned). */
	@io.swagger.annotations.ApiModelProperty(value ="The hot spare candidate (unassigned)." , required = true)
	@XmlElement(required = true)
	private String driveRef;

	/** @return The hot spare candidate (unassigned). */
	public String getDriveRef() {
		return this.driveRef;
	}
	/** @param x The hot spare candidate (unassigned). */
	public void setDriveRef(String x) {
		this.driveRef = x;
	}

	/** The volume groups the drive can cover. */
	@io.swagger.annotations.ApiModelProperty(value ="The volume groups the drive can cover." , required = true)
	@XmlElement(required = true)
	private VolumeGroupRefList volumeGroupRefList;

	/** @return The volume groups the drive can cover. */
	public VolumeGroupRefList getVolumeGroupRefList() {
		return this.volumeGroupRefList;
	}
	/** @param x The volume groups the drive can cover. */
	public void setVolumeGroupRefList(VolumeGroupRefList x) {
		this.volumeGroupRefList = x;
	}
}
