package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure specifies volume groups covered by a specific hot spare. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(888)
public class HotSpareCoverage implements Serializable {
	public HotSpareCoverage() {
	}

	/** The hot spare drive. */
	@io.swagger.annotations.ApiModelProperty(value ="The hot spare drive." , required = true)
	@XmlElement(required = true)
	private String driveRef;

	/** @return The hot spare drive. */
	public String getDriveRef() {
		return this.driveRef;
	}
	/** @param x The hot spare drive. */
	public void setDriveRef(String x) {
		this.driveRef = x;
	}

	/** True, if hot spare is in use. */
	@io.swagger.annotations.ApiModelProperty(value ="True, if hot spare is in use." , required = true)
	@XmlElement(required = true)
	private boolean inUse;

	/** @return True, if hot spare is in use. */
	public boolean isInUse() {
		return this.inUse;
	}
	/** @param x True, if hot spare is in use. */
	public void setInUse(boolean x) {
		this.inUse = x;
	}

	/** The volume groups covered by the drive. */
	@io.swagger.annotations.ApiModelProperty(value ="The volume groups covered by the drive." , required = true)
	@XmlElement(required = true)
	private VolumeGroupRefList volumeGroupRefList;

	/** @return The volume groups covered by the drive. */
	public VolumeGroupRefList getVolumeGroupRefList() {
		return this.volumeGroupRefList;
	}
	/** @param x The volume groups covered by the drive. */
	public void setVolumeGroupRefList(VolumeGroupRefList x) {
		this.volumeGroupRefList = x;
	}
}
