package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This contains various pieces of statistical data that are reported for an InfiniBand interface. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(754)
public class IbInterfaceStatistics implements Serializable {
	public IbInterfaceStatistics() {
	}

	/** A reference to the interface for which the statistics apply. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the interface for which the statistics apply." , required = true)
	@XmlElement(required = true)
	private String interfaceRef;

	/** @return A reference to the interface for which the statistics apply. */
	public String getInterfaceRef() {
		return this.interfaceRef;
	}
	/** @param x A reference to the interface for which the statistics apply. */
	public void setInterfaceRef(String x) {
		this.interfaceRef = x;
	}

	/** The number of symbol errors. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of symbol errors." , required = true)
	@XmlElement(required = true)
	private long symbolErrors;

	/** @return The number of symbol errors. */
	public long getSymbolErrors() {
		return this.symbolErrors;
	}
	/** @param x The number of symbol errors. */
	public void setSymbolErrors(long x) {
		this.symbolErrors = x;
	}

	/** The number of recovered link errors. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of recovered link errors." , required = true)
	@XmlElement(required = true)
	private long recoveredLinkErrors;

	/** @return The number of recovered link errors. */
	public long getRecoveredLinkErrors() {
		return this.recoveredLinkErrors;
	}
	/** @param x The number of recovered link errors. */
	public void setRecoveredLinkErrors(long x) {
		this.recoveredLinkErrors = x;
	}

	/** The number of unrecovered link errors. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of unrecovered link errors." , required = true)
	@XmlElement(required = true)
	private long unrecoveredLinkErrors;

	/** @return The number of unrecovered link errors. */
	public long getUnrecoveredLinkErrors() {
		return this.unrecoveredLinkErrors;
	}
	/** @param x The number of unrecovered link errors. */
	public void setUnrecoveredLinkErrors(long x) {
		this.unrecoveredLinkErrors = x;
	}

	/** The number of packets containing an error that have been received on the port. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of packets containing an error that have been received on the port." , required = true)
	@XmlElement(required = true)
	private long rxPacketErrors;

	/** @return The number of packets containing an error that have been received on the port. */
	public long getRxPacketErrors() {
		return this.rxPacketErrors;
	}
	/** @param x The number of packets containing an error that have been received on the port. */
	public void setRxPacketErrors(long x) {
		this.rxPacketErrors = x;
	}

	/** The total number of packets with End Bad Packet delimiter that have been received on the port. */
	@io.swagger.annotations.ApiModelProperty(value ="The total number of packets with End Bad Packet delimiter that have been received on the port." , required = true)
	@XmlElement(required = true)
	private long rxEbpDelimitedPackets;

	/** @return The total number of packets with End Bad Packet delimiter that have been received on the port. */
	public long getRxEbpDelimitedPackets() {
		return this.rxEbpDelimitedPackets;
	}
	/** @param x The total number of packets with End Bad Packet delimiter that have been received on the port. */
	public void setRxEbpDelimitedPackets(long x) {
		this.rxEbpDelimitedPackets = x;
	}

	/** The number of outbound packets discarded because the port is either down or congested. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of outbound packets discarded because the port is either down or congested." , required = true)
	@XmlElement(required = true)
	private long txPortDownPacketDiscards;

	/** @return The number of outbound packets discarded because the port is either down or congested. */
	public long getTxPortDownPacketDiscards() {
		return this.txPortDownPacketDiscards;
	}
	/** @param x The number of outbound packets discarded because the port is either down or congested. */
	public void setTxPortDownPacketDiscards(long x) {
		this.txPortDownPacketDiscards = x;
	}

	/** The number of outbound packets discarded because either (1) the packet is a raw datagram, (2) the packet has a wrong partition key, or (3) the packet has a bad transport header version. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of outbound packets discarded because either (1) the packet is a raw datagram, (2) the packet has a wrong partition key, or (3) the packet has a bad transport header version." , required = true)
	@XmlElement(required = true)
	private long txConstraintErrorPacketDiscards;

	/** @return The number of outbound packets discarded because either (1) the packet is a raw datagram, (2) the packet has a wrong partition key, or (3) the packet has a bad transport header version. */
	public long getTxConstraintErrorPacketDiscards() {
		return this.txConstraintErrorPacketDiscards;
	}
	/** @param x The number of outbound packets discarded because either (1) the packet is a raw datagram, (2) the packet has a wrong partition key, or (3) the packet has a bad transport header version. */
	public void setTxConstraintErrorPacketDiscards(long x) {
		this.txConstraintErrorPacketDiscards = x;
	}

	/** The number of inbound packets discarded because either (1) the packet is a raw datagram, (2) the packet has a wrong partition key, or (3) the packet has a bad transport header version. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of inbound packets discarded because either (1) the packet is a raw datagram, (2) the packet has a wrong partition key, or (3) the packet has a bad transport header version." , required = true)
	@XmlElement(required = true)
	private long rxConstraintErrorPacketDiscards;

	/** @return The number of inbound packets discarded because either (1) the packet is a raw datagram, (2) the packet has a wrong partition key, or (3) the packet has a bad transport header version. */
	public long getRxConstraintErrorPacketDiscards() {
		return this.rxConstraintErrorPacketDiscards;
	}
	/** @param x The number of inbound packets discarded because either (1) the packet is a raw datagram, (2) the packet has a wrong partition key, or (3) the packet has a bad transport header version. */
	public void setRxConstraintErrorPacketDiscards(long x) {
		this.rxConstraintErrorPacketDiscards = x;
	}

	/** The number of virtual lane 15 packets dropped due to resource limitations (e.g., lack of buffers) in the port. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of virtual lane 15 packets dropped due to resource limitations (e.g., lack of buffers) in the port." , required = true)
	@XmlElement(required = true)
	private long rxSubnetManagementDroppedPackets;

	/** @return The number of virtual lane 15 packets dropped due to resource limitations (e.g., lack of buffers) in the port. */
	public long getRxSubnetManagementDroppedPackets() {
		return this.rxSubnetManagementDroppedPackets;
	}
	/** @param x The number of virtual lane 15 packets dropped due to resource limitations (e.g., lack of buffers) in the port. */
	public void setRxSubnetManagementDroppedPackets(long x) {
		this.rxSubnetManagementDroppedPackets = x;
	}

	/** The number of bytes transmitted at the port on all virtual lanes. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of bytes transmitted at the port on all virtual lanes." , required = true)
	@XmlElement(required = true)
	private long txTotalBytes;

	/** @return The number of bytes transmitted at the port on all virtual lanes. */
	public long getTxTotalBytes() {
		return this.txTotalBytes;
	}
	/** @param x The number of bytes transmitted at the port on all virtual lanes. */
	public void setTxTotalBytes(long x) {
		this.txTotalBytes = x;
	}

	/** The number of bytes received at the port on all virtual lanes. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of bytes received at the port on all virtual lanes." , required = true)
	@XmlElement(required = true)
	private long rxTotalBytes;

	/** @return The number of bytes received at the port on all virtual lanes. */
	public long getRxTotalBytes() {
		return this.rxTotalBytes;
	}
	/** @param x The number of bytes received at the port on all virtual lanes. */
	public void setRxTotalBytes(long x) {
		this.rxTotalBytes = x;
	}

	/** The number of packets transmitted at the port on all virtual lanes. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of packets transmitted at the port on all virtual lanes." , required = true)
	@XmlElement(required = true)
	private long txTotalPackets;

	/** @return The number of packets transmitted at the port on all virtual lanes. */
	public long getTxTotalPackets() {
		return this.txTotalPackets;
	}
	/** @param x The number of packets transmitted at the port on all virtual lanes. */
	public void setTxTotalPackets(long x) {
		this.txTotalPackets = x;
	}

	/** The number of packets received at the port on all virtual lanes. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of packets received at the port on all virtual lanes." , required = true)
	@XmlElement(required = true)
	private long rxTotalPackets;

	/** @return The number of packets received at the port on all virtual lanes. */
	public long getRxTotalPackets() {
		return this.rxTotalPackets;
	}
	/** @param x The number of packets received at the port on all virtual lanes. */
	public void setRxTotalPackets(long x) {
		this.rxTotalPackets = x;
	}

	/** The number of microseconds during which the port had data to transmit, but none was sent because of insufficient credits or due to arbitration. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of microseconds during which the port had data to transmit, but none was sent because of insufficient credits or due to arbitration." , required = true)
	@XmlElement(required = true)
	private long txWaitTime;

	/** @return The number of microseconds during which the port had data to transmit, but none was sent because of insufficient credits or due to arbitration. */
	public long getTxWaitTime() {
		return this.txWaitTime;
	}
	/** @param x The number of microseconds during which the port had data to transmit, but none was sent because of insufficient credits or due to arbitration. */
	public void setTxWaitTime(long x) {
		this.txWaitTime = x;
	}

	/** Total number of unicast packets transmitted on all VLs from the port. This may include unicast packets with errors and excludes link packets. */
	@io.swagger.annotations.ApiModelProperty(value ="Total number of unicast packets transmitted on all VLs from the port. This may include unicast packets with errors and excludes link packets." , required = true)
	@XmlElement(required = true)
	private long txUnicastTotalPackets;

	/** @return Total number of unicast packets transmitted on all VLs from the port. This may include unicast packets with errors and excludes link packets. */
	public long getTxUnicastTotalPackets() {
		return this.txUnicastTotalPackets;
	}
	/** @param x Total number of unicast packets transmitted on all VLs from the port. This may include unicast packets with errors and excludes link packets. */
	public void setTxUnicastTotalPackets(long x) {
		this.txUnicastTotalPackets = x;
	}

	/** Total number of unicast packets, including unicast packets containing errors, and excluding link packets, received from all VLs on the port. */
	@io.swagger.annotations.ApiModelProperty(value ="Total number of unicast packets, including unicast packets containing errors, and excluding link packets, received from all VLs on the port." , required = true)
	@XmlElement(required = true)
	private long rxUnicastTotalPackets;

	/** @return Total number of unicast packets, including unicast packets containing errors, and excluding link packets, received from all VLs on the port. */
	public long getRxUnicastTotalPackets() {
		return this.rxUnicastTotalPackets;
	}
	/** @param x Total number of unicast packets, including unicast packets containing errors, and excluding link packets, received from all VLs on the port. */
	public void setRxUnicastTotalPackets(long x) {
		this.rxUnicastTotalPackets = x;
	}

	/** Total number of multicast packets transmitted on all VLs from the port. This may include multicast packets with errors. */
	@io.swagger.annotations.ApiModelProperty(value ="Total number of multicast packets transmitted on all VLs from the port. This may include multicast packets with errors." , required = true)
	@XmlElement(required = true)
	private long txMulticastTotalPackets;

	/** @return Total number of multicast packets transmitted on all VLs from the port. This may include multicast packets with errors. */
	public long getTxMulticastTotalPackets() {
		return this.txMulticastTotalPackets;
	}
	/** @param x Total number of multicast packets transmitted on all VLs from the port. This may include multicast packets with errors. */
	public void setTxMulticastTotalPackets(long x) {
		this.txMulticastTotalPackets = x;
	}

	/** Total number of multicast packets, including multicast packets containing errors received from all VLs on the port. */
	@io.swagger.annotations.ApiModelProperty(value ="Total number of multicast packets, including multicast packets containing errors received from all VLs on the port." , required = true)
	@XmlElement(required = true)
	private long rxMulticastTotalPackets;

	/** @return Total number of multicast packets, including multicast packets containing errors received from all VLs on the port. */
	public long getRxMulticastTotalPackets() {
		return this.rxMulticastTotalPackets;
	}
	/** @param x Total number of multicast packets, including multicast packets containing errors received from all VLs on the port. */
	public void setRxMulticastTotalPackets(long x) {
		this.rxMulticastTotalPackets = x;
	}
}
