package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union data type is returned by the getIbIocAttributes procedure. It contains the procedure return code, and, if the procedure call was successful, the InfiniBand IOC attributes for each InfiniBand IOC in the storage array. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1025)
public class IbIocAttributesReturned implements Serializable {
	public IbIocAttributesReturned() {
	}

	/** An enumeration used to determine the return status of a SYMbol function call. */
	@io.swagger.annotations.ApiModelProperty(value ="An enumeration used to determine the return status of a SYMbol function call." , required = true)
	@XmlElement(required = true)
	private ReturnCode returnCode = ReturnCode.__UNDEFINED;

	/** @return An enumeration used to determine the return status of a SYMbol function call. */
	public ReturnCode getReturnCode() {
		return this.returnCode;
	}
	/** @param x An enumeration used to determine the return status of a SYMbol function call. */
	public void setReturnCode(ReturnCode x) {
		this.returnCode = x;
	}

	/** An array of InfiniBand I/O controller attributes for the storage array, one entry for each InfiniBand I/O controller that is part of the storage array. An individual set of attributes consists of the I/O controller profile and the list of services that the controller provides. This field is only present when returnCode is equal to RETCODE_OK. */
	@io.swagger.annotations.ApiModelProperty(value ="An array of InfiniBand I/O controller attributes for the storage array, one entry for each InfiniBand I/O controller that is part of the storage array. An individual set of attributes consists of the I/O controller profile and the list of services that the controller provides. This field is only present when returnCode is equal to RETCODE_OK." , required = false)
	@XmlElement(required = false)
	private IbIocAttributes[] iocAttributes;

	/** @return An array of InfiniBand I/O controller attributes for the storage array, one entry for each InfiniBand I/O controller that is part of the storage array. An individual set of attributes consists of the I/O controller profile and the list of services that the controller provides. This field is only present when returnCode is equal to RETCODE_OK. */
	public IbIocAttributes[] getIocAttributes() {
		return this.iocAttributes;
	}
	/** @param x An array of InfiniBand I/O controller attributes for the storage array, one entry for each InfiniBand I/O controller that is part of the storage array. An individual set of attributes consists of the I/O controller profile and the list of services that the controller provides. This field is only present when returnCode is equal to RETCODE_OK. */
	public void setIocAttributes(IbIocAttributes[] x) {
		this.iocAttributes = x;
	}
}
