package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration data type enumerates the possible states of an InfiniBand link. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(81)
public enum IbLinkState implements Serializable {
		/** The physical link is up. The link layer can only transmit and receive subnet management and flow control packets. */
		initialize(1),
		/** The physical link is up. The link layer can transmit and receive subnet management and flow control packets. It can also receive all other types of packets, however it discards all non-subnet-management packets presented to it for transmission. */
		linkArm(2),
		/** The physical link is up. The link layer can transmit and receive all types of packets. */
		active(3),
		/** The physical link is temporarily down. */
		defer(4),
		/** The physical link is down and the link layer is idle. */
		down(5),
		__UNDEFINED(464378545);

		public final int value;

		private IbLinkState(int v) {
			this.value = v;
		}
}
