package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union data type is returned by the getIbPortPartitionTables procedure. It contains the procedure return code, and, if the procedure call was successful, an array of port partition tables, one per InfiniBand port. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(699)
public class IbPortPartitionTablesReturned implements Serializable {
	public IbPortPartitionTablesReturned() {
	}

	/** An enumeration used to determine the return status of a SYMbol function call. */
	@io.swagger.annotations.ApiModelProperty(value ="An enumeration used to determine the return status of a SYMbol function call." , required = true)
	@XmlElement(required = true)
	private ReturnCode returnCode = ReturnCode.__UNDEFINED;

	/** @return An enumeration used to determine the return status of a SYMbol function call. */
	public ReturnCode getReturnCode() {
		return this.returnCode;
	}
	/** @param x An enumeration used to determine the return status of a SYMbol function call. */
	public void setReturnCode(ReturnCode x) {
		this.returnCode = x;
	}

	/** An array of InfiniBand port partition tables, one table per InfiniBand port. This field is only present when returnCode equals RETCODE_OK. */
	@io.swagger.annotations.ApiModelProperty(value ="An array of InfiniBand port partition tables, one table per InfiniBand port. This field is only present when returnCode equals RETCODE_OK." , required = false)
	@XmlElement(required = false)
	private IbPortPartitionTable[] portPartitionTables;

	/** @return An array of InfiniBand port partition tables, one table per InfiniBand port. This field is only present when returnCode equals RETCODE_OK. */
	public IbPortPartitionTable[] getPortPartitionTables() {
		return this.portPartitionTables;
	}
	/** @param x An array of InfiniBand port partition tables, one table per InfiniBand port. This field is only present when returnCode equals RETCODE_OK. */
	public void setPortPartitionTables(IbPortPartitionTable[] x) {
		this.portPartitionTables = x;
	}
}
