package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains various pieces of statistical data that are reported for an InfiniBand RDMA channel. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(984)
public class IbRdmaChannelStatistics implements Serializable {
	public IbRdmaChannelStatistics() {
	}

	/** A structure that identifies the RDMA channel by identifying its endpoints. */
	@io.swagger.annotations.ApiModelProperty(value ="A structure that identifies the RDMA channel by identifying its endpoints." , required = true)
	@XmlElement(required = true)
	private IbRdmaChannelEndpoints endpoints;

	/** @return A structure that identifies the RDMA channel by identifying its endpoints. */
	public IbRdmaChannelEndpoints getEndpoints() {
		return this.endpoints;
	}
	/** @param x A structure that identifies the RDMA channel by identifying its endpoints. */
	public void setEndpoints(IbRdmaChannelEndpoints x) {
		this.endpoints = x;
	}

	/** The number of messages in-flight on the channel. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of messages in-flight on the channel." , required = true)
	@XmlElement(required = true)
	private long activeMessages;

	/** @return The number of messages in-flight on the channel. */
	public long getActiveMessages() {
		return this.activeMessages;
	}
	/** @param x The number of messages in-flight on the channel. */
	public void setActiveMessages(long x) {
		this.activeMessages = x;
	}

	/** The number of messages queued on the channel. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of messages queued on the channel." , required = true)
	@XmlElement(required = true)
	private long queuedMessages;

	/** @return The number of messages queued on the channel. */
	public long getQueuedMessages() {
		return this.queuedMessages;
	}
	/** @param x The number of messages queued on the channel. */
	public void setQueuedMessages(long x) {
		this.queuedMessages = x;
	}

	/** The number of messages transmitted on the channel. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of messages transmitted on the channel." , required = true)
	@XmlElement(required = true)
	private long txMessages;

	/** @return The number of messages transmitted on the channel. */
	public long getTxMessages() {
		return this.txMessages;
	}
	/** @param x The number of messages transmitted on the channel. */
	public void setTxMessages(long x) {
		this.txMessages = x;
	}

	/** The number of messages received on the channel. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of messages received on the channel." , required = true)
	@XmlElement(required = true)
	private long rxMessages;

	/** @return The number of messages received on the channel. */
	public long getRxMessages() {
		return this.rxMessages;
	}
	/** @param x The number of messages received on the channel. */
	public void setRxMessages(long x) {
		this.rxMessages = x;
	}

	/** The number of RDMA operations started on the channel. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of RDMA operations started on the channel." , required = true)
	@XmlElement(required = true)
	private long rdmaOpsStarted;

	/** @return The number of RDMA operations started on the channel. */
	public long getRdmaOpsStarted() {
		return this.rdmaOpsStarted;
	}
	/** @param x The number of RDMA operations started on the channel. */
	public void setRdmaOpsStarted(long x) {
		this.rdmaOpsStarted = x;
	}

	/** The number of RDMA operations completed on the channel. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of RDMA operations completed on the channel." , required = true)
	@XmlElement(required = true)
	private long rdmaOpsCompleted;

	/** @return The number of RDMA operations completed on the channel. */
	public long getRdmaOpsCompleted() {
		return this.rdmaOpsCompleted;
	}
	/** @param x The number of RDMA operations completed on the channel. */
	public void setRdmaOpsCompleted(long x) {
		this.rdmaOpsCompleted = x;
	}

	/** The number of RDMA completed with error on the channel. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of RDMA completed with error on the channel." , required = true)
	@XmlElement(required = true)
	private long messagesCompletedWithError;

	/** @return The number of RDMA completed with error on the channel. */
	public long getMessagesCompletedWithError() {
		return this.messagesCompletedWithError;
	}
	/** @param x The number of RDMA completed with error on the channel. */
	public void setMessagesCompletedWithError(long x) {
		this.messagesCompletedWithError = x;
	}

	/** The maximum message size observed since the baseline time. */
	@io.swagger.annotations.ApiModelProperty(value ="The maximum message size observed since the baseline time." , required = true)
	@XmlElement(required = true)
	private long maximumObservedMessageSize;

	/** @return The maximum message size observed since the baseline time. */
	public long getMaximumObservedMessageSize() {
		return this.maximumObservedMessageSize;
	}
	/** @param x The maximum message size observed since the baseline time. */
	public void setMaximumObservedMessageSize(long x) {
		this.maximumObservedMessageSize = x;
	}

	/** The maximum queue depth observed since the baseline time. */
	@io.swagger.annotations.ApiModelProperty(value ="The maximum queue depth observed since the baseline time." , required = true)
	@XmlElement(required = true)
	private long maximumObservedQueueDepth;

	/** @return The maximum queue depth observed since the baseline time. */
	public long getMaximumObservedQueueDepth() {
		return this.maximumObservedQueueDepth;
	}
	/** @param x The maximum queue depth observed since the baseline time. */
	public void setMaximumObservedQueueDepth(long x) {
		this.maximumObservedQueueDepth = x;
	}
}
