package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is an entry in the InfiniBand service entries table. Each entry consists of a service name and a service ID. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(438)
public class IbServiceEntry implements Serializable {
	public IbServiceEntry() {
	}

	/** The UTF-8-encoded, name of the service */
	@io.swagger.annotations.ApiModelProperty(value ="The UTF-8-encoded, name of the service" , required = true)
	@XmlElement(required = true)
	private String serviceName;

	/** @return The UTF-8-encoded, name of the service */
	public String getServiceName() {
		return this.serviceName;
	}
	/** @param x The UTF-8-encoded, name of the service */
	public void setServiceName(String x) {
		this.serviceName = x;
	}

	/** An identifier associated with the service */
	@io.swagger.annotations.ApiModelProperty(value ="An identifier associated with the service" , required = true)
	@XmlElement(required = true)
	private String serviceId;

	/** @return An identifier associated with the service */
	public String getServiceId() {
		return this.serviceId;
	}
	/** @param x An identifier associated with the service */
	public void setServiceId(String x) {
		this.serviceId = x;
	}
}
