package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union object is returned by the getImportDependencies procedure. It contains the procedure return code, and, if the status is good, the return data. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(466)
public class ImportDependenciesReturned implements Serializable {
	public ImportDependenciesReturned() {
	}

	/** An enumeration used to determine the return status of a SYMbol function call. */
	@io.swagger.annotations.ApiModelProperty(value ="An enumeration used to determine the return status of a SYMbol function call." , required = true)
	@XmlElement(required = true)
	private ReturnCode returnCode = ReturnCode.__UNDEFINED;

	/** @return An enumeration used to determine the return status of a SYMbol function call. */
	public ReturnCode getReturnCode() {
		return this.returnCode;
	}
	/** @param x An enumeration used to determine the return status of a SYMbol function call. */
	public void setReturnCode(ReturnCode x) {
		this.returnCode = x;
	}

	/** This field is an array of ImportDependencyType values that identify all of the import dependencies for the volume group identified in the getImportDependencies call. This field is present only when the returnCode field is RETCODE_OK. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is an array of ImportDependencyType values that identify all of the import dependencies for the volume group identified in the getImportDependencies call. This field is present only when the returnCode field is RETCODE_OK." , required = false)
	@XmlElement(required = false)
	private ImportDependencyType[] dependencyTypes;

	/** @return This field is an array of ImportDependencyType values that identify all of the import dependencies for the volume group identified in the getImportDependencies call. This field is present only when the returnCode field is RETCODE_OK. */
	public ImportDependencyType[] getDependencyTypes() {
		return this.dependencyTypes;
	}
	/** @param x This field is an array of ImportDependencyType values that identify all of the import dependencies for the volume group identified in the getImportDependencies call. This field is present only when the returnCode field is RETCODE_OK. */
	public void setDependencyTypes(ImportDependencyType[] x) {
		this.dependencyTypes = x;
	}
}
