package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to convey information about an interposer device. It will only be populated if the interposerPresent flag in the corresponding Drive object is set to True. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(482)
public class InterposerData implements Serializable {
	public InterposerData() {
	}

	/** This data is a variable length ASCII text string containing the vendor identification of the interposer. */
	@io.swagger.annotations.ApiModelProperty(value ="This data is a variable length ASCII text string containing the vendor identification of the interposer." , required = true)
	@XmlElement(required = true)
	private String vendorID;

	/** @return This data is a variable length ASCII text string containing the vendor identification of the interposer. */
	public String getVendorID() {
		return this.vendorID;
	}
	/** @param x This data is a variable length ASCII text string containing the vendor identification of the interposer. */
	public void setVendorID(String x) {
		this.vendorID = x;
	}

	/** This data is a variable length ASCII text string containing the product identification of the interposer. */
	@io.swagger.annotations.ApiModelProperty(value ="This data is a variable length ASCII text string containing the product identification of the interposer." , required = true)
	@XmlElement(required = true)
	private String productID;

	/** @return This data is a variable length ASCII text string containing the product identification of the interposer. */
	public String getProductID() {
		return this.productID;
	}
	/** @param x This data is a variable length ASCII text string containing the product identification of the interposer. */
	public void setProductID(String x) {
		this.productID = x;
	}

	/** This data is a variable length ASCII text string that represents the current version, or revision level, of the interposer. */
	@io.swagger.annotations.ApiModelProperty(value ="This data is a variable length ASCII text string that represents the current version, or revision level, of the interposer." , required = true)
	@XmlElement(required = true)
	private String revision;

	/** @return This data is a variable length ASCII text string that represents the current version, or revision level, of the interposer. */
	public String getRevision() {
		return this.revision;
	}
	/** @param x This data is a variable length ASCII text string that represents the current version, or revision level, of the interposer. */
	public void setRevision(String x) {
		this.revision = x;
	}

	/** This data represents the device name of the interposer. */
	@io.swagger.annotations.ApiModelProperty(value ="This data represents the device name of the interposer." , required = true)
	@XmlElement(required = true)
	private String deviceWWN;

	/** @return This data represents the device name of the interposer. */
	public String getDeviceWWN() {
		return this.deviceWWN;
	}
	/** @param x This data represents the device name of the interposer. */
	public void setDeviceWWN(String x) {
		this.deviceWWN = x;
	}

	/** This data is a variable length ASCII text string that represents the serial number of the interposer. */
	@io.swagger.annotations.ApiModelProperty(value ="This data is a variable length ASCII text string that represents the serial number of the interposer." , required = true)
	@XmlElement(required = true)
	private String serialNumber;

	/** @return This data is a variable length ASCII text string that represents the serial number of the interposer. */
	public String getSerialNumber() {
		return this.serialNumber;
	}
	/** @param x This data is a variable length ASCII text string that represents the serial number of the interposer. */
	public void setSerialNumber(String x) {
		this.serialNumber = x;
	}

	/** This data is a variable length ASCII text string that represents the part number of the interposer. */
	@io.swagger.annotations.ApiModelProperty(value ="This data is a variable length ASCII text string that represents the part number of the interposer." , required = true)
	@XmlElement(required = true)
	private String partNumber;

	/** @return This data is a variable length ASCII text string that represents the part number of the interposer. */
	public String getPartNumber() {
		return this.partNumber;
	}
	/** @param x This data is a variable length ASCII text string that represents the part number of the interposer. */
	public void setPartNumber(String x) {
		this.partNumber = x;
	}

	/** 4 bytes left-justified ASCII drive firmware version as retrieved from the drive's standard INQUIRY data, followed by 4 blank bytes. */
	@io.swagger.annotations.ApiModelProperty(value ="4 bytes left-justified ASCII drive firmware version as retrieved from the drive's standard INQUIRY data, followed by 4 blank bytes." , required = true)
	@XmlElement(required = true)
	private String driveFwVersion;

	/** @return 4 bytes left-justified ASCII drive firmware version as retrieved from the drive's standard INQUIRY data, followed by 4 blank bytes. */
	public String getDriveFwVersion() {
		return this.driveFwVersion;
	}
	/** @param x 4 bytes left-justified ASCII drive firmware version as retrieved from the drive's standard INQUIRY data, followed by 4 blank bytes. */
	public void setDriveFwVersion(String x) {
		this.driveFwVersion = x;
	}
}
