package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains the statistical data for an individual controller iSCSI interface. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(914)
public class IscsiInterfaceStatistics implements Serializable {
	public IscsiInterfaceStatistics() {
	}

	/** Statistics related to the physical Ethernet port. */
	@io.swagger.annotations.ApiModelProperty(value ="Statistics related to the physical Ethernet port." , required = true)
	@XmlElement(required = true)
	private EthernetPortStatistics[] ethernetPortStats;

	/** @return Statistics related to the physical Ethernet port. */
	public EthernetPortStatistics[] getEthernetPortStats() {
		return this.ethernetPortStats;
	}
	/** @param x Statistics related to the physical Ethernet port. */
	public void setEthernetPortStats(EthernetPortStatistics[] x) {
		this.ethernetPortStats = x;
	}

	/** Statistics related to the TCP protocol. */
	@io.swagger.annotations.ApiModelProperty(value ="Statistics related to the TCP protocol." , required = true)
	@XmlElement(required = true)
	private TcpStatisticalData[] tcpStats;

	/** @return Statistics related to the TCP protocol. */
	public TcpStatisticalData[] getTcpStats() {
		return this.tcpStats;
	}
	/** @param x Statistics related to the TCP protocol. */
	public void setTcpStats(TcpStatisticalData[] x) {
		this.tcpStats = x;
	}

	/** Statistics related to the IP protocol. */
	@io.swagger.annotations.ApiModelProperty(value ="Statistics related to the IP protocol." , required = true)
	@XmlElement(required = true)
	private IpEndpointStatistics[] ipStats;

	/** @return Statistics related to the IP protocol. */
	public IpEndpointStatistics[] getIpStats() {
		return this.ipStats;
	}
	/** @param x Statistics related to the IP protocol. */
	public void setIpStats(IpEndpointStatistics[] x) {
		this.ipStats = x;
	}

	/** This member is used to report statistical data related to Enhanced Ethernet features. */
	@io.swagger.annotations.ApiModelProperty(value ="This member is used to report statistical data related to Enhanced Ethernet features." , required = true)
	@XmlElement(required = true)
	private EnhancedEthernetStatistics[] enhStats;

	/** @return This member is used to report statistical data related to Enhanced Ethernet features. */
	public EnhancedEthernetStatistics[] getEnhStats() {
		return this.enhStats;
	}
	/** @param x This member is used to report statistical data related to Enhanced Ethernet features. */
	public void setEnhStats(EnhancedEthernetStatistics[] x) {
		this.enhStats = x;
	}
}
