package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to describe the link speed detection failure. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(652)
public class LinkSpeedDetectionError implements Serializable {
	public LinkSpeedDetectionError() {
	}

	/** The reference for the controller. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference for the controller." , required = true)
	@XmlElement(required = true)
	private String parentRef;

	/** @return The reference for the controller. */
	public String getParentRef() {
		return this.parentRef;
	}
	/** @param x The reference for the controller. */
	public void setParentRef(String x) {
		this.parentRef = x;
	}

	/** The drive channel identifier. */
	@io.swagger.annotations.ApiModelProperty(value ="The drive channel identifier." , required = true)
	@XmlElement(required = true)
	private int channel;

	/** @return The drive channel identifier. */
	public int getChannel() {
		return this.channel;
	}
	/** @param x The drive channel identifier. */
	public void setChannel(int x) {
		this.channel = x;
	}

	/** The channel port identifier. */
	@io.swagger.annotations.ApiModelProperty(value ="The channel port identifier." , required = true)
	@XmlElement(required = true)
	private int channelPort;

	/** @return The channel port identifier. */
	public int getChannelPort() {
		return this.channelPort;
	}
	/** @param x The channel port identifier. */
	public void setChannelPort(int x) {
		this.channelPort = x;
	}

	/** Connector type from VPD data. */
	@io.swagger.annotations.ApiModelProperty(value ="Connector type from VPD data." , required = true)
	@XmlElement(required = true)
	private SFP_CONNECT_TYPE connector = SFP_CONNECT_TYPE.__UNDEFINED;

	/** @return Connector type from VPD data. */
	public SFP_CONNECT_TYPE getConnector() {
		return this.connector;
	}
	/** @param x Connector type from VPD data. */
	public void setConnector(SFP_CONNECT_TYPE x) {
		this.connector = x;
	}

	/** Link speeds supported by device. */
	@io.swagger.annotations.ApiModelProperty(value ="Link speeds supported by device." , required = true)
	@XmlElement(required = true)
	private SFP_SPEED[] supportedLinkSpeeds;

	/** @return Link speeds supported by device. */
	public SFP_SPEED[] getSupportedLinkSpeeds() {
		return this.supportedLinkSpeeds;
	}
	/** @param x Link speeds supported by device. */
	public void setSupportedLinkSpeeds(SFP_SPEED[] x) {
		this.supportedLinkSpeeds = x;
	}

	/** Actual link speed. */
	@io.swagger.annotations.ApiModelProperty(value ="Actual link speed." , required = true)
	@XmlElement(required = true)
	private int currentLinkSpeed;

	/** @return Actual link speed. */
	public int getCurrentLinkSpeed() {
		return this.currentLinkSpeed;
	}
	/** @param x Actual link speed. */
	public void setCurrentLinkSpeed(int x) {
		this.currentLinkSpeed = x;
	}

	/** True if manually bypassed. */
	@io.swagger.annotations.ApiModelProperty(value ="True if manually bypassed." , required = true)
	@XmlElement(required = true)
	private boolean manuallyBypassed;

	/** @return True if manually bypassed. */
	public boolean isManuallyBypassed() {
		return this.manuallyBypassed;
	}
	/** @param x True if manually bypassed. */
	public void setManuallyBypassed(boolean x) {
		this.manuallyBypassed = x;
	}

	/** True if currentLinkSpeed is also supported */
	@io.swagger.annotations.ApiModelProperty(value ="True if currentLinkSpeed is also supported" , required = true)
	@XmlElement(required = true)
	private boolean supportsSpeed;

	/** @return True if currentLinkSpeed is also supported */
	public boolean isSupportsSpeed() {
		return this.supportsSpeed;
	}
	/** @param x True if currentLinkSpeed is also supported */
	public void setSupportsSpeed(boolean x) {
		this.supportsSpeed = x;
	}

	/** A reference to the channel port object identifying where the link speed detection occurred. This field is currently not used. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the channel port object identifying where the link speed detection occurred. This field is currently not used." , required = true)
	@XmlElement(required = true)
	private String channelPortRef;

	/** @return A reference to the channel port object identifying where the link speed detection occurred. This field is currently not used. */
	public String getChannelPortRef() {
		return this.channelPortRef;
	}
	/** @param x A reference to the channel port object identifying where the link speed detection occurred. This field is currently not used. */
	public void setChannelPortRef(String x) {
		this.channelPortRef = x;
	}
}
