package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration type identifies the various types of objects that can be reported in the LockdownFaultLocator structure, which is itself used in getRecoveryFailureType procedure for reporting controller lockdown faults. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(47)
public enum LockdownFaultObjectType implements Serializable {
		/** The fault object type is unknown. */
		unknown(0),
		/** The object is a controller. */
		controller(1),
		/** The object is a host board. */
		hostboard(2),
		/** The object is a controller cache DIMM. */
		cacheDimm(3),
		/** The object is a controller tray. */
		controllerTray(4),
		__UNDEFINED(464378545);

		public final int value;

		private LockdownFaultObjectType(int v) {
			this.value = v;
		}
}
