package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration is used to determine the status of a minihub component. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(15)
public enum MinihubStatus implements Serializable {
		/** The minihub is working correctly. */
		optimal(1),
		/** The minihub is not working or not present. */
		failed(2),
		/** The minihub is not supported in this system. */
		unsupported(3),
		/** The status of the minihub is unknown. */
		unknown(4),
		__UNDEFINED(464378545);

		public final int value;

		private MinihubStatus(int v) {
			this.value = v;
		}
}
