package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union data type is used to convey information about a minihub's type-specific data. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(563)
public class MinihubTypeData implements Serializable {
	public MinihubTypeData() {
	}

	/** This enumeration is used to identify the type of a minihub. */
	@io.swagger.annotations.ApiModelProperty(value ="This enumeration is used to identify the type of a minihub." , required = true)
	@XmlElement(required = true)
	private MinihubType minihubType = MinihubType.__UNDEFINED;

	/** @return This enumeration is used to identify the type of a minihub. */
	public MinihubType getMinihubType() {
		return this.minihubType;
	}
	/** @param x This enumeration is used to identify the type of a minihub. */
	public void setMinihubType(MinihubType x) {
		this.minihubType = x;
	}

	/** This field is present only if the minihubType value is equal to MINIHUB_TYPE_HOSTSIDE. It contains the detailed information about the controller the minihub is associated with. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the minihubType value is equal to MINIHUB_TYPE_HOSTSIDE. It contains the detailed information about the controller the minihub is associated with." , required = false)
	@XmlElement(required = false)
	private String parentController;

	/** @return This field is present only if the minihubType value is equal to MINIHUB_TYPE_HOSTSIDE. It contains the detailed information about the controller the minihub is associated with. */
	public String getParentController() {
		return this.parentController;
	}
	/** @param x This field is present only if the minihubType value is equal to MINIHUB_TYPE_HOSTSIDE. It contains the detailed information about the controller the minihub is associated with. */
	public void setParentController(String x) {
		this.parentController = x;
	}
}
