package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration object is used to set the background I/O activity for synchronizing the Secondary Volume from the Primary Volume. This value is on a per-volume basis and is independent of the remote mirror volume. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(216)
public enum MirrorSyncPriority implements Serializable {
		/** Low level of I/O activity to the Secondary volume during synchronization. */
		priority0(0),
		/** Increasing level of I/O activity as compared to Priority 0. */
		priority1(1),
		/** Increasing level of I/O activity as compared to Priority 1. Default setting for GUI. */
		priority2(2),
		/** Increasing level of I/O activity as compared to Priority 2. */
		priority3(3),
		/** High level of I/O activity to the Secondary volume during synchronization. */
		priority4(4),
		/** The synchronization priority of the remote mirror is unknown. */
		unknown(5),
		__UNDEFINED(464378545);

		public final int value;

		private MirrorSyncPriority(int v) {
			this.value = v;
		}
}
