package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains information about a PiT. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1044)
public class PIT implements Serializable,devmgr.api.model.Identifiable {
	public PIT() {
	}

	/** The reference (key) for this PiT. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference (key) for this PiT." , required = true)
	@XmlElement(required = true)
	private String pitRef;

	/** @return The reference (key) for this PiT. */
	public String getPitRef() {
		return this.pitRef;
	}
	/** @param x The reference (key) for this PiT. */
	public void setPitRef(String x) {
		this.pitRef = x;
	}

	/** A reference to the associated PiT Group. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the associated PiT Group." , required = true)
	@XmlElement(required = true)
	private String pitGroupRef;

	/** @return A reference to the associated PiT Group. */
	public String getPitGroupRef() {
		return this.pitGroupRef;
	}
	/** @param x A reference to the associated PiT Group. */
	public void setPitGroupRef(String x) {
		this.pitGroupRef = x;
	}

	/** The PiT creation method. */
	@io.swagger.annotations.ApiModelProperty(value ="The PiT creation method." , required = true)
	@XmlElement(required = true)
	private PITCreationMethod creationMethod = PITCreationMethod.__UNDEFINED;

	/** @return The PiT creation method. */
	public PITCreationMethod getCreationMethod() {
		return this.creationMethod;
	}
	/** @param x The PiT creation method. */
	public void setCreationMethod(PITCreationMethod x) {
		this.creationMethod = x;
	}

	/** The controller-time (measured in seconds since January 1, 1970) when the PiT was created. */
	@io.swagger.annotations.ApiModelProperty(value ="The controller-time (measured in seconds since January 1, 1970) when the PiT was created." , required = true)
	@XmlElement(required = true)
	private long pitTimestamp;

	/** @return The controller-time (measured in seconds since January 1, 1970) when the PiT was created. */
	public long getPitTimestamp() {
		return this.pitTimestamp;
	}
	/** @param x The controller-time (measured in seconds since January 1, 1970) when the PiT was created. */
	public void setPitTimestamp(long x) {
		this.pitTimestamp = x;
	}

	/** The sequence number within PITGroup. This is a monotonically increasing sequence value that can be used to determine the absolute order of the PiTs within a PiT group. Using this sequence number avoids issues with timestamps when real-time clocks are changed. Note that this sequence number will be the same on all PiTs taken in multiple PITGroups at the same time under a single IO suspension, either as part of a consistency group operation (createCGPIT) or when a list of PITGroups is passed to createPIT. */
	@io.swagger.annotations.ApiModelProperty(value ="The sequence number within PITGroup. This is a monotonically increasing sequence value that can be used to determine the absolute order of the PiTs within a PiT group. Using this sequence number avoids issues with timestamps when real-time clocks are changed. Note that this sequence number will be the same on all PiTs taken in multiple PITGroups at the same time under a single IO suspension, either as part of a consistency group operation (createCGPIT) or when a list of PITGroups is passed to createPIT." , required = true)
	@XmlElement(required = true)
	private long pitSequenceNumber;

	/** @return The sequence number within PITGroup. This is a monotonically increasing sequence value that can be used to determine the absolute order of the PiTs within a PiT group. Using this sequence number avoids issues with timestamps when real-time clocks are changed. Note that this sequence number will be the same on all PiTs taken in multiple PITGroups at the same time under a single IO suspension, either as part of a consistency group operation (createCGPIT) or when a list of PITGroups is passed to createPIT. */
	public long getPitSequenceNumber() {
		return this.pitSequenceNumber;
	}
	/** @param x The sequence number within PITGroup. This is a monotonically increasing sequence value that can be used to determine the absolute order of the PiTs within a PiT group. Using this sequence number avoids issues with timestamps when real-time clocks are changed. Note that this sequence number will be the same on all PiTs taken in multiple PITGroups at the same time under a single IO suspension, either as part of a consistency group operation (createCGPIT) or when a list of PITGroups is passed to createPIT. */
	public void setPitSequenceNumber(long x) {
		this.pitSequenceNumber = x;
	}

	/** The state of this PiT. */
	@io.swagger.annotations.ApiModelProperty(value ="The state of this PiT." , required = true)
	@XmlElement(required = true)
	private PITStatus status = PITStatus.__UNDEFINED;

	/** @return The state of this PiT. */
	public PITStatus getStatus() {
		return this.status;
	}
	/** @param x The state of this PiT. */
	public void setStatus(PITStatus x) {
		this.status = x;
	}

	/** If true, the PiT is actively recording copy-on-write data. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, the PiT is actively recording copy-on-write data." , required = true)
	@XmlElement(required = true)
	private boolean activeCOW;

	/** @return If true, the PiT is actively recording copy-on-write data. */
	public boolean isActiveCOW() {
		return this.activeCOW;
	}
	/** @param x If true, the PiT is actively recording copy-on-write data. */
	public void setActiveCOW(boolean x) {
		this.activeCOW = x;
	}

	/** If true, the PiT is a rollback source. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, the PiT is a rollback source." , required = true)
	@XmlElement(required = true)
	private boolean isRollbackSource;

	/** @return If true, the PiT is a rollback source. */
	public boolean isIsRollbackSource() {
		return this.isRollbackSource;
	}
	/** @param x If true, the PiT is a rollback source. */
	public void setIsRollbackSource(boolean x) {
		this.isRollbackSource = x;
	}

	/** The capacity in bytes of this PiT (capacity of the base at the time the PiT was created). */
	@io.swagger.annotations.ApiModelProperty(value ="The capacity in bytes of this PiT (capacity of the base at the time the PiT was created)." , required = true)
	@XmlElement(required = true)
	private long pitCapacity;

	/** @return The capacity in bytes of this PiT (capacity of the base at the time the PiT was created). */
	public long getPitCapacity() {
		return this.pitCapacity;
	}
	/** @param x The capacity in bytes of this PiT (capacity of the base at the time the PiT was created). */
	public void setPitCapacity(long x) {
		this.pitCapacity = x;
	}

	/** Repository utilization in bytes (only reported if activeCOW = false). */
	@io.swagger.annotations.ApiModelProperty(value ="Repository utilization in bytes (only reported if activeCOW = false)." , required = true)
	@XmlElement(required = true)
	private long repositoryCapacityUtilization;

	/** @return Repository utilization in bytes (only reported if activeCOW = false). */
	public long getRepositoryCapacityUtilization() {
		return this.repositoryCapacityUtilization;
	}
	/** @param x Repository utilization in bytes (only reported if activeCOW = false). */
	public void setRepositoryCapacityUtilization(long x) {
		this.repositoryCapacityUtilization = x;
	}
	@Override
	public String getId(){
		return pitRef;
	}
}
