package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to specify a set of consistency-group views to delete. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(690)
public class PITConsistencyGroupViewDeletionDescriptor implements Serializable {
	public PITConsistencyGroupViewDeletionDescriptor() {
	}

	/** If true, the repository member volumes should be retained if the PiT Group is being deleted. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, the repository member volumes should be retained if the PiT Group is being deleted." , required = true)
	@XmlElement(required = true)
	private boolean retainRepositoryMembers;

	/** @return If true, the repository member volumes should be retained if the PiT Group is being deleted. */
	public boolean isRetainRepositoryMembers() {
		return this.retainRepositoryMembers;
	}
	/** @param x If true, the repository member volumes should be retained if the PiT Group is being deleted. */
	public void setRetainRepositoryMembers(boolean x) {
		this.retainRepositoryMembers = x;
	}

	/** The Consistency Group View to be deleted. */
	@io.swagger.annotations.ApiModelProperty(value ="The Consistency Group View to be deleted." , required = true)
	@XmlElement(required = true)
	private String cgViewRef;

	/** @return The Consistency Group View to be deleted. */
	public String getCgViewRef() {
		return this.cgViewRef;
	}
	/** @param x The Consistency Group View to be deleted. */
	public void setCgViewRef(String x) {
		this.cgViewRef = x;
	}
}
