package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains the estimated capacity required during a rollback. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(326)
public class PITGroupRollbackUtilizationEstimate implements Serializable {
	public PITGroupRollbackUtilizationEstimate() {
	}

	/** The amount of repository capacity in bytes necessary for PiT metadata during rollback. */
	@io.swagger.annotations.ApiModelProperty(value ="The amount of repository capacity in bytes necessary for PiT metadata during rollback." , required = true)
	@XmlElement(required = true)
	private long metadataBytesRequired;

	/** @return The amount of repository capacity in bytes necessary for PiT metadata during rollback. */
	public long getMetadataBytesRequired() {
		return this.metadataBytesRequired;
	}
	/** @param x The amount of repository capacity in bytes necessary for PiT metadata during rollback. */
	public void setMetadataBytesRequired(long x) {
		this.metadataBytesRequired = x;
	}

	/** The amount of repository capacity in bytes necessary for copy-on-write operations required by the rollback process to preserve all PiTs. */
	@io.swagger.annotations.ApiModelProperty(value ="The amount of repository capacity in bytes necessary for copy-on-write operations required by the rollback process to preserve all PiTs." , required = true)
	@XmlElement(required = true)
	private long cowDataBytesRequired;

	/** @return The amount of repository capacity in bytes necessary for copy-on-write operations required by the rollback process to preserve all PiTs. */
	public long getCowDataBytesRequired() {
		return this.cowDataBytesRequired;
	}
	/** @param x The amount of repository capacity in bytes necessary for copy-on-write operations required by the rollback process to preserve all PiTs. */
	public void setCowDataBytesRequired(long x) {
		this.cowDataBytesRequired = x;
	}

	/** The current remaining available capacity (in bytes) of the associated repository. */
	@io.swagger.annotations.ApiModelProperty(value ="The current remaining available capacity (in bytes) of the associated repository." , required = true)
	@XmlElement(required = true)
	private long currentBytesAvailable;

	/** @return The current remaining available capacity (in bytes) of the associated repository. */
	public long getCurrentBytesAvailable() {
		return this.currentBytesAvailable;
	}
	/** @param x The current remaining available capacity (in bytes) of the associated repository. */
	public void setCurrentBytesAvailable(long x) {
		this.currentBytesAvailable = x;
	}
}
