package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union contains a PiT Group rollback utilization estimate. It is returned by the estimatePITRollbackRepositoryUtilization procedure. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(330)
public class PITGroupRollbackUtilizationEstimateReturned implements Serializable {
	public PITGroupRollbackUtilizationEstimateReturned() {
	}

	/** An enumeration used to determine the return status of a SYMbol function call. */
	@io.swagger.annotations.ApiModelProperty(value ="An enumeration used to determine the return status of a SYMbol function call." , required = true)
	@XmlElement(required = true)
	private ReturnCode returnCode = ReturnCode.__UNDEFINED;

	/** @return An enumeration used to determine the return status of a SYMbol function call. */
	public ReturnCode getReturnCode() {
		return this.returnCode;
	}
	/** @param x An enumeration used to determine the return status of a SYMbol function call. */
	public void setReturnCode(ReturnCode x) {
		this.returnCode = x;
	}

	/** A PiT Group rollback utilization estimate. This field is present only if the value of returnCode is equal to RETCODE_OK. */
	@io.swagger.annotations.ApiModelProperty(value ="A PiT Group rollback utilization estimate. This field is present only if the value of returnCode is equal to RETCODE_OK." , required = false)
	@XmlElement(required = false)
	private PITGroupRollbackUtilizationEstimate estimate;

	/** @return A PiT Group rollback utilization estimate. This field is present only if the value of returnCode is equal to RETCODE_OK. */
	public PITGroupRollbackUtilizationEstimate getEstimate() {
		return this.estimate;
	}
	/** @param x A PiT Group rollback utilization estimate. This field is present only if the value of returnCode is equal to RETCODE_OK. */
	public void setEstimate(PITGroupRollbackUtilizationEstimate x) {
		this.estimate = x;
	}
}
