package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to specify attributes for re-start of a PITView (reattach to a specific PIT. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1068)
public class PITViewRestartDescriptor implements Serializable {
	public PITViewRestartDescriptor() {
	}

	/** The view to restart. */
	@io.swagger.annotations.ApiModelProperty(value ="The view to restart." , required = true)
	@XmlElement(required = true)
	private String viewRef;

	/** @return The view to restart. */
	public String getViewRef() {
		return this.viewRef;
	}
	/** @param x The view to restart. */
	public void setViewRef(String x) {
		this.viewRef = x;
	}

	/** The PiT to which to attach the view. Note this must be a PiT in a PITGroup of the base volume with which the view is associated. */
	@io.swagger.annotations.ApiModelProperty(value ="The PiT to which to attach the view. Note this must be a PiT in a PITGroup of the base volume with which the view is associated." , required = true)
	@XmlElement(required = true)
	private String basePIT;

	/** @return The PiT to which to attach the view. Note this must be a PiT in a PITGroup of the base volume with which the view is associated. */
	public String getBasePIT() {
		return this.basePIT;
	}
	/** @param x The PiT to which to attach the view. Note this must be a PiT in a PITGroup of the base volume with which the view is associated. */
	public void setBasePIT(String x) {
		this.basePIT = x;
	}
}
