package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration is used to specify the status of a PiT View. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(177)
public enum PITViewStatus implements Serializable {
		/** This should never happen. */
		unknown(0),
		/** The PiT View state is valid/active. */
		optimal(1),
		/** The PiT View is user-stopped (no copy-on-write (CoW), no IO access). */
		stopped(2),
		/** The PiT View has failed (repository failed). */
		failed(3),
		/** The PiT View Repository utilization is over the warning threshold. */
		overThreshold(4),
		/** The PiT View Repository is full. */
		full(5),
		__UNDEFINED(464378545);

		public final int value;

		private PITViewStatus(int v) {
			this.value = v;
		}
}
