package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to convey information about a premium subsystem feature. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(443)
public class PremiumFeature implements Serializable {
	public PremiumFeature() {
	}

	/** This field will contain the value of the premium feature being described. */
	@io.swagger.annotations.ApiModelProperty(value ="This field will contain the value of the premium feature being described." , required = true)
	@XmlElement(required = true)
	private Capability capability = Capability.__UNDEFINED;

	/** @return This field will contain the value of the premium feature being described. */
	public Capability getCapability() {
		return this.capability;
	}
	/** @param x This field will contain the value of the premium feature being described. */
	public void setCapability(Capability x) {
		this.capability = x;
	}

	/** A true value in this field indicates that the feature is enabled (regardless of compliance) */
	@io.swagger.annotations.ApiModelProperty(value ="A true value in this field indicates that the feature is enabled (regardless of compliance)" , required = true)
	@XmlElement(required = true)
	private boolean isEnabled;

	/** @return A true value in this field indicates that the feature is enabled (regardless of compliance) */
	public boolean isIsEnabled() {
		return this.isEnabled;
	}
	/** @param x A true value in this field indicates that the feature is enabled (regardless of compliance) */
	public void setIsEnabled(boolean x) {
		this.isEnabled = x;
	}

	/** A true value in this field indicates that the feature has been purchased (in compliance). A false value indicates that the feature has not been purchased. The user will receive warning messages indicating that they are not in compliance. The warning message will continue until the feature is purchased or the feature is disabled. */
	@io.swagger.annotations.ApiModelProperty(value ="A true value in this field indicates that the feature has been purchased (in compliance). A false value indicates that the feature has not been purchased. The user will receive warning messages indicating that they are not in compliance. The warning message will continue until the feature is purchased or the feature is disabled." , required = true)
	@XmlElement(required = true)
	private boolean isCompliant;

	/** @return A true value in this field indicates that the feature has been purchased (in compliance). A false value indicates that the feature has not been purchased. The user will receive warning messages indicating that they are not in compliance. The warning message will continue until the feature is purchased or the feature is disabled. */
	public boolean isIsCompliant() {
		return this.isCompliant;
	}
	/** @param x A true value in this field indicates that the feature has been purchased (in compliance). A false value indicates that the feature has not been purchased. The user will receive warning messages indicating that they are not in compliance. The warning message will continue until the feature is purchased or the feature is disabled. */
	public void setIsCompliant(boolean x) {
		this.isCompliant = x;
	}

	/** A true value in this field indicates that the feature has been purchased and the subsystem configuration does not exceed the feature options specified at purchase. A false value in this field indicates that the feature has been purchased but new subsystem configuration has caused the user to exceed the feature options that were purchased. The user will receive warning messages indicating that they are no longer in compliance. The user can change the subsystem configuration so that it is in compliance with feature options or the user can purchase additional feature options so that the subsystem is again in compliance. The warning messages will continue until the feature is again in compliance or is disabled. */
	@io.swagger.annotations.ApiModelProperty(value ="A true value in this field indicates that the feature has been purchased and the subsystem configuration does not exceed the feature options specified at purchase. A false value in this field indicates that the feature has been purchased but new subsystem configuration has caused the user to exceed the feature options that were purchased. The user will receive warning messages indicating that they are no longer in compliance. The user can change the subsystem configuration so that it is in compliance with feature options or the user can purchase additional feature options so that the subsystem is again in compliance. The warning messages will continue until the feature is again in compliance or is disabled." , required = true)
	@XmlElement(required = true)
	private boolean isWithinLimits;

	/** @return A true value in this field indicates that the feature has been purchased and the subsystem configuration does not exceed the feature options specified at purchase. A false value in this field indicates that the feature has been purchased but new subsystem configuration has caused the user to exceed the feature options that were purchased. The user will receive warning messages indicating that they are no longer in compliance. The user can change the subsystem configuration so that it is in compliance with feature options or the user can purchase additional feature options so that the subsystem is again in compliance. The warning messages will continue until the feature is again in compliance or is disabled. */
	public boolean isIsWithinLimits() {
		return this.isWithinLimits;
	}
	/** @param x A true value in this field indicates that the feature has been purchased and the subsystem configuration does not exceed the feature options specified at purchase. A false value in this field indicates that the feature has been purchased but new subsystem configuration has caused the user to exceed the feature options that were purchased. The user will receive warning messages indicating that they are no longer in compliance. The user can change the subsystem configuration so that it is in compliance with feature options or the user can purchase additional feature options so that the subsystem is again in compliance. The warning messages will continue until the feature is again in compliance or is disabled. */
	public void setIsWithinLimits(boolean x) {
		this.isWithinLimits = x;
	}

	/** This field contains the value of the feature ID associated with the feature. */
	@io.swagger.annotations.ApiModelProperty(value ="This field contains the value of the feature ID associated with the feature." , required = true)
	@XmlElement(required = true)
	private FeatureId featureId = FeatureId.__UNDEFINED;

	/** @return This field contains the value of the feature ID associated with the feature. */
	public FeatureId getFeatureId() {
		return this.featureId;
	}
	/** @param x This field contains the value of the feature ID associated with the feature. */
	public void setFeatureId(FeatureId x) {
		this.featureId = x;
	}
}
