package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union data type is used to convey information about the RLS device. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(733)
public class RLSDevice implements Serializable {
	public RLSDevice() {
	}

	/** This enumeration object is used to specify the type of RLS device. */
	@io.swagger.annotations.ApiModelProperty(value ="This enumeration object is used to specify the type of RLS device." , required = true)
	@XmlElement(required = true)
	private RLSDeviceType type = RLSDeviceType.__UNDEFINED;

	/** @return This enumeration object is used to specify the type of RLS device. */
	public RLSDeviceType getType() {
		return this.type;
	}
	/** @param x This enumeration object is used to specify the type of RLS device. */
	public void setType(RLSDeviceType x) {
		this.type = x;
	}

	/** This field is present only if the type value is RLS_CONTROLLER. It contains the detailed RLS data for the controller. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the type value is RLS_CONTROLLER. It contains the detailed RLS data for the controller." , required = false)
	@XmlElement(required = false)
	private String controller;

	/** @return This field is present only if the type value is RLS_CONTROLLER. It contains the detailed RLS data for the controller. */
	public String getController() {
		return this.controller;
	}
	/** @param x This field is present only if the type value is RLS_CONTROLLER. It contains the detailed RLS data for the controller. */
	public void setController(String x) {
		this.controller = x;
	}

	/** This field is present only if the type value is RLS_DRIVE. It contains the detailed RLS data for the drive. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the type value is RLS_DRIVE. It contains the detailed RLS data for the drive." , required = false)
	@XmlElement(required = false)
	private String drive;

	/** @return This field is present only if the type value is RLS_DRIVE. It contains the detailed RLS data for the drive. */
	public String getDrive() {
		return this.drive;
	}
	/** @param x This field is present only if the type value is RLS_DRIVE. It contains the detailed RLS data for the drive. */
	public void setDrive(String x) {
		this.drive = x;
	}

	/** This field is present only if the type value is RLS_ESM. It contains the detailed RLS data for the ESM. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the type value is RLS_ESM. It contains the detailed RLS data for the ESM." , required = false)
	@XmlElement(required = false)
	private String esm;

	/** @return This field is present only if the type value is RLS_ESM. It contains the detailed RLS data for the ESM. */
	public String getEsm() {
		return this.esm;
	}
	/** @param x This field is present only if the type value is RLS_ESM. It contains the detailed RLS data for the ESM. */
	public void setEsm(String x) {
		this.esm = x;
	}
}
