package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used as the argument in continueRawDataRestore( ) requests. The caller specifies the type of transfer, and the sequence number of the current chunk of data being delivered to the controller. The first sequence number to be processed for a given restore should be 0, and this value should be incremented with each successive request. The final sequence number must be the same in every continueRawDataRestore ( ) operation; it indicates the sequence number of the last chunk that will be delivered to the controller. Once that chunk has been delivered, the controller considers the overall data transfer phase for the restore operation to be complete. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(683)
public class RawDataRestoreContinueDesc implements Serializable {
	public RawDataRestoreContinueDesc() {
	}

	/** The type of transfer */
	@io.swagger.annotations.ApiModelProperty(value ="The type of transfer" , required = true)
	@XmlElement(required = true)
	private RawDataTransferType type = RawDataTransferType.__UNDEFINED;

	/** @return The type of transfer */
	public RawDataTransferType getType() {
		return this.type;
	}
	/** @param x The type of transfer */
	public void setType(RawDataTransferType x) {
		this.type = x;
	}

	/** Indicates the sequence number of the last chunk that will be delivered to the controller. */
	@io.swagger.annotations.ApiModelProperty(value ="Indicates the sequence number of the last chunk that will be delivered to the controller." , required = true)
	@XmlElement(required = true)
	private int finalSequenceNumber;

	/** @return Indicates the sequence number of the last chunk that will be delivered to the controller. */
	public int getFinalSequenceNumber() {
		return this.finalSequenceNumber;
	}
	/** @param x Indicates the sequence number of the last chunk that will be delivered to the controller. */
	public void setFinalSequenceNumber(int x) {
		this.finalSequenceNumber = x;
	}

	/** The sequence number of the current chunk of data being delivered to the controller. */
	@io.swagger.annotations.ApiModelProperty(value ="The sequence number of the current chunk of data being delivered to the controller." , required = true)
	@XmlElement(required = true)
	private int thisSequenceNumber;

	/** @return The sequence number of the current chunk of data being delivered to the controller. */
	public int getThisSequenceNumber() {
		return this.thisSequenceNumber;
	}
	/** @param x The sequence number of the current chunk of data being delivered to the controller. */
	public void setThisSequenceNumber(int x) {
		this.thisSequenceNumber = x;
	}

	/** The transfer type-specific details. */
	@io.swagger.annotations.ApiModelProperty(value ="The transfer type-specific details." , required = true)
	@XmlElement(required = true)
	private RawDataRestoreChunkDetails details;

	/** @return The transfer type-specific details. */
	public RawDataRestoreChunkDetails getDetails() {
		return this.details;
	}
	/** @param x The transfer type-specific details. */
	public void setDetails(RawDataRestoreChunkDetails x) {
		this.details = x;
	}

	/** The controller running the retrieve. */
	@io.swagger.annotations.ApiModelProperty(value ="The controller running the retrieve." , required = true)
	@XmlElement(required = true)
	private String controllerRef;

	/** @return The controller running the retrieve. */
	public String getControllerRef() {
		return this.controllerRef;
	}
	/** @param x The controller running the retrieve. */
	public void setControllerRef(String x) {
		this.controllerRef = x;
	}
}
