package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used as the argument in continueRawDataRetrieve( ) requests. The caller specifies the type of transfer, and the sequence number of the next chunk of data to be retrieved. The first sequence number to be requested for a given retrieval should be 0, and this value should be incremented with each successive request for another chunk. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(550)
public class RawDataRetrieveContinueDesc implements Serializable {
	public RawDataRetrieveContinueDesc() {
	}

	/** The raw data transfer type (dq, dbm, or unknown). */
	@io.swagger.annotations.ApiModelProperty(value ="The raw data transfer type (dq, dbm, or unknown)." , required = true)
	@XmlElement(required = true)
	private RawDataTransferType type = RawDataTransferType.__UNDEFINED;

	/** @return The raw data transfer type (dq, dbm, or unknown). */
	public RawDataTransferType getType() {
		return this.type;
	}
	/** @param x The raw data transfer type (dq, dbm, or unknown). */
	public void setType(RawDataTransferType x) {
		this.type = x;
	}

	/** sequence number of the next chunk of data to be retrieved. */
	@io.swagger.annotations.ApiModelProperty(value ="sequence number of the next chunk of data to be retrieved." , required = true)
	@XmlElement(required = true)
	private int sequenceNumber;

	/** @return sequence number of the next chunk of data to be retrieved. */
	public int getSequenceNumber() {
		return this.sequenceNumber;
	}
	/** @param x sequence number of the next chunk of data to be retrieved. */
	public void setSequenceNumber(int x) {
		this.sequenceNumber = x;
	}

	/** The controller running the retrieve. */
	@io.swagger.annotations.ApiModelProperty(value ="The controller running the retrieve." , required = true)
	@XmlElement(required = true)
	private String controllerRef;

	/** @return The controller running the retrieve. */
	public String getControllerRef() {
		return this.controllerRef;
	}
	/** @param x The controller running the retrieve. */
	public void setControllerRef(String x) {
		this.controllerRef = x;
	}
}
