package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used as the argument in startRawDataRetrieve( ) requests. The caller specifies the details of the request in the embedded union, whose content varies depending on the transfer type. Note that the requested transfer type is specified by the caller via the discriminator of the details union. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1122)
public class RawDataRetrieveStartDesc implements Serializable {
	public RawDataRetrieveStartDesc() {
	}

	/** The transfer-type-specific details of the request. */
	@io.swagger.annotations.ApiModelProperty(value ="The transfer-type-specific details of the request." , required = true)
	@XmlElement(required = true)
	private RawDataRetrieveStartDetails details;

	/** @return The transfer-type-specific details of the request. */
	public RawDataRetrieveStartDetails getDetails() {
		return this.details;
	}
	/** @param x The transfer-type-specific details of the request. */
	public void setDetails(RawDataRetrieveStartDetails x) {
		this.details = x;
	}

	/** The controller that should run the restore. */
	@io.swagger.annotations.ApiModelProperty(value ="The controller that should run the restore." , required = true)
	@XmlElement(required = true)
	private String controllerRef;

	/** @return The controller that should run the restore. */
	public String getControllerRef() {
		return this.controllerRef;
	}
	/** @param x The controller that should run the restore. */
	public void setControllerRef(String x) {
		this.controllerRef = x;
	}
}
