package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** used to differentiate between the transfer-type-specific details that can be requested when starting a raw data retrieval. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1035)
public class RawDataRetrieveStartDetails implements Serializable {
	public RawDataRetrieveStartDetails() {
	}

	/** This enumeration lists the raw data transfer types. */
	@io.swagger.annotations.ApiModelProperty(value ="This enumeration lists the raw data transfer types." , required = true)
	@XmlElement(required = true)
	private RawDataTransferType rawDataTransferType = RawDataTransferType.__UNDEFINED;

	/** @return This enumeration lists the raw data transfer types. */
	public RawDataTransferType getRawDataTransferType() {
		return this.rawDataTransferType;
	}
	/** @param x This enumeration lists the raw data transfer types. */
	public void setRawDataTransferType(RawDataTransferType x) {
		this.rawDataTransferType = x;
	}

	/** This field is present only if the type value is equal to RAWDATA_DQ. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the type value is equal to RAWDATA_DQ." , required = false)
	@XmlElement(required = false)
	private DqRetrieveStartDetails dq;

	/** @return This field is present only if the type value is equal to RAWDATA_DQ. */
	public DqRetrieveStartDetails getDq() {
		return this.dq;
	}
	/** @param x This field is present only if the type value is equal to RAWDATA_DQ. */
	public void setDq(DqRetrieveStartDetails x) {
		this.dq = x;
	}

	/** This field is present only if the type value is equal to RAWDATA_DBMREC. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the type value is equal to RAWDATA_DBMREC." , required = false)
	@XmlElement(required = false)
	private DbmRecRetrieveStartDetails dbmRec;

	/** @return This field is present only if the type value is equal to RAWDATA_DBMREC. */
	public DbmRecRetrieveStartDetails getDbmRec() {
		return this.dbmRec;
	}
	/** @param x This field is present only if the type value is equal to RAWDATA_DBMREC. */
	public void setDbmRec(DbmRecRetrieveStartDetails x) {
		this.dbmRec = x;
	}

	/** This field is present only if the type value is equal to RAWDATA_DBMBLK. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the type value is equal to RAWDATA_DBMBLK." , required = false)
	@XmlElement(required = false)
	private DbmBlkRetrieveStartDetails dbmBlk;

	/** @return This field is present only if the type value is equal to RAWDATA_DBMBLK. */
	public DbmBlkRetrieveStartDetails getDbmBlk() {
		return this.dbmBlk;
	}
	/** @param x This field is present only if the type value is equal to RAWDATA_DBMBLK. */
	public void setDbmBlk(DbmBlkRetrieveStartDetails x) {
		this.dbmBlk = x;
	}

	/** This field is present only if the type value is equal to RAWDATA_DBM_CHECK. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the type value is equal to RAWDATA_DBM_CHECK." , required = false)
	@XmlElement(required = false)
	private DbmCheckRetrieveStartDetails dbmCheck;

	/** @return This field is present only if the type value is equal to RAWDATA_DBM_CHECK. */
	public DbmCheckRetrieveStartDetails getDbmCheck() {
		return this.dbmCheck;
	}
	/** @param x This field is present only if the type value is equal to RAWDATA_DBM_CHECK. */
	public void setDbmCheck(DbmCheckRetrieveStartDetails x) {
		this.dbmCheck = x;
	}

	/** This field is present only if the type value is equal to RAWDATA_ENCLOSURE_STATE_CAPTURE. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the type value is equal to RAWDATA_ENCLOSURE_STATE_CAPTURE." , required = false)
	@XmlElement(required = false)
	private EnclosureStateCaptureRetrieveStartDetails enclosureStateCapture;

	/** @return This field is present only if the type value is equal to RAWDATA_ENCLOSURE_STATE_CAPTURE. */
	public EnclosureStateCaptureRetrieveStartDetails getEnclosureStateCapture() {
		return this.enclosureStateCapture;
	}
	/** @param x This field is present only if the type value is equal to RAWDATA_ENCLOSURE_STATE_CAPTURE. */
	public void setEnclosureStateCapture(EnclosureStateCaptureRetrieveStartDetails x) {
		this.enclosureStateCapture = x;
	}

	/** This field is present only if the type value is equal to RAWDATA_DPL_CORE_DUMP_BUNDLE. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the type value is equal to RAWDATA_DPL_CORE_DUMP_BUNDLE." , required = false)
	@XmlElement(required = false)
	private DPLCoreDumpRetrieveStartDetails dplCoreDump;

	/** @return This field is present only if the type value is equal to RAWDATA_DPL_CORE_DUMP_BUNDLE. */
	public DPLCoreDumpRetrieveStartDetails getDplCoreDump() {
		return this.dplCoreDump;
	}
	/** @param x This field is present only if the type value is equal to RAWDATA_DPL_CORE_DUMP_BUNDLE. */
	public void setDplCoreDump(DPLCoreDumpRetrieveStartDetails x) {
		this.dplCoreDump = x;
	}

	/** This field is present only if the type value is equal to RAWDATA_IO_STATISTICS. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the type value is equal to RAWDATA_IO_STATISTICS." , required = false)
	@XmlElement(required = false)
	private IoStatisticsRetrieveStartDetails ioStatistics;

	/** @return This field is present only if the type value is equal to RAWDATA_IO_STATISTICS. */
	public IoStatisticsRetrieveStartDetails getIoStatistics() {
		return this.ioStatistics;
	}
	/** @param x This field is present only if the type value is equal to RAWDATA_IO_STATISTICS. */
	public void setIoStatistics(IoStatisticsRetrieveStartDetails x) {
		this.ioStatistics = x;
	}

	/** This field is present only if the type value is equal to RAWDATA_FDI_DEMS_LOGS. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the type value is equal to RAWDATA_FDI_DEMS_LOGS." , required = false)
	@XmlElement(required = false)
	private FdiDemsLogRetrieveStartDetails fdiDemsLog;

	/** @return This field is present only if the type value is equal to RAWDATA_FDI_DEMS_LOGS. */
	public FdiDemsLogRetrieveStartDetails getFdiDemsLog() {
		return this.fdiDemsLog;
	}
	/** @param x This field is present only if the type value is equal to RAWDATA_FDI_DEMS_LOGS. */
	public void setFdiDemsLog(FdiDemsLogRetrieveStartDetails x) {
		this.fdiDemsLog = x;
	}

	/** This field is present only if the type value is equal to RAWDATA_DRIVE_PERFORMANCE_HISTORY. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the type value is equal to RAWDATA_DRIVE_PERFORMANCE_HISTORY." , required = false)
	@XmlElement(required = false)
	private DrivePerformanceHistoryRetrieveStartDetails drivePerformanceHistory;

	/** @return This field is present only if the type value is equal to RAWDATA_DRIVE_PERFORMANCE_HISTORY. */
	public DrivePerformanceHistoryRetrieveStartDetails getDrivePerformanceHistory() {
		return this.drivePerformanceHistory;
	}
	/** @param x This field is present only if the type value is equal to RAWDATA_DRIVE_PERFORMANCE_HISTORY. */
	public void setDrivePerformanceHistory(DrivePerformanceHistoryRetrieveStartDetails x) {
		this.drivePerformanceHistory = x;
	}

	/** This field is present only if the type value is equal to RAWDATA_IOC_DUMP. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is present only if the type value is equal to RAWDATA_IOC_DUMP." , required = false)
	@XmlElement(required = false)
	private IOCDumpRetrieveStartDetails iocDump;

	/** @return This field is present only if the type value is equal to RAWDATA_IOC_DUMP. */
	public IOCDumpRetrieveStartDetails getIocDump() {
		return this.iocDump;
	}
	/** @param x This field is present only if the type value is equal to RAWDATA_IOC_DUMP. */
	public void setIocDump(IOCDumpRetrieveStartDetails x) {
		this.iocDump = x;
	}

	/** This is the case for when drive health logs are being returned in the raw data retrieve operation. */
	@io.swagger.annotations.ApiModelProperty(value ="This is the case for when drive health logs are being returned in the raw data retrieve operation." , required = false)
	@XmlElement(required = false)
	private DriveHealthLogsStartDetails driveHealthLogs;

	/** @return This is the case for when drive health logs are being returned in the raw data retrieve operation. */
	public DriveHealthLogsStartDetails getDriveHealthLogs() {
		return this.driveHealthLogs;
	}
	/** @param x This is the case for when drive health logs are being returned in the raw data retrieve operation. */
	public void setDriveHealthLogs(DriveHealthLogsStartDetails x) {
		this.driveHealthLogs = x;
	}

	@io.swagger.annotations.ApiModelProperty(value ="" , required = false)
	@XmlElement(required = false)
	private PerformanceRingStartDetails ctrlPerformanceParms;

	public PerformanceRingStartDetails getCtrlPerformanceParms() {
		return this.ctrlPerformanceParms;
	}
	public void setCtrlPerformanceParms(PerformanceRingStartDetails x) {
		this.ctrlPerformanceParms = x;
	}

	/** Specifies the details required to start Dom0 support data retrieval for each data type. */
	@io.swagger.annotations.ApiModelProperty(value ="Specifies the details required to start Dom0 support data retrieval for each data type." , required = false)
	@XmlElement(required = false)
	private Dom0SupportDataStartDetails dom0SupportDataStartDetails;

	/** @return Specifies the details required to start Dom0 support data retrieval for each data type. */
	public Dom0SupportDataStartDetails getDom0SupportDataStartDetails() {
		return this.dom0SupportDataStartDetails;
	}
	/** @param x Specifies the details required to start Dom0 support data retrieval for each data type. */
	public void setDom0SupportDataStartDetails(Dom0SupportDataStartDetails x) {
		this.dom0SupportDataStartDetails = x;
	}

	/** Data to be used for the start of workload analytics data retrieve. */
	@io.swagger.annotations.ApiModelProperty(value ="Data to be used for the start of workload analytics data retrieve." , required = false)
	@XmlElement(required = false)
	private WlcAnalyticsStartDetails wlcAnalyticsStartDetails;

	/** @return Data to be used for the start of workload analytics data retrieve. */
	public WlcAnalyticsStartDetails getWlcAnalyticsStartDetails() {
		return this.wlcAnalyticsStartDetails;
	}
	/** @param x Data to be used for the start of workload analytics data retrieve. */
	public void setWlcAnalyticsStartDetails(WlcAnalyticsStartDetails x) {
		this.wlcAnalyticsStartDetails = x;
	}

	/** Specifies the details to start an Auto Load Balance statistics log data retrieval. */
	@io.swagger.annotations.ApiModelProperty(value ="Specifies the details to start an Auto Load Balance statistics log data retrieval." , required = false)
	@XmlElement(required = false)
	private AutoLoadBalanceStatsLogRetrieveStartDetails autoLoadBalanceStatisticsLog;

	/** @return Specifies the details to start an Auto Load Balance statistics log data retrieval. */
	public AutoLoadBalanceStatsLogRetrieveStartDetails getAutoLoadBalanceStatisticsLog() {
		return this.autoLoadBalanceStatisticsLog;
	}
	/** @param x Specifies the details to start an Auto Load Balance statistics log data retrieval. */
	public void setAutoLoadBalanceStatisticsLog(AutoLoadBalanceStatsLogRetrieveStartDetails x) {
		this.autoLoadBalanceStatisticsLog = x;
	}
}
