package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains the type of transfer to cancel and the controller reference for the cancellation. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(646)
public class RawDataTransferCancelDesc implements Serializable {
	public RawDataTransferCancelDesc() {
	}

	/** The raw data transfer type */
	@io.swagger.annotations.ApiModelProperty(value ="The raw data transfer type" , required = true)
	@XmlElement(required = true)
	private RawDataTransferType transferType = RawDataTransferType.__UNDEFINED;

	/** @return The raw data transfer type */
	public RawDataTransferType getTransferType() {
		return this.transferType;
	}
	/** @param x The raw data transfer type */
	public void setTransferType(RawDataTransferType x) {
		this.transferType = x;
	}

	/** The controller running the operation that should be canceled. */
	@io.swagger.annotations.ApiModelProperty(value ="The controller running the operation that should be canceled." , required = true)
	@XmlElement(required = true)
	private String controllerRef;

	/** @return The controller running the operation that should be canceled. */
	public String getControllerRef() {
		return this.controllerRef;
	}
	/** @param x The controller running the operation that should be canceled. */
	public void setControllerRef(String x) {
		this.controllerRef = x;
	}
}
