package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration is used to identify SAS port connection modes. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(74)
public enum SASPortMode implements Serializable {
		/** The SAS port mode is unknown. */
		unknown(0),
		/** The SAS port is internally connected. */
		internal(1),
		/** The SAS port is connected from an external expander. */
		externalIn(2),
		/** The SAS port is connected to an external expander. */
		externalOut(3),
		/** The SAS port is connected to an end device. */
		endDevice(4),
		/** The SAS port is not used. */
		open(5),
		__UNDEFINED(464378545);

		public final int value;

		private SASPortMode(int v) {
			this.value = v;
		}
}
