package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to update SNMP system variable settings (input to the setSNMPSystemVariable procedure). */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(621)
public class SNMPSystemVariablesUpdateDescriptor implements Serializable {
	public SNMPSystemVariablesUpdateDescriptor() {
	}

	/** SNMP system variable value object containing the new variables. */
	@io.swagger.annotations.ApiModelProperty(value ="SNMP system variable value object containing the new variables." , required = true)
	@XmlElement(required = true)
	private SNMPSystemVariableValue[] newValues;

	/** @return SNMP system variable value object containing the new variables. */
	public SNMPSystemVariableValue[] getNewValues() {
		return this.newValues;
	}
	/** @param x SNMP system variable value object containing the new variables. */
	public void setNewValues(SNMPSystemVariableValue[] x) {
		this.newValues = x;
	}
}
