package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains information about a SAS port. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1023)
public class SasPortData implements Serializable {
	public SasPortData() {
	}

	/** An indication of what device is attached to this port. */
	@io.swagger.annotations.ApiModelProperty(value ="An indication of what device is attached to this port." , required = true)
	@XmlElement(required = true)
	private SasAttachedDevice attachedDevice;

	/** @return An indication of what device is attached to this port. */
	public SasAttachedDevice getAttachedDevice() {
		return this.attachedDevice;
	}
	/** @param x An indication of what device is attached to this port. */
	public void setAttachedDevice(SasAttachedDevice x) {
		this.attachedDevice = x;
	}

	/** An array of SAS PHY data elements, one per PHY comprising the port. */
	@io.swagger.annotations.ApiModelProperty(value ="An array of SAS PHY data elements, one per PHY comprising the port." , required = true)
	@XmlElement(required = true)
	private SasPhyData[] sasPhyData;

	/** @return An array of SAS PHY data elements, one per PHY comprising the port. */
	public SasPhyData[] getSasPhyData() {
		return this.sasPhyData;
	}
	/** @param x An array of SAS PHY data elements, one per PHY comprising the port. */
	public void setSasPhyData(SasPhyData[] x) {
		this.sasPhyData = x;
	}
}
