package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains the SAS statistics reported by a call to getSasErrorStatistics. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1134)
public class SasStatistics implements Serializable {
	public SasStatistics() {
	}

	/** The length of the time interval, in seconds, during which the SAS statistics were collected. */
	@io.swagger.annotations.ApiModelProperty(value ="The length of the time interval, in seconds, during which the SAS statistics were collected." , required = true)
	@XmlElement(required = true)
	private int collectionElapsedTime;

	/** @return The length of the time interval, in seconds, during which the SAS statistics were collected. */
	public int getCollectionElapsedTime() {
		return this.collectionElapsedTime;
	}
	/** @param x The length of the time interval, in seconds, during which the SAS statistics were collected. */
	public void setCollectionElapsedTime(int x) {
		this.collectionElapsedTime = x;
	}

	/** An array of SasData structures, one element per SAS device reported by the procedure. */
	@io.swagger.annotations.ApiModelProperty(value ="An array of SasData structures, one element per SAS device reported by the procedure." , required = true)
	@XmlElement(required = true)
	private SasData[] sasData;

	/** @return An array of SasData structures, one element per SAS device reported by the procedure. */
	public SasData[] getSasData() {
		return this.sasData;
	}
	/** @param x An array of SasData structures, one element per SAS device reported by the procedure. */
	public void setSasData(SasData[] x) {
		this.sasData = x;
	}
}
