package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This is a structure that conveys information about how a new schedule item is to be created. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(879)
public class ScheduleCreationDescriptor implements Serializable {
	public ScheduleCreationDescriptor() {
	}

	/** The type of action to be taken. */
	@io.swagger.annotations.ApiModelProperty(value ="The type of action to be taken." , required = true)
	@XmlElement(required = true)
	private ScheduleAction action = ScheduleAction.__UNDEFINED;

	/** @return The type of action to be taken. */
	public ScheduleAction getAction() {
		return this.action;
	}
	/** @param x The type of action to be taken. */
	public void setAction(ScheduleAction x) {
		this.action = x;
	}

	/** The object associated with schedule. */
	@io.swagger.annotations.ApiModelProperty(value ="The object associated with schedule." , required = true)
	@XmlElement(required = true)
	private OptionalTargetObject targetObject;

	/** @return The object associated with schedule. */
	public OptionalTargetObject getTargetObject() {
		return this.targetObject;
	}
	/** @param x The object associated with schedule. */
	public void setTargetObject(OptionalTargetObject x) {
		this.targetObject = x;
	}

	/** All schedule-related information. */
	@io.swagger.annotations.ApiModelProperty(value ="All schedule-related information." , required = true)
	@XmlElement(required = true)
	private Schedule schedule;

	/** @return All schedule-related information. */
	public Schedule getSchedule() {
		return this.schedule;
	}
	/** @param x All schedule-related information. */
	public void setSchedule(Schedule x) {
		this.schedule = x;
	}

	/** If true, the schedule will be enabled, otherwise it will be disabled. */
	@io.swagger.annotations.ApiModelProperty(value ="If true, the schedule will be enabled, otherwise it will be disabled." , required = true)
	@XmlElement(required = true)
	private boolean enabled;

	/** @return If true, the schedule will be enabled, otherwise it will be disabled. */
	public boolean isEnabled() {
		return this.enabled;
	}
	/** @param x If true, the schedule will be enabled, otherwise it will be disabled. */
	public void setEnabled(boolean x) {
		this.enabled = x;
	}
}
