package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains information about a schedule, returned as part of the object graph. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(720)
public class ScheduleInstance implements Serializable,devmgr.api.model.Identifiable {
	public ScheduleInstance() {
	}

	/** A reference to the schedule object. */
	@io.swagger.annotations.ApiModelProperty(value ="A reference to the schedule object." , required = true)
	@XmlElement(required = true)
	private String schedRef;

	/** @return A reference to the schedule object. */
	public String getSchedRef() {
		return this.schedRef;
	}
	/** @param x A reference to the schedule object. */
	public void setSchedRef(String x) {
		this.schedRef = x;
	}

	/** The current status of the schedule. */
	@io.swagger.annotations.ApiModelProperty(value ="The current status of the schedule." , required = true)
	@XmlElement(required = true)
	private ScheduleStatus scheduleStatus = ScheduleStatus.__UNDEFINED;

	/** @return The current status of the schedule. */
	public ScheduleStatus getScheduleStatus() {
		return this.scheduleStatus;
	}
	/** @param x The current status of the schedule. */
	public void setScheduleStatus(ScheduleStatus x) {
		this.scheduleStatus = x;
	}

	/** The type of action to be taken. */
	@io.swagger.annotations.ApiModelProperty(value ="The type of action to be taken." , required = true)
	@XmlElement(required = true)
	private ScheduleAction action = ScheduleAction.__UNDEFINED;

	/** @return The type of action to be taken. */
	public ScheduleAction getAction() {
		return this.action;
	}
	/** @param x The type of action to be taken. */
	public void setAction(ScheduleAction x) {
		this.action = x;
	}

	/** The object associated with schedule. */
	@io.swagger.annotations.ApiModelProperty(value ="The object associated with schedule." , required = true)
	@XmlElement(required = true)
	private String targetObject;

	/** @return The object associated with schedule. */
	public String getTargetObject() {
		return this.targetObject;
	}
	/** @param x The object associated with schedule. */
	public void setTargetObject(String x) {
		this.targetObject = x;
	}

	/** The schedule information. */
	@io.swagger.annotations.ApiModelProperty(value ="The schedule information." , required = true)
	@XmlElement(required = true)
	private Schedule schedule;

	/** @return The schedule information. */
	public Schedule getSchedule() {
		return this.schedule;
	}
	/** @param x The schedule information. */
	public void setSchedule(Schedule x) {
		this.schedule = x;
	}

	/** The schedule creation time (local time) measured as seconds since January 1, 1970. */
	@io.swagger.annotations.ApiModelProperty(value ="The schedule creation time (local time) measured as seconds since January 1, 1970." , required = true)
	@XmlElement(required = true)
	private long creationTime;

	/** @return The schedule creation time (local time) measured as seconds since January 1, 1970. */
	public long getCreationTime() {
		return this.creationTime;
	}
	/** @param x The schedule creation time (local time) measured as seconds since January 1, 1970. */
	public void setCreationTime(long x) {
		this.creationTime = x;
	}

	/** The last run time (local time) measured as seconds since January 1, 1970. */
	@io.swagger.annotations.ApiModelProperty(value ="The last run time (local time) measured as seconds since January 1, 1970." , required = true)
	@XmlElement(required = true)
	private long lastRunTime;

	/** @return The last run time (local time) measured as seconds since January 1, 1970. */
	public long getLastRunTime() {
		return this.lastRunTime;
	}
	/** @param x The last run time (local time) measured as seconds since January 1, 1970. */
	public void setLastRunTime(long x) {
		this.lastRunTime = x;
	}

	/** The next run time (local time) measured as seconds since January 1, 1970. */
	@io.swagger.annotations.ApiModelProperty(value ="The next run time (local time) measured as seconds since January 1, 1970." , required = true)
	@XmlElement(required = true)
	private long nextRunTime;

	/** @return The next run time (local time) measured as seconds since January 1, 1970. */
	public long getNextRunTime() {
		return this.nextRunTime;
	}
	/** @param x The next run time (local time) measured as seconds since January 1, 1970. */
	public void setNextRunTime(long x) {
		this.nextRunTime = x;
	}

	/** The local time after which schedule is no longer active, measured as seconds since January 1, 1970. */
	@io.swagger.annotations.ApiModelProperty(value ="The local time after which schedule is no longer active, measured as seconds since January 1, 1970." , required = true)
	@XmlElement(required = true)
	private long stopTime;

	/** @return The local time after which schedule is no longer active, measured as seconds since January 1, 1970. */
	public long getStopTime() {
		return this.stopTime;
	}
	/** @param x The local time after which schedule is no longer active, measured as seconds since January 1, 1970. */
	public void setStopTime(long x) {
		this.stopTime = x;
	}
	@Override
	public String getId(){
		return schedRef;
	}
}
