package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union data type represents a SCSI node name. It is presently only defined for iSCSI. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(349)
public class ScsiNodeName implements Serializable {
	public ScsiNodeName() {
	}

	/** This enumeration defines the different I/O interface types that may be reported as part of the configuration information associated with a controller. */
	@io.swagger.annotations.ApiModelProperty(value ="This enumeration defines the different I/O interface types that may be reported as part of the configuration information associated with a controller." , required = true)
	@XmlElement(required = true)
	private IOInterfaceType ioInterfaceType = IOInterfaceType.__UNDEFINED;

	/** @return This enumeration defines the different I/O interface types that may be reported as part of the configuration information associated with a controller. */
	public IOInterfaceType getIoInterfaceType() {
		return this.ioInterfaceType;
	}
	/** @param x This enumeration defines the different I/O interface types that may be reported as part of the configuration information associated with a controller. */
	public void setIoInterfaceType(IOInterfaceType x) {
		this.ioInterfaceType = x;
	}

	/** The SCSI node name as defined under iSCSI. This field is only valid if the I/O interface type is equal to IO_IF_ISCSI. */
	@io.swagger.annotations.ApiModelProperty(value ="The SCSI node name as defined under iSCSI. This field is only valid if the I/O interface type is equal to IO_IF_ISCSI." , required = false)
	@XmlElement(required = false)
	private String iscsiNodeName;

	/** @return The SCSI node name as defined under iSCSI. This field is only valid if the I/O interface type is equal to IO_IF_ISCSI. */
	public String getIscsiNodeName() {
		return this.iscsiNodeName;
	}
	/** @param x The SCSI node name as defined under iSCSI. This field is only valid if the I/O interface type is equal to IO_IF_ISCSI. */
	public void setIscsiNodeName(String x) {
		this.iscsiNodeName = x;
	}

	/** The FC WWN for the remote node. This field is only valid if the I/O interface type is equal to IO_IF_FC. */
	@io.swagger.annotations.ApiModelProperty(value ="The FC WWN for the remote node. This field is only valid if the I/O interface type is equal to IO_IF_FC." , required = false)
	@XmlElement(required = false)
	private String remoteNodeWWN;

	/** @return The FC WWN for the remote node. This field is only valid if the I/O interface type is equal to IO_IF_FC. */
	public String getRemoteNodeWWN() {
		return this.remoteNodeWWN;
	}
	/** @param x The FC WWN for the remote node. This field is only valid if the I/O interface type is equal to IO_IF_FC. */
	public void setRemoteNodeWWN(String x) {
		this.remoteNodeWWN = x;
	}
}
