package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This union is used to convey details of connections to a remote target. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(978)
public class ScsiRemoteTargetConnections implements Serializable {
	public ScsiRemoteTargetConnections() {
	}

	/** This enumeration defines the different I/O interface types that may be reported as part of the configuration information associated with a controller. */
	@io.swagger.annotations.ApiModelProperty(value ="This enumeration defines the different I/O interface types that may be reported as part of the configuration information associated with a controller." , required = true)
	@XmlElement(required = true)
	private IOInterfaceType ioInterfaceType = IOInterfaceType.__UNDEFINED;

	/** @return This enumeration defines the different I/O interface types that may be reported as part of the configuration information associated with a controller. */
	public IOInterfaceType getIoInterfaceType() {
		return this.ioInterfaceType;
	}
	/** @param x This enumeration defines the different I/O interface types that may be reported as part of the configuration information associated with a controller. */
	public void setIoInterfaceType(IOInterfaceType x) {
		this.ioInterfaceType = x;
	}

	/** This field is returned if the value of ioInterfaceType is equal to IO_IF_ISCSI. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is returned if the value of ioInterfaceType is equal to IO_IF_ISCSI." , required = false)
	@XmlElement(required = false)
	private IscsiRemoteTargetConnections iscsiConnectionDetail;

	/** @return This field is returned if the value of ioInterfaceType is equal to IO_IF_ISCSI. */
	public IscsiRemoteTargetConnections getIscsiConnectionDetail() {
		return this.iscsiConnectionDetail;
	}
	/** @param x This field is returned if the value of ioInterfaceType is equal to IO_IF_ISCSI. */
	public void setIscsiConnectionDetail(IscsiRemoteTargetConnections x) {
		this.iscsiConnectionDetail = x;
	}

	/** This field is returned if the value of ioInterfaceType is equal to IO_IF_FC. */
	@io.swagger.annotations.ApiModelProperty(value ="This field is returned if the value of ioInterfaceType is equal to IO_IF_FC." , required = false)
	@XmlElement(required = false)
	private FibreRemoteTargetConnections fibreConnectionDetail;

	/** @return This field is returned if the value of ioInterfaceType is equal to IO_IF_FC. */
	public FibreRemoteTargetConnections getFibreConnectionDetail() {
		return this.fibreConnectionDetail;
	}
	/** @param x This field is returned if the value of ioInterfaceType is equal to IO_IF_FC. */
	public void setFibreConnectionDetail(FibreRemoteTargetConnections x) {
		this.fibreConnectionDetail = x;
	}
}
