package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to convey input parameters to the snapshot / PiT Group conversion procedure. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(701)
public class SnapshotConversionDescriptor implements Serializable {
	public SnapshotConversionDescriptor() {
	}

	/** The base volume for the snapshots to be converted (will become the base volume for the newly created PiT groups). */
	@io.swagger.annotations.ApiModelProperty(value ="The base volume for the snapshots to be converted (will become the base volume for the newly created PiT groups)." , required = true)
	@XmlElement(required = true)
	private String baseVolume;

	/** @return The base volume for the snapshots to be converted (will become the base volume for the newly created PiT groups). */
	public String getBaseVolume() {
		return this.baseVolume;
	}
	/** @param x The base volume for the snapshots to be converted (will become the base volume for the newly created PiT groups). */
	public void setBaseVolume(String x) {
		this.baseVolume = x;
	}

	/** List of new PiT group and repository user labels (one pair for each snapshot being converted). */
	@io.swagger.annotations.ApiModelProperty(value ="List of new PiT group and repository user labels (one pair for each snapshot being converted)." , required = true)
	@XmlElement(required = true)
	private SnapshotConversionLabel[] conversionLabels;

	/** @return List of new PiT group and repository user labels (one pair for each snapshot being converted). */
	public SnapshotConversionLabel[] getConversionLabels() {
		return this.conversionLabels;
	}
	/** @param x List of new PiT group and repository user labels (one pair for each snapshot being converted). */
	public void setConversionLabels(SnapshotConversionLabel[] x) {
		this.conversionLabels = x;
	}
}
