package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains the global, port-independent data for a SOC device. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(950)
public class SocDeviceData implements Serializable {
	public SocDeviceData() {
	}

	/** The parent (either controller or ESM) of the SOC device. */
	@io.swagger.annotations.ApiModelProperty(value ="The parent (either controller or ESM) of the SOC device." , required = true)
	@XmlElement(required = true)
	private SocParent parent;

	/** @return The parent (either controller or ESM) of the SOC device. */
	public SocParent getParent() {
		return this.parent;
	}
	/** @param x The parent (either controller or ESM) of the SOC device. */
	public void setParent(SocParent x) {
		this.parent = x;
	}

	/** Set to true if the SOC device is operating in hub mode. Otherwise it is operating in switch mode. */
	@io.swagger.annotations.ApiModelProperty(value ="Set to true if the SOC device is operating in hub mode. Otherwise it is operating in switch mode." , required = true)
	@XmlElement(required = true)
	private boolean hubMode;

	/** @return Set to true if the SOC device is operating in hub mode. Otherwise it is operating in switch mode. */
	public boolean isHubMode() {
		return this.hubMode;
	}
	/** @param x Set to true if the SOC device is operating in hub mode. Otherwise it is operating in switch mode. */
	public void setHubMode(boolean x) {
		this.hubMode = x;
	}

	/** Set to true if the SOC device is operating in managed mode. Otherwise it is operating in unmanaged mode. */
	@io.swagger.annotations.ApiModelProperty(value ="Set to true if the SOC device is operating in managed mode. Otherwise it is operating in unmanaged mode." , required = true)
	@XmlElement(required = true)
	private boolean managedMode;

	/** @return Set to true if the SOC device is operating in managed mode. Otherwise it is operating in unmanaged mode. */
	public boolean isManagedMode() {
		return this.managedMode;
	}
	/** @param x Set to true if the SOC device is operating in managed mode. Otherwise it is operating in unmanaged mode. */
	public void setManagedMode(boolean x) {
		this.managedMode = x;
	}

	/** The length of the time interval, in seconds, during which the reported SOC statistics were collected. */
	@io.swagger.annotations.ApiModelProperty(value ="The length of the time interval, in seconds, during which the reported SOC statistics were collected." , required = true)
	@XmlElement(required = true)
	private int collectionElapsedTime;

	/** @return The length of the time interval, in seconds, during which the reported SOC statistics were collected. */
	public int getCollectionElapsedTime() {
		return this.collectionElapsedTime;
	}
	/** @param x The length of the time interval, in seconds, during which the reported SOC statistics were collected. */
	public void setCollectionElapsedTime(int x) {
		this.collectionElapsedTime = x;
	}
}
