package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration is used to indicate the device type for the parent of a SOC device. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(260)
public enum SocParentType implements Serializable {
		/** The SOC parent device is a controller. */
		controller(1),
		/** The SOC parent device is an ESM. */
		esm(2),
		/** The SOC parent device is a drawer (Wembley enclosure). */
		drawer(3),
		__UNDEFINED(464378545);

		public final int value;

		private SocParentType(int v) {
			this.value = v;
		}
}
