package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains the SOC error statistics for a given port. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(398)
public class SocPortDiagnosticData implements Serializable {
	public SocPortDiagnosticData() {
	}

	/** The current state of the port. */
	@io.swagger.annotations.ApiModelProperty(value ="The current state of the port." , required = true)
	@XmlElement(required = true)
	private SocPortState portState = SocPortState.__UNDEFINED;

	/** @return The current state of the port. */
	public SocPortState getPortState() {
		return this.portState;
	}
	/** @param x The current state of the port. */
	public void setPortState(SocPortState x) {
		this.portState = x;
	}

	/** The number of times the port has been inserted. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of times the port has been inserted." , required = true)
	@XmlElement(required = true)
	private int portInsertionCount;

	/** @return The number of times the port has been inserted. */
	public int getPortInsertionCount() {
		return this.portInsertionCount;
	}
	/** @param x The number of times the port has been inserted. */
	public void setPortInsertionCount(int x) {
		this.portInsertionCount = x;
	}

	/** The state of the loop */
	@io.swagger.annotations.ApiModelProperty(value ="The state of the loop" , required = true)
	@XmlElement(required = true)
	private SocLoopState loopState = SocLoopState.__UNDEFINED;

	/** @return The state of the loop */
	public SocLoopState getLoopState() {
		return this.loopState;
	}
	/** @param x The state of the loop */
	public void setLoopState(SocLoopState x) {
		this.loopState = x;
	}

	/** The number of times the referenced port has seen a loop-up event. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of times the referenced port has seen a loop-up event." , required = true)
	@XmlElement(required = true)
	private int loopUpCount;

	/** @return The number of times the referenced port has seen a loop-up event. */
	public int getLoopUpCount() {
		return this.loopUpCount;
	}
	/** @param x The number of times the referenced port has seen a loop-up event. */
	public void setLoopUpCount(int x) {
		this.loopUpCount = x;
	}

	/** The count of CRC errors. */
	@io.swagger.annotations.ApiModelProperty(value ="The count of CRC errors." , required = true)
	@XmlElement(required = true)
	private int crcErrorCount;

	/** @return The count of CRC errors. */
	public int getCrcErrorCount() {
		return this.crcErrorCount;
	}
	/** @param x The count of CRC errors. */
	public void setCrcErrorCount(int x) {
		this.crcErrorCount = x;
	}

	/** The difference, in PPM, between the port received data rate and the internal clock of the SOC. */
	@io.swagger.annotations.ApiModelProperty(value ="The difference, in PPM, between the port received data rate and the internal clock of the SOC." , required = true)
	@XmlElement(required = true)
	private int relativeFrequencyDriftErrorAverage;

	/** @return The difference, in PPM, between the port received data rate and the internal clock of the SOC. */
	public int getRelativeFrequencyDriftErrorAverage() {
		return this.relativeFrequencyDriftErrorAverage;
	}
	/** @param x The difference, in PPM, between the port received data rate and the internal clock of the SOC. */
	public void setRelativeFrequencyDriftErrorAverage(int x) {
		this.relativeFrequencyDriftErrorAverage = x;
	}

	/** The number of LIPs seen by the referenced port. (valid in segmenting mode only) */
	@io.swagger.annotations.ApiModelProperty(value ="The number of LIPs seen by the referenced port. (valid in segmenting mode only)" , required = true)
	@XmlElement(required = true)
	private int loopCycleCount;

	/** @return The number of LIPs seen by the referenced port. (valid in segmenting mode only) */
	public int getLoopCycleCount() {
		return this.loopCycleCount;
	}
	/** @param x The number of LIPs seen by the referenced port. (valid in segmenting mode only) */
	public void setLoopCycleCount(int x) {
		this.loopCycleCount = x;
	}

	/** The count of invalid FC transmit words seen at the receiver of the referenced port. */
	@io.swagger.annotations.ApiModelProperty(value ="The count of invalid FC transmit words seen at the receiver of the referenced port." , required = true)
	@XmlElement(required = true)
	private int osErrorCount;

	/** @return The count of invalid FC transmit words seen at the receiver of the referenced port. */
	public int getOsErrorCount() {
		return this.osErrorCount;
	}
	/** @param x The count of invalid FC transmit words seen at the receiver of the referenced port. */
	public void setOsErrorCount(int x) {
		this.osErrorCount = x;
	}

	/** The number of times a port has attempted make a connection due to ARB connection requests. (valid in segmenting mode only) */
	@io.swagger.annotations.ApiModelProperty(value ="The number of times a port has attempted make a connection due to ARB connection requests. (valid in segmenting mode only)" , required = true)
	@XmlElement(required = true)
	private int portConnectionsAttemptedCount;

	/** @return The number of times a port has attempted make a connection due to ARB connection requests. (valid in segmenting mode only) */
	public int getPortConnectionsAttemptedCount() {
		return this.portConnectionsAttemptedCount;
	}
	/** @param x The number of times a port has attempted make a connection due to ARB connection requests. (valid in segmenting mode only) */
	public void setPortConnectionsAttemptedCount(int x) {
		this.portConnectionsAttemptedCount = x;
	}

	/** The count of times this port has attempted to make a connection and was held off by a busy port. (valid in segmenting mode only) */
	@io.swagger.annotations.ApiModelProperty(value ="The count of times this port has attempted to make a connection and was held off by a busy port. (valid in segmenting mode only)" , required = true)
	@XmlElement(required = true)
	private int portConnectionsHeldOffCount;

	/** @return The count of times this port has attempted to make a connection and was held off by a busy port. (valid in segmenting mode only) */
	public int getPortConnectionsHeldOffCount() {
		return this.portConnectionsHeldOffCount;
	}
	/** @param x The count of times this port has attempted to make a connection and was held off by a busy port. (valid in segmenting mode only) */
	public void setPortConnectionsHeldOffCount(int x) {
		this.portConnectionsHeldOffCount = x;
	}

	/** The port utilization seen on the referenced port. The value returned is either the percent of time that frames are seen on the port, or the percent of time that a port is used during switching mode operation when the SOC is operating in the switching mode. Range 0 to 200, 0.5% per bit scale. (valid in segmenting mode only) */
	@io.swagger.annotations.ApiModelProperty(value ="The port utilization seen on the referenced port. The value returned is either the percent of time that frames are seen on the port, or the percent of time that a port is used during switching mode operation when the SOC is operating in the switching mode. Range 0 to 200, 0.5% per bit scale. (valid in segmenting mode only)" , required = true)
	@XmlElement(required = true)
	private int portUtilization;

	/** @return The port utilization seen on the referenced port. The value returned is either the percent of time that frames are seen on the port, or the percent of time that a port is used during switching mode operation when the SOC is operating in the switching mode. Range 0 to 200, 0.5% per bit scale. (valid in segmenting mode only) */
	public int getPortUtilization() {
		return this.portUtilization;
	}
	/** @param x The port utilization seen on the referenced port. The value returned is either the percent of time that frames are seen on the port, or the percent of time that a port is used during switching mode operation when the SOC is operating in the switching mode. Range 0 to 200, 0.5% per bit scale. (valid in segmenting mode only) */
	public void setPortUtilization(int x) {
		this.portUtilization = x;
	}
}
