package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure contains information about the Storage Partitions configuration of the storage array. It is included within the standard object bundle that describes the overall configuration of the system. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(1120)
public class StoragePoolBundle implements Serializable {
	public StoragePoolBundle() {
	}

	/** A variable-length array containing all SAPortGroup objects that are currently configured and available. */
	@io.swagger.annotations.ApiModelProperty(value ="A variable-length array containing all SAPortGroup objects that are currently configured and available." , required = true)
	@XmlElement(required = true)
	private SAPortGroup[] saPortGroup;

	/** @return A variable-length array containing all SAPortGroup objects that are currently configured and available. */
	public SAPortGroup[] getSaPortGroup() {
		return this.saPortGroup;
	}
	/** @param x A variable-length array containing all SAPortGroup objects that are currently configured and available. */
	public void setSaPortGroup(SAPortGroup[] x) {
		this.saPortGroup = x;
	}

	/** A variable-length array containing all SAPortGroup objects that are currently configured and available. */
	@io.swagger.annotations.ApiModelProperty(value ="A variable-length array containing all SAPortGroup objects that are currently configured and available." , required = true)
	@XmlElement(required = true)
	private SAPort[] saPort;

	/** @return A variable-length array containing all SAPortGroup objects that are currently configured and available. */
	public SAPort[] getSaPort() {
		return this.saPort;
	}
	/** @param x A variable-length array containing all SAPortGroup objects that are currently configured and available. */
	public void setSaPort(SAPort[] x) {
		this.saPort = x;
	}

	/** A variable-length array containing all defined Cluster objects for the storage array configuration. */
	@io.swagger.annotations.ApiModelProperty(value ="A variable-length array containing all defined Cluster objects for the storage array configuration." , required = true)
	@XmlElement(required = true)
	private Cluster[] cluster;

	/** @return A variable-length array containing all defined Cluster objects for the storage array configuration. */
	public Cluster[] getCluster() {
		return this.cluster;
	}
	/** @param x A variable-length array containing all defined Cluster objects for the storage array configuration. */
	public void setCluster(Cluster[] x) {
		this.cluster = x;
	}

	/** A variable-length array containing all defined Host objects for the storage array configuration. */
	@io.swagger.annotations.ApiModelProperty(value ="A variable-length array containing all defined Host objects for the storage array configuration." , required = true)
	@XmlElement(required = true)
	private Host[] host;

	/** @return A variable-length array containing all defined Host objects for the storage array configuration. */
	public Host[] getHost() {
		return this.host;
	}
	/** @param x A variable-length array containing all defined Host objects for the storage array configuration. */
	public void setHost(Host[] x) {
		this.host = x;
	}

	/** A variable-length array containing all defined HostPort objects for the storage array configuration. */
	@io.swagger.annotations.ApiModelProperty(value ="A variable-length array containing all defined HostPort objects for the storage array configuration." , required = true)
	@XmlElement(required = true)
	private HostPort[] hostPort;

	/** @return A variable-length array containing all defined HostPort objects for the storage array configuration. */
	public HostPort[] getHostPort() {
		return this.hostPort;
	}
	/** @param x A variable-length array containing all defined HostPort objects for the storage array configuration. */
	public void setHostPort(HostPort[] x) {
		this.hostPort = x;
	}

	/** A variable-length array containing all defined LUNMapping objects for the storage array configuration. */
	@io.swagger.annotations.ApiModelProperty(value ="A variable-length array containing all defined LUNMapping objects for the storage array configuration." , required = true)
	@XmlElement(required = true)
	private LUNMapping[] lunMapping;

	/** @return A variable-length array containing all defined LUNMapping objects for the storage array configuration. */
	public LUNMapping[] getLunMapping() {
		return this.lunMapping;
	}
	/** @param x A variable-length array containing all defined LUNMapping objects for the storage array configuration. */
	public void setLunMapping(LUNMapping[] x) {
		this.lunMapping = x;
	}

	/** A variable-length array containing all Initiator objects defined in the storage array configuration. */
	@io.swagger.annotations.ApiModelProperty(value ="A variable-length array containing all Initiator objects defined in the storage array configuration." , required = true)
	@XmlElement(required = true)
	private Initiator[] initiator;

	/** @return A variable-length array containing all Initiator objects defined in the storage array configuration. */
	public Initiator[] getInitiator() {
		return this.initiator;
	}
	/** @param x A variable-length array containing all Initiator objects defined in the storage array configuration. */
	public void setInitiator(Initiator[] x) {
		this.initiator = x;
	}

	/** A variable-length array containing all Target objects defined in the storage array configuration. */
	@io.swagger.annotations.ApiModelProperty(value ="A variable-length array containing all Target objects defined in the storage array configuration." , required = true)
	@XmlElement(required = true)
	private Target[] target;

	/** @return A variable-length array containing all Target objects defined in the storage array configuration. */
	public Target[] getTarget() {
		return this.target;
	}
	/** @param x A variable-length array containing all Target objects defined in the storage array configuration. */
	public void setTarget(Target[] x) {
		this.target = x;
	}

	/** A variable-length array containing all Remote Target objects defined in the storage array configuration. Remote Target objects define the initiator/target on a remote array. */
	@io.swagger.annotations.ApiModelProperty(value ="A variable-length array containing all Remote Target objects defined in the storage array configuration. Remote Target objects define the initiator/target on a remote array." , required = true)
	@XmlElement(required = true)
	private RemoteTarget[] remoteTarget;

	/** @return A variable-length array containing all Remote Target objects defined in the storage array configuration. Remote Target objects define the initiator/target on a remote array. */
	public RemoteTarget[] getRemoteTarget() {
		return this.remoteTarget;
	}
	/** @param x A variable-length array containing all Remote Target objects defined in the storage array configuration. Remote Target objects define the initiator/target on a remote array. */
	public void setRemoteTarget(RemoteTarget[] x) {
		this.remoteTarget = x;
	}
}
