package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to report statistical data for a TCP connection. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(692)
public class TcpStatisticalData implements Serializable {
	public TcpStatisticalData() {
	}

	/** The interface(s) for which the statistics apply. In some cases, the statistics may be aggregated across multiple interfaces. Even though this is shown as an array, it will only be a single instance. */
	@io.swagger.annotations.ApiModelProperty(value ="The interface(s) for which the statistics apply. In some cases, the statistics may be aggregated across multiple interfaces. Even though this is shown as an array, it will only be a single instance." , required = true)
	@XmlElement(required = true)
	private String[] interfaces;

	/** @return The interface(s) for which the statistics apply. In some cases, the statistics may be aggregated across multiple interfaces. Even though this is shown as an array, it will only be a single instance. */
	public String[] getInterfaces() {
		return this.interfaces;
	}
	/** @param x The interface(s) for which the statistics apply. In some cases, the statistics may be aggregated across multiple interfaces. Even though this is shown as an array, it will only be a single instance. */
	public void setInterfaces(String[] x) {
		this.interfaces = x;
	}

	/** The total number of segments received. */
	@io.swagger.annotations.ApiModelProperty(value ="The total number of segments received." , required = true)
	@XmlElement(required = true)
	private long receivedSegments;

	/** @return The total number of segments received. */
	public long getReceivedSegments() {
		return this.receivedSegments;
	}
	/** @param x The total number of segments received. */
	public void setReceivedSegments(long x) {
		this.receivedSegments = x;
	}

	/** The total number of segments sent. */
	@io.swagger.annotations.ApiModelProperty(value ="The total number of segments sent." , required = true)
	@XmlElement(required = true)
	private long sentSegments;

	/** @return The total number of segments sent. */
	public long getSentSegments() {
		return this.sentSegments;
	}
	/** @param x The total number of segments sent. */
	public void setSentSegments(long x) {
		this.sentSegments = x;
	}

	/** The total number of segments received in error. */
	@io.swagger.annotations.ApiModelProperty(value ="The total number of segments received in error." , required = true)
	@XmlElement(required = true)
	private long receivedSegmentsInError;

	/** @return The total number of segments received in error. */
	public long getReceivedSegmentsInError() {
		return this.receivedSegmentsInError;
	}
	/** @param x The total number of segments received in error. */
	public void setReceivedSegmentsInError(long x) {
		this.receivedSegmentsInError = x;
	}

	/** The number of data payload bytes transmitted in TCP segments. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of data payload bytes transmitted in TCP segments." , required = true)
	@XmlElement(required = true)
	private long txByteCount;

	/** @return The number of data payload bytes transmitted in TCP segments. */
	public long getTxByteCount() {
		return this.txByteCount;
	}
	/** @param x The number of data payload bytes transmitted in TCP segments. */
	public void setTxByteCount(long x) {
		this.txByteCount = x;
	}

	/** The number of data payload bytes received in TCP segments. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of data payload bytes received in TCP segments." , required = true)
	@XmlElement(required = true)
	private long rxByteCount;

	/** @return The number of data payload bytes received in TCP segments. */
	public long getRxByteCount() {
		return this.rxByteCount;
	}
	/** @param x The number of data payload bytes received in TCP segments. */
	public void setRxByteCount(long x) {
		this.rxByteCount = x;
	}

	/** The number of times the retransmit timer expired and a frame was retransmitted. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of times the retransmit timer expired and a frame was retransmitted." , required = true)
	@XmlElement(required = true)
	private long retransmitTimerExpiredCount;

	/** @return The number of times the retransmit timer expired and a frame was retransmitted. */
	public long getRetransmitTimerExpiredCount() {
		return this.retransmitTimerExpiredCount;
	}
	/** @param x The number of times the retransmit timer expired and a frame was retransmitted. */
	public void setRetransmitTimerExpiredCount(long x) {
		this.retransmitTimerExpiredCount = x;
	}

	/** The number of duplicate ACKs received. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of duplicate ACKs received." , required = true)
	@XmlElement(required = true)
	private long rxDuplicateAckCount;

	/** @return The number of duplicate ACKs received. */
	public long getRxDuplicateAckCount() {
		return this.rxDuplicateAckCount;
	}
	/** @param x The number of duplicate ACKs received. */
	public void setRxDuplicateAckCount(long x) {
		this.rxDuplicateAckCount = x;
	}

	/** The number of pure ACKs received. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of pure ACKs received." , required = true)
	@XmlElement(required = true)
	private long rxAckCount;

	/** @return The number of pure ACKs received. */
	public long getRxAckCount() {
		return this.rxAckCount;
	}
	/** @param x The number of pure ACKs received. */
	public void setRxAckCount(long x) {
		this.rxAckCount = x;
	}

	/** The number of delayed ACKs transmitted. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of delayed ACKs transmitted." , required = true)
	@XmlElement(required = true)
	private long txDelayedAckCount;

	/** @return The number of delayed ACKs transmitted. */
	public long getTxDelayedAckCount() {
		return this.txDelayedAckCount;
	}
	/** @param x The number of delayed ACKs transmitted. */
	public void setTxDelayedAckCount(long x) {
		this.txDelayedAckCount = x;
	}

	/** The number of pure ACKs transmitted. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of pure ACKs transmitted." , required = true)
	@XmlElement(required = true)
	private long txAckCount;

	/** @return The number of pure ACKs transmitted. */
	public long getTxAckCount() {
		return this.txAckCount;
	}
	/** @param x The number of pure ACKs transmitted. */
	public void setTxAckCount(long x) {
		this.txAckCount = x;
	}

	/** The number of TCP segments received that were out of order. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of TCP segments received that were out of order." , required = true)
	@XmlElement(required = true)
	private long rxSegmentOutOfOrderCount;

	/** @return The number of TCP segments received that were out of order. */
	public long getRxSegmentOutOfOrderCount() {
		return this.rxSegmentOutOfOrderCount;
	}
	/** @param x The number of TCP segments received that were out of order. */
	public void setRxSegmentOutOfOrderCount(long x) {
		this.rxSegmentOutOfOrderCount = x;
	}

	/** The number of window probes received. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of window probes received." , required = true)
	@XmlElement(required = true)
	private long rxWindowProbeCount;

	/** @return The number of window probes received. */
	public long getRxWindowProbeCount() {
		return this.rxWindowProbeCount;
	}
	/** @param x The number of window probes received. */
	public void setRxWindowProbeCount(long x) {
		this.rxWindowProbeCount = x;
	}

	/** The number of window updates received. */
	@io.swagger.annotations.ApiModelProperty(value ="The number of window updates received." , required = true)
	@XmlElement(required = true)
	private long rxWindowUpdateCount;

	/** @return The number of window updates received. */
	public long getRxWindowUpdateCount() {
		return this.rxWindowUpdateCount;
	}
	/** @param x The number of window updates received. */
	public void setRxWindowUpdateCount(long x) {
		this.rxWindowUpdateCount = x;
	}
}
