package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration defines the status values for thin volumes. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(276)
public enum ThinVolumeStatus implements Serializable {
		/** The thin volume is in an unknown state. This should never happen. */
		unknown(0),
		/** The thin volume is optimal. */
		optimal(1),
		/** The thin volume's repository is full. */
		full(2),
		/** The thin volume's repository is over the threshold value. */
		overThresh(3),
		/** The thin volume is in a failed state. */
		failed(4),
		/** The thin volume is initializing. */
		initializing(5),
		__UNDEFINED(464378545);

		public final int value;

		private ThinVolumeStatus(int v) {
			this.value = v;
		}
}
