package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This enumeration defines how drives are to be numbered. */
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(254)
public enum Traversal implements Serializable {
		/** No drives are present in the enclosure */
		none(1),
		/** Drives in the enclosure are numbered left to right. */
		leftToRight(2),
		/** Drives in the enclosure are numbered right to left. */
		rightToLeft(3),
		/** Drives in the enclosure are numbered top to bottom. */
		topToBottom(4),
		/** Drives in the enclosure are numbered front to back. */
		frontToBack(5),
		__UNDEFINED(464378545);

		public final int value;

		private Traversal(int v) {
			this.value = v;
		}
}
