package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to convey information about the unreadable sector table. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(744)
public class UnreadableSectorTableInfo implements Serializable {
	public UnreadableSectorTableInfo() {
	}

	/** The maximum size of the table. */
	@io.swagger.annotations.ApiModelProperty(value ="The maximum size of the table." , required = true)
	@XmlElement(required = true)
	private int maxLimit;

	/** @return The maximum size of the table. */
	public int getMaxLimit() {
		return this.maxLimit;
	}
	/** @param x The maximum size of the table. */
	public void setMaxLimit(int x) {
		this.maxLimit = x;
	}

	/** List of unreadable sectors. */
	@io.swagger.annotations.ApiModelProperty(value ="List of unreadable sectors." , required = true)
	@XmlElement(required = true)
	private UnreadableSectorTableEntry[] database;

	/** @return List of unreadable sectors. */
	public UnreadableSectorTableEntry[] getDatabase() {
		return this.database;
	}
	/** @param x List of unreadable sectors. */
	public void setDatabase(UnreadableSectorTableEntry[] x) {
		this.database = x;
	}
}
