package devmgr.api.symbol;

import devmgr.api.runtime.*;
import java.io.Serializable;
import javax.xml.bind.annotation.*;

/** This structure is used to model the critical aspects of an UPS component. */
@SuppressWarnings("serial")
@XmlRootElement
@io.swagger.annotations.ApiModel()
@TypeTableIndex(807)
public class Ups implements Serializable {
	public Ups() {
	}

	/** The reference for this physical UPS. */
	@io.swagger.annotations.ApiModelProperty(value ="The reference for this physical UPS." , required = true)
	@XmlElement(required = true)
	private String upsRef;

	/** @return The reference for this physical UPS. */
	public String getUpsRef() {
		return this.upsRef;
	}
	/** @param x The reference for this physical UPS. */
	public void setUpsRef(String x) {
		this.upsRef = x;
	}

	/** The operational status of the UPS. */
	@io.swagger.annotations.ApiModelProperty(value ="The operational status of the UPS." , required = true)
	@XmlElement(required = true)
	private UPSStatus status = UPSStatus.__UNDEFINED;

	/** @return The operational status of the UPS. */
	public UPSStatus getStatus() {
		return this.status;
	}
	/** @param x The operational status of the UPS. */
	public void setStatus(UPSStatus x) {
		this.status = x;
	}

	/** The physical location of the UPS. Note that the tray reference identifies the enclosure containing the UPS, but the slot information does not apply to this component. */
	@io.swagger.annotations.ApiModelProperty(value ="The physical location of the UPS. Note that the tray reference identifies the enclosure containing the UPS, but the slot information does not apply to this component." , required = true)
	@XmlElement(required = true)
	private Location physicalLocation;

	/** @return The physical location of the UPS. Note that the tray reference identifies the enclosure containing the UPS, but the slot information does not apply to this component. */
	public Location getPhysicalLocation() {
		return this.physicalLocation;
	}
	/** @param x The physical location of the UPS. Note that the tray reference identifies the enclosure containing the UPS, but the slot information does not apply to this component. */
	public void setPhysicalLocation(Location x) {
		this.physicalLocation = x;
	}

	/** Reserved for future use. */
	@XmlTransient
	private String reserved1;

	/** @return Reserved for future use. */
	public String getReserved1() {
		return this.reserved1;
	}
	/** @param x Reserved for future use. */
	public void setReserved1(String x) {
		this.reserved1 = x;
	}

	/** Reserved for future use. */
	@XmlTransient
	private String reserved2;

	/** @return Reserved for future use. */
	public String getReserved2() {
		return this.reserved2;
	}
	/** @param x Reserved for future use. */
	public void setReserved2(String x) {
		this.reserved2 = x;
	}
}
